#ifndef _SPCHDef__
#define _SPCHDef__

#include "spch.h"

typedef enum
{
	kSPCH_EventID_M_CROWD	=	0,
	kSPCH_EventID_M_DEFEND	=	1,
	kSPCH_EventID_M_FOUL	=	2,
	kSPCH_EventID_M_GAMETIME	=	3,
	kSPCH_EventID_M_HALF_SCORE	=	6,
	kSPCH_EventID_M_KEEPERS_BALL	=	7,
	kSPCH_EventID_M_MISC	=	9,
	kSPCH_EventID_M_MISS	=	10,
	kSPCH_EventID_M_MISS_REPLY	=	11,
	kSPCH_EventID_M_MOVE	=	12,
	kSPCH_EventID_M_NUM_RESPONSE	=	13,
	kSPCH_EventID_M_OOP	=	14,
	kSPCH_EventID_M_PASS	=	15,
	kSPCH_EventID_M_PENALTY	=	16,
	kSPCH_EventID_M_PLAYER	=	17,
	kSPCH_EventID_M_REPLAY	=	19,
	kSPCH_EventID_M_RESPONSE	=	20,
	kSPCH_EventID_M_SAVE	=	21,
	kSPCH_EventID_M_SAVE_REPLY	=	22,
	kSPCH_EventID_M_SCORELINE	=	23,
	kSPCH_EventID_M_SCORE_REPLY	=	24,
	kSPCH_EventID_M_SHOOTOUT	=	25,
	kSPCH_EventID_M_SUB	=	26,
	kSPCH_EventID_M_SUGGESTION	=	27,
	kSPCH_EventID_M_TACKLE	=	28,
	kSPCH_EventID_M_TEAM_SCORE	=	29,
	kSPCH_EventID_M_TIME	=	30,
	kSPCH_EventID_C_CROWD	=	31,
	kSPCH_EventID_C_DEFEND	=	32,
	kSPCH_EventID_C_FOUL	=	34,
	kSPCH_EventID_C_GENERIC	=	35,
	kSPCH_EventID_C_LEAGUE	=	37,
	kSPCH_EventID_C_MISS	=	39,
	kSPCH_EventID_C_PASS	=	40,
	kSPCH_EventID_C_PENALTY	=	41,
	kSPCH_EventID_C_PLAYER	=	42,
	kSPCH_EventID_C_PRO	=	44,
	kSPCH_EventID_C_SAVE	=	45,
	kSPCH_EventID_C_SHOULD_SUB	=	46,
	kSPCH_EventID_C_TACKLE	=	47,
	kSPCH_EventID_C_STATS	=	48,
	kSPCH_EventID_C_STATS_REPLY	=	49,
	kSPCH_EventID_C_SUB	=	50,
	kSPCH_EventID_C_TACTIC_CHANGE	=	51,
	kSPCH_EventID_C_TEAM	=	52,
	kSPCH_EventID_M_GAMEOVER_ANY	=	68,
	kSPCH_EventID_M_GAMEOVER_CUP	=	69,
	kSPCH_EventID_M_GAMEOVER_G14	=	70,
	kSPCH_EventID_M_GAMEOVER_GENERIC	=	71,
	kSPCH_EventID_M_GAMEOVER_LEAGUE	=	72,
	kSPCH_EventID_M_GAMEOVER_LEAGUE_OVER	=	73,
	kSPCH_EventID_M_GAMEOVER_MAIN_REPLY	=	74,
	kSPCH_EventID_M_GAMEOVER_MLS	=	75,
	kSPCH_EventID_M_HALFTIME	=	76,
	kSPCH_EventID_C_GAMEOVER	=	77,
	kSPCH_EventID_C_GAMEOVER_CUP	=	78,
	kSPCH_EventID_C_GAMEOVER_LEAGUE	=	79,
	kSPCH_EventID_C_HALFTIME	=	80,
	kSPCH_EventID_SILENCE	=	81,
	kSPCH_EventID_PLAYER	=	83,
	kSPCH_EventID_M_GOAL_SCORED	=	84,
	kSPCH_EventID_M_GOAL_REPLAY	=	85,
	kSPCH_EventID_C_GOAL_REPLAY	=	86,
	kSPCH_EventID_M_OWN_GOAL	=	88,
	kSPCH_EventID_C_REPLAY_TOURN	=	90,
	kSPCH_EventID_C_REPLAY_OWN	=	91,
	kSPCH_EventID_C_REPLAY_TELE	=	92,
	kSPCH_EventID_M_REPLAY_OWN	=	93,
	kSPCH_EventID_INTRO	=	94,
	kSPCH_EventID_COULD_CROSS	=	99,
	kSPCH_EventID_CROSS	=	100,
	kSPCH_EventID_BREAKAWAY	=	101,
	kSPCH_EventID_POSSESS	=	102,
	kSPCH_EventID_SHOT_TAKEN	=	103,
	kSPCH_EventID_AFFIRMATIVE	=	104,
	kSPCH_EventID_PLAYER_FOCUS	=	105,
	kSPCH_EventID_BANTER	=	108,
	kSPCH_EventID_TACTIC_CHANGE	=	109,
	kSPCH_EventID_FIRST_TOUCH	=	111,
	kSPCH_EventID_SHOULD_SUB_TIME	=	112,
	kSPCH_EventID_SHOULD_SUB_FATIGUE	=	113,
	kSPCH_EventID_CAREER_MODE	=	114,
	kSPCH_EventID_BOX_SCORE	=	115,
	kSPCH_EventID_TACTICS	=	116,
	kSPCH_EventID_PLAYER_GROWTH	=	117,
	kSPCH_EventID_PLAYER_BIO	=	118,
	kSPCH_EventID_MaxEventID
} SPCHType__EventID;

#define kSPCH__ProjectID 	0
#define kSPCH__EventDatID 	0

#ifdef SPCH_EVENT_SCOPE
#undef SPCH_EVENT_SCOPE
#endif

#if SPCH_USE_INLINE_EVENTS
#if (defined PSX) || (defined PS2) || (defined N64) || (defined XBOX)
#define SPCH_EVENT_SCOPE static inline
#elif (defined VC) || (defined __WATCOMC__)
#define SPCH_EVENT_SCOPE static __inline
#else
#define SPCH_EVENT_SCOPE
#endif
#else
#define SPCH_EVENT_SCOPE
#endif

/* sentence rule defines **********/

/* SPCHType_M_crowd_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_crowd_type;

enum
{
	kSPCH_Invalid_M_crowd_type 		= 0,
	kSPCH_M_crowd_type_HOME_NEGATIVE 		= 0x00000001,
	kSPCH_M_crowd_type_HOME_POSITIVE 		= 0x00000002,
	kSPCH_M_crowd_type_CROWD_ANGRY 		= 0x00000004,
	kSPCH_M_crowd_type_CROWD_DISAPPOINTED 		= 0x00000008,
	kSPCH_M_crowd_type_CROWD_ECSTATIC 		= 0x00000010,
	kSPCH_M_crowd_type_CROWD_GASP 		= 0x00000020,
	kSPCH_M_crowd_type_CROWD_HAPPY 		= 0x00000040,
	kSPCH_M_crowd_type_CROWD_MIXED 		= 0x00000080
};


/* SPCHType_M_foul_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_foul_head;

enum
{
	kSPCH_Invalid_M_foul_head 		= 0,
	kSPCH_M_foul_head_FOUL 		= 0x00000001,
	kSPCH_M_foul_head_FOUL_BOOKING_COMING 		= 0x00000002,
	kSPCH_M_foul_head_FOUL_BOOKING_RED 		= 0x00000004,
	kSPCH_M_foul_head_FOUL_BOOKING_YELLOW 		= 0x00000008,
	kSPCH_M_foul_head_FOUL_HANDBALL 		= 0x00000010,
	kSPCH_M_foul_head_FOUL_NO_BOOKING 		= 0x00000020,
	kSPCH_M_foul_head_FOUL_OFFSIDE 		= 0x00000040,
	kSPCH_M_foul_head_FOUL_PENALTY_BOOKING_COMING 		= 0x00000080,
	kSPCH_M_foul_head_FOUL_PENALTY_KICK 		= 0x00000100,
	kSPCH_M_foul_head_FOUL_PENALTY_NO_BOOKING 		= 0x00000200,
	kSPCH_M_foul_head_FOUL_QUICK 		= 0x00000400,
	kSPCH_M_foul_head_FOUL_OBSTRUCTION 		= 0x00000800
};


/* SPCHType_M_foul_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_foul_cat;

enum
{
	kSPCH_Invalid_M_foul_cat 		= 0,
	kSPCH_M_foul_cat_AD_LIB 		= 0x00000001,
	kSPCH_M_foul_cat_DELAYED 		= 0x00000002,
	kSPCH_M_foul_cat_DELAYED_BARELY 		= 0x00000004,
	kSPCH_M_foul_cat_GENERIC 		= 0x00000008,
	kSPCH_M_foul_cat_TACKLED_KEEPER 		= 0x00000010,
	kSPCH_M_foul_cat_AFTER_YELLOW 		= 0x00000020,
	kSPCH_M_foul_cat_BARGE 		= 0x00000040,
	kSPCH_M_foul_cat_BEHIND 		= 0x00000080,
	kSPCH_M_foul_cat_COULD_BE_INJURED 		= 0x00000100,
	kSPCH_M_foul_cat_HARD 		= 0x00000200,
	kSPCH_M_foul_cat_NO_BALL 		= 0x00000400,
	kSPCH_M_foul_cat_SECOND_YELLOW 		= 0x00000800,
	kSPCH_M_foul_cat_SLIDE 		= 0x00001000,
	kSPCH_M_foul_cat_BEFORE_RED 		= 0x00002000,
	kSPCH_M_foul_cat_FREEKICK 		= 0x00004000,
	kSPCH_M_foul_cat_PENALTY 		= 0x00008000,
	kSPCH_M_foul_cat_PLAY_ON 		= 0x00010000,
	kSPCH_M_foul_cat_CLEAR_NOT_CALLED 		= 0x00020000,
	kSPCH_M_foul_cat_CLOSE_NOT_CALLED 		= 0x00040000,
	kSPCH_M_foul_cat_IN_SPACE 		= 0x00080000,
	kSPCH_M_foul_cat_NEAR_DEFENDER 		= 0x00100000,
	kSPCH_M_foul_cat_NO_GOAL 		= 0x00200000,
	kSPCH_M_foul_cat_STOPS_CHANCE 		= 0x00400000,
	kSPCH_M_foul_cat_READY_TO_SHOOT 		= 0x00800000,
	kSPCH_M_foul_cat_SWITCHING_PLAYER 		= 0x01000000,
	kSPCH_M_foul_cat_TACKLED_BY_KEEPER 		= 0x02000000,
	kSPCH_M_foul_cat_OBSTRUCTION 		= 0x04000000
};


/* SPCHType_M_defend_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_defend_head;

enum
{
	kSPCH_Invalid_M_defend_head 		= 0,
	kSPCH_M_defend_head_DEFEND 		= 0x00000001,
	kSPCH_M_defend_head_DEFEND_BANTER 		= 0x00000002,
	kSPCH_M_defend_head_DEFEND_BANTER_REPLY 		= 0x00000004
};


/* SPCHType_M_defend_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_defend_cat;

enum
{
	kSPCH_Invalid_M_defend_cat 		= 0,
	kSPCH_M_defend_cat_BAD_GENERIC 		= 0x00000001,
	kSPCH_M_defend_cat_CLEARED_BALL 		= 0x00000002,
	kSPCH_M_defend_cat_CLEARED_FROM_BOX 		= 0x00000004,
	kSPCH_M_defend_cat_CLEARED_FROM_GOALLINE 		= 0x00000008,
	kSPCH_M_defend_cat_CLEARED_OUT 		= 0x00000010,
	kSPCH_M_defend_cat_COLLECTED_CROSS 		= 0x00000020,
	kSPCH_M_defend_cat_GOOD_GENERIC 		= 0x00000040,
	kSPCH_M_defend_cat_INTERCEPTION 		= 0x00000080,
	kSPCH_M_defend_cat_INTERCEPTION_DEFEND 		= 0x00000100,
	kSPCH_M_defend_cat_INTERCEPTION_IN_BOX 		= 0x00000200,
	kSPCH_M_defend_cat_INTERCEPTION_MIDFIELD 		= 0x00000400,
	kSPCH_M_defend_cat_PUSHED_BACK 		= 0x00000800,
	kSPCH_M_defend_cat_SHOT_BLOCKED 		= 0x00001000,
	kSPCH_M_defend_cat_SHOT_HIT_WALL 		= 0x00002000,
	kSPCH_M_defend_cat_TOOK_POSSESSION 		= 0x00004000,
	kSPCH_M_defend_cat_TOOK_POSSESSION_ATTACK 		= 0x00008000,
	kSPCH_M_defend_cat_TOOK_POSSESSION_DEFEND 		= 0x00010000,
	kSPCH_M_defend_cat_TOOK_POSSESSION_IN_BOX 		= 0x00020000,
	kSPCH_M_defend_cat_TOOK_POSS_MIDFIELD 		= 0x00040000,
	kSPCH_M_defend_cat_WON_BACK_POSSESSION 		= 0x00080000,
	kSPCH_M_defend_cat_TOOK_POSSESSION_ADVANTAGE 		= 0x00100000,
	kSPCH_M_defend_cat_INTERCEPTION_BREAKOUT 		= 0x00200000,
	kSPCH_M_defend_cat_TOOK_POSSESSION_FREESTYLE 		= 0x00400000
};


/* SPCHType_M_gametime_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_gametime_head;

enum
{
	kSPCH_Invalid_M_gametime_head 		= 0,
	kSPCH_M_gametime_head_GAMETIME 		= 0x00000001,
	kSPCH_M_gametime_head_GAMETIME_BANTER 		= 0x00000002,
	kSPCH_M_gametime_head_GAMETIME_BANTER_REPLY 		= 0x00000004,
	kSPCH_M_gametime_head_GAMETIME_CUP 		= 0x00000008
};


/* SPCHType_M_gametime_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gametime_cat1;

enum
{
	kSPCH_Invalid_M_gametime_cat1 		= 0,
	kSPCH_M_gametime_cat1_DIRECT_TO_SHOOTOUT 		= 0x00000001,
	kSPCH_M_gametime_cat1_END_OF_EXTRA_HALF 		= 0x00000002,
	kSPCH_M_gametime_cat1_END_OF_EXTRA_TIME 		= 0x00000004,
	kSPCH_M_gametime_cat1_END_FULL_TIME_TIED_OT 		= 0x00000008,
	kSPCH_M_gametime_cat1_GOING_TO_MORE_OT 		= 0x00000010,
	kSPCH_M_gametime_cat1_INJURY_TIME_1 		= 0x00000020,
	kSPCH_M_gametime_cat1_INJURY_TIME_10 		= 0x00000040,
	kSPCH_M_gametime_cat1_INJURY_TIME_2 		= 0x00000080,
	kSPCH_M_gametime_cat1_INJURY_TIME_3 		= 0x00000100,
	kSPCH_M_gametime_cat1_INJURY_TIME_4 		= 0x00000200,
	kSPCH_M_gametime_cat1_INJURY_TIME_5 		= 0x00000400,
	kSPCH_M_gametime_cat1_INJURY_TIME_6 		= 0x00000800,
	kSPCH_M_gametime_cat1_INJURY_TIME_7 		= 0x00001000,
	kSPCH_M_gametime_cat1_INJURY_TIME_8 		= 0x00002000,
	kSPCH_M_gametime_cat1_INJURY_TIME_9 		= 0x00004000,
	kSPCH_M_gametime_cat1_INJURY_TIME_MORE 		= 0x00008000,
	kSPCH_M_gametime_cat1_INTRO_SKIPPED 		= 0x00010000,
	kSPCH_M_gametime_cat1_KICKOFF_AT_LAST 		= 0x00020000,
	kSPCH_M_gametime_cat1_KICKOFF_FIRST_HALF 		= 0x00040000,
	kSPCH_M_gametime_cat1_KICKOFF_SECOND_HALF 		= 0x00080000,
	kSPCH_M_gametime_cat1_KICK_2ND_ONE_SIDED 		= 0x00100000,
	kSPCH_M_gametime_cat1_KICKOFF_STILL_WAITING 		= 0x00200000,
	kSPCH_M_gametime_cat1_LETTING_PLAY_CONTINUE 		= 0x00400000,
	kSPCH_M_gametime_cat1_NEAR_1ST_QTR_CLOSE 		= 0x00800000,
	kSPCH_M_gametime_cat1_NEAR_1ST_QTR_DRAW 		= 0x01000000,
	kSPCH_M_gametime_cat1_NEAR_1ST_QTR_GENERIC 		= 0x02000000,
	kSPCH_M_gametime_cat1_NEAR_1ST_QTR_NOT_CLOSE 		= 0x04000000,
	kSPCH_M_gametime_cat1_NEAR_1ST_QTR_SCORELESS 		= 0x08000000
};


/* SPCHType_M_gametime_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gametime_cat2;

enum
{
	kSPCH_Invalid_M_gametime_cat2 		= 0,
	kSPCH_M_gametime_cat2_NEAR_3RD_QTR_CLOSE 		= 0x00000001,
	kSPCH_M_gametime_cat2_NEAR_3RD_QTR_DRAW 		= 0x00000002,
	kSPCH_M_gametime_cat2_NEAR_3RD_QTR_GENERIC 		= 0x00000004,
	kSPCH_M_gametime_cat2_NEAR_3RD_QTR_NOT_CLOSE 		= 0x00000008,
	kSPCH_M_gametime_cat2_NEAR_3RD_QTR_SCORELESS 		= 0x00000010,
	kSPCH_M_gametime_cat2_NEAR_END_EXTRA_HALF 		= 0x00000020,
	kSPCH_M_gametime_cat2_NEAR_END_EXTRA_TIME 		= 0x00000040,
	kSPCH_M_gametime_cat2_NEAR_FULLTIME_CLOSE 		= 0x00000080,
	kSPCH_M_gametime_cat2_NEAR_FULLTIME_DRAW 		= 0x00000100,
	kSPCH_M_gametime_cat2_NEAR_FULL_DRAW_OT 		= 0x00000200,
	kSPCH_M_gametime_cat2_NEAR_FULL_DRAW_TIE 		= 0x00000400,
	kSPCH_M_gametime_cat2_NEAR_FULLTIME_GENERIC 		= 0x00000800,
	kSPCH_M_gametime_cat2_NEAR_FULL_NOT_CLOSE 		= 0x00001000,
	kSPCH_M_gametime_cat2_NEAR_FULL_SCORELESS 		= 0x00002000,
	kSPCH_M_gametime_cat2_NEAR_HALFTIME_CLOSE 		= 0x00004000,
	kSPCH_M_gametime_cat2_NEAR_HALFTIME_DRAW 		= 0x00008000,
	kSPCH_M_gametime_cat2_NEAR_HALFTIME_GENERIC 		= 0x00010000,
	kSPCH_M_gametime_cat2_NEAR_HALF_NOT_CLOSE 		= 0x00020000,
	kSPCH_M_gametime_cat2_NEAR_HALF_SCORELESS 		= 0x00040000,
	kSPCH_M_gametime_cat2_START_OF_EXTRA_TIME 		= 0x00080000,
	kSPCH_M_gametime_cat2_START_2ND_EXTRA_HALF 		= 0x00100000,
	kSPCH_M_gametime_cat2_START_OF_SECOND_HALF 		= 0x00200000,
	kSPCH_M_gametime_cat2_START_2ND_ONE_SIDED 		= 0x00400000,
	kSPCH_M_gametime_cat2_START_OF_SHOOTOUT 		= 0x00800000,
	kSPCH_M_gametime_cat2_END_TIED_ON_AGGREGATE 		= 0x01000000,
	kSPCH_M_gametime_cat2_NEAR_FULL_TIED_AWAYS 		= 0x02000000,
	kSPCH_M_gametime_cat2_NEAR_FULL_ON_AGG 		= 0x04000000,
	kSPCH_M_gametime_cat2_START_ET_GOLDEN 		= 0x08000000,
	kSPCH_M_gametime_cat2_START_ET_SILVER 		= 0x10000000
};


/* SPCHType_M_keeper_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_keeper_head;

enum
{
	kSPCH_Invalid_M_keeper_head 		= 0,
	kSPCH_M_keeper_head_KEEPERS_BALL 		= 0x00000001,
	kSPCH_M_keeper_head_KEEPERS_BALL_BANTER 		= 0x00000002,
	kSPCH_M_keeper_head_KEEPERS_BALL_BANTER_REPLY 		= 0x00000004
};


/* SPCHType_M_keeper_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_keeper_cat;

enum
{
	kSPCH_Invalid_M_keeper_cat 		= 0,
	kSPCH_M_keeper_cat_CLEARED_OUT_THROW 		= 0x00000001,
	kSPCH_M_keeper_cat_CLEARED_TO_WING 		= 0x00000002,
	kSPCH_M_keeper_cat_CLEARED_UP_FIELD 		= 0x00000004,
	kSPCH_M_keeper_cat_DRIBBLING 		= 0x00000008,
	kSPCH_M_keeper_cat_GIVEN_AWAY 		= 0x00000010,
	kSPCH_M_keeper_cat_KICKED_LONG_TO_OWN 		= 0x00000020,
	kSPCH_M_keeper_cat_KICKED_SHORT_NOBODY 		= 0x00000040,
	kSPCH_M_keeper_cat_KICKED_SHORT_TO_OWN 		= 0x00000080,
	kSPCH_M_keeper_cat_OUT_FOR_CORNER_WEIRD 		= 0x00000100,
	kSPCH_M_keeper_cat_PICKUP 		= 0x00000200,
	kSPCH_M_keeper_cat_SIX_SECOND_RULE 		= 0x00000400,
	kSPCH_M_keeper_cat_TAKES_TIME 		= 0x00000800,
	kSPCH_M_keeper_cat_TAKING_OUT 		= 0x00001000,
	kSPCH_M_keeper_cat_THROW 		= 0x00002000,
	kSPCH_M_keeper_cat_THROW_BAD 		= 0x00004000,
	kSPCH_M_keeper_cat_THROW_LONG_GOOD 		= 0x00008000,
	kSPCH_M_keeper_cat_THROW_TO_WING 		= 0x00010000
};


/* SPCHType_M_misc_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_misc_type;

enum
{
	kSPCH_Invalid_M_misc_type 		= 0,
	kSPCH_M_misc_type_AFFIRMATIVE 		= 0x00000001,
	kSPCH_M_misc_type_BEEN_QUIET 		= 0x00000002,
	kSPCH_M_misc_type_EFFECTS 		= 0x00000004,
	kSPCH_M_misc_type_INTERRUPT 		= 0x00000008,
	kSPCH_M_misc_type_LAUGH 		= 0x00000010,
	kSPCH_M_misc_type_MISTAKE 		= 0x00000020,
	kSPCH_M_misc_type_USER_INACTIVE 		= 0x00000040,
	kSPCH_M_misc_type_USER_NEGATIVE 		= 0x00000080,
	kSPCH_M_misc_type_USER_POSITIVE 		= 0x00000100,
	kSPCH_M_misc_type_VOICE_MAIL_MSG 		= 0x00000200,
	kSPCH_M_misc_type_WAS_SAYING 		= 0x00000400
};


/* SPCHType_M_miss_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_miss_type;

enum
{
	kSPCH_Invalid_M_miss_type 		= 0,
	kSPCH_M_miss_type_MISS_AD_LIB 		= 0x00000001,
	kSPCH_M_miss_type_HEADER_OVER 		= 0x00000002,
	kSPCH_M_miss_type_HEADER_WIDE 		= 0x00000004,
	kSPCH_M_miss_type_HIGH_AND_WIDE 		= 0x00000008,
	kSPCH_M_miss_type_HIGH_TRIED_FANCY_MOVE 		= 0x00000010,
	kSPCH_M_miss_type_HIT_CROSSBAR_AND_OUT 		= 0x00000020,
	kSPCH_M_miss_type_HIT_CROSSBAR_BACK_IN 		= 0x00000040,
	kSPCH_M_miss_type_HIT_POST_AND_OUT 		= 0x00000080,
	kSPCH_M_miss_type_HIT_POST_BACK_IN 		= 0x00000100,
	kSPCH_M_miss_type_JUST_OVER 		= 0x00000200,
	kSPCH_M_miss_type_JUST_WIDE 		= 0x00000400,
	kSPCH_M_miss_type_LONG_SHOT 		= 0x00000800,
	kSPCH_M_miss_type_SIDE_NETTING 		= 0x00001000,
	kSPCH_M_miss_type_WELL_OVER 		= 0x00002000,
	kSPCH_M_miss_type_WELL_WIDE 		= 0x00004000,
	kSPCH_M_miss_type_WIDE_GENERIC 		= 0x00008000,
	kSPCH_M_miss_type_WIDE_TRIED_FANCY_MOVE 		= 0x00010000,
	kSPCH_M_miss_type_WOODWORK_AGAIN_AND_OUT 		= 0x00020000,
	kSPCH_M_miss_type_WOODWORK_AGAIN_BACK_IN 		= 0x00040000,
	kSPCH_M_miss_type_QUICK 		= 0x00080000,
	kSPCH_M_miss_type_PLAYER_RUN 		= 0x00100000,
	kSPCH_M_miss_type_BREAKOUT_PASS 		= 0x00200000
};


/* SPCHType_M_miss_reply_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_miss_reply_type;

enum
{
	kSPCH_Invalid_M_miss_reply_type 		= 0,
	kSPCH_M_miss_reply_type_CLOSE_SHOT_WINNING 		= 0x00000001,
	kSPCH_M_miss_reply_type_CLOSE_LOSE_MORE_THAN_ONE 		= 0x00000002,
	kSPCH_M_miss_reply_type_CLOSE_WOULD_BE_IN_LEAD 		= 0x00000004,
	kSPCH_M_miss_reply_type_CLOSE_SHOT_WOULD_BE_TIED 		= 0x00000008,
	kSPCH_M_miss_reply_type_LATE_TRIED_THE_EQUALIZER 		= 0x00000010,
	kSPCH_M_miss_reply_type_LATE_TRIED_TO_BREAK_DRAW 		= 0x00000020,
	kSPCH_M_miss_reply_type_LATE_TRIED_TO_UP_LEAD 		= 0x00000040,
	kSPCH_M_miss_reply_type_LATE_TRIED_TO_LESS_DIFF 		= 0x00000080,
	kSPCH_M_miss_reply_type_NOT_CLOSE_WINNING 		= 0x00000100,
	kSPCH_M_miss_reply_type_NOT_CLOSE_LOSE_MORE_ONE 		= 0x00000200,
	kSPCH_M_miss_reply_type_NOT_CLOSE_LOSING_BY_ONE 		= 0x00000400,
	kSPCH_M_miss_reply_type_SHOT_NOT_CLOSE_TIED 		= 0x00000800,
	kSPCH_M_miss_reply_type_TRIED_THE_EQUALIZER 		= 0x00001000,
	kSPCH_M_miss_reply_type_TRIED_TO_BREAK_DRAW 		= 0x00002000,
	kSPCH_M_miss_reply_type_TRIED_TO_INCREASE_LEAD 		= 0x00004000,
	kSPCH_M_miss_reply_type_TRIED_TO_LESS_DIFF 		= 0x00008000
};


/* SPCHType_M_half_score_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_half_score_type;

enum
{
	kSPCH_Invalid_M_half_score_type 		= 0,
	kSPCH_M_half_score_type_NIL_NIL 		= 0x00000001,
	kSPCH_M_half_score_type_ONE_NIL 		= 0x00000002,
	kSPCH_M_half_score_type_ONE_ONE 		= 0x00000004,
	kSPCH_M_half_score_type_TWO_NIL 		= 0x00000008,
	kSPCH_M_half_score_type_TWO_ONE 		= 0x00000010,
	kSPCH_M_half_score_type_TWO_TWO 		= 0x00000020,
	kSPCH_M_half_score_type_THREE_NIL 		= 0x00000040,
	kSPCH_M_half_score_type_THREE_ONE 		= 0x00000080,
	kSPCH_M_half_score_type_THREE_TWO 		= 0x00000100,
	kSPCH_M_half_score_type_THREE_THREE 		= 0x00000200,
	kSPCH_M_half_score_type_FOUR_NIL 		= 0x00000400,
	kSPCH_M_half_score_type_FOUR_ONE 		= 0x00000800,
	kSPCH_M_half_score_type_FOUR_TWO 		= 0x00001000,
	kSPCH_M_half_score_type_FOUR_THREE 		= 0x00002000,
	kSPCH_M_half_score_type_FOUR_FOUR 		= 0x00004000,
	kSPCH_M_half_score_type_FIVE_NIL 		= 0x00008000,
	kSPCH_M_half_score_type_FIVE_ONE 		= 0x00010000,
	kSPCH_M_half_score_type_FIVE_TWO 		= 0x00020000,
	kSPCH_M_half_score_type_FIVE_THREE 		= 0x00040000,
	kSPCH_M_half_score_type_FIVE_FOUR 		= 0x00080000,
	kSPCH_M_half_score_type_FIVE_FIVE 		= 0x00100000,
	kSPCH_M_half_score_type_GENERIC 		= 0x00200000,
	kSPCH_M_half_score_type_HIGH_BOTH 		= 0x00400000,
	kSPCH_M_half_score_type_HIGH_ONE 		= 0x00800000
};


/* SPCHType_M_move_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_move_head;

enum
{
	kSPCH_Invalid_M_move_head 		= 0,
	kSPCH_M_move_head_MOVE 		= 0x00000001,
	kSPCH_M_move_head_MOVE_BANTER 		= 0x00000002,
	kSPCH_M_move_head_MOVE_BANTER_REPLY 		= 0x00000004
};


/* SPCHType_M_move_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_move_cat;

enum
{
	kSPCH_Invalid_M_move_cat 		= 0,
	kSPCH_M_move_cat_AIR_BALL_COLLISION 		= 0x00000001,
	kSPCH_M_move_cat_AIR_PLAY_LOTS 		= 0x00000002,
	kSPCH_M_move_cat_BACKHEEL 		= 0x00000004,
	kSPCH_M_move_cat_CHESTED_DOWN 		= 0x00000008,
	kSPCH_M_move_cat_DIVING_HEADER 		= 0x00000010,
	kSPCH_M_move_cat_GOOD_BALL_SHIELDING 		= 0x00000020,
	kSPCH_M_move_cat_HEADER_AGAIN 		= 0x00000040,
	kSPCH_M_move_cat_HEADER_FORWARD 		= 0x00000080,
	kSPCH_M_move_cat_HEADER_GOOD_GENERIC 		= 0x00000100,
	kSPCH_M_move_cat_HEADER_INTO_DANGER 		= 0x00000200,
	kSPCH_M_move_cat_HEADER_OUT_OF_DANGER 		= 0x00000400,
	kSPCH_M_move_cat_HEADER_RETURNED 		= 0x00000800,
	kSPCH_M_move_cat_MISSED_GENERIC 		= 0x00001000,
	kSPCH_M_move_cat_OVERHEAD_KICK 		= 0x00002000,
	kSPCH_M_move_cat_OVERHEAD_KICK_MISS 		= 0x00004000,
	kSPCH_M_move_cat_VOLLEY 		= 0x00008000,
	kSPCH_M_move_cat_FOOT_TRAP_MIDAIR 		= 0x00010000,
	kSPCH_M_move_cat_FOOT_TRAP_GROUND 		= 0x00020000,
	kSPCH_M_move_cat_DUMMY 		= 0x00040000,
	kSPCH_M_move_cat_LET_IT_RUN 		= 0x00080000,
	kSPCH_M_move_cat_FOOT_TRAP_AWKWARD 		= 0x00100000
};


/* SPCHType_M_num_response_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_num_response_type;

enum
{
	kSPCH_Invalid_M_num_response_type 		= 0,
	kSPCH_M_num_response_type_THINK_03 		= 0x00000001,
	kSPCH_M_num_response_type_THINK_04 		= 0x00000002,
	kSPCH_M_num_response_type_THINK_05 		= 0x00000004,
	kSPCH_M_num_response_type_THINK_06 		= 0x00000008,
	kSPCH_M_num_response_type_THINK_07 		= 0x00000010,
	kSPCH_M_num_response_type_THINK_08 		= 0x00000020,
	kSPCH_M_num_response_type_THINK_09 		= 0x00000040,
	kSPCH_M_num_response_type_THINK_10 		= 0x00000080,
	kSPCH_M_num_response_type_THINK_11 		= 0x00000100,
	kSPCH_M_num_response_type_THINK_12 		= 0x00000200,
	kSPCH_M_num_response_type_THINK_15 		= 0x00000400,
	kSPCH_M_num_response_type_THINK_20 		= 0x00000800,
	kSPCH_M_num_response_type_THINK_25 		= 0x00001000,
	kSPCH_M_num_response_type_THINK_30 		= 0x00002000,
	kSPCH_M_num_response_type_THINK_40 		= 0x00004000,
	kSPCH_M_num_response_type_THINK_50 		= 0x00008000
};


/* SPCHType_M_oop_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_oop_head;

enum
{
	kSPCH_Invalid_M_oop_head 		= 0,
	kSPCH_M_oop_head_OOP_CORNER 		= 0x00000001,
	kSPCH_M_oop_head_OOP_CORNER_BANTER 		= 0x00000002,
	kSPCH_M_oop_head_OOP_GOALKICK 		= 0x00000004,
	kSPCH_M_oop_head_OOP_GOALKICK_BANTER 		= 0x00000008,
	kSPCH_M_oop_head_OOP_THROWIN 		= 0x00000010,
	kSPCH_M_oop_head_OOP_THROWIN_BANTER 		= 0x00000020,
	kSPCH_M_oop_head_OOP_GOALKICK_BANTER_REPLY 		= 0x00000040,
	kSPCH_M_oop_head_OOP_CORNER_BANTER_REPLY 		= 0x00000080,
	kSPCH_M_oop_head_OOP_THROWIN_BANTER_REPLY 		= 0x00000100
};


/* SPCHType_M_oop_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_oop_cat1;

enum
{
	kSPCH_Invalid_M_oop_cat1 		= 0,
	kSPCH_M_oop_cat1_ALMOST_THROWIN 		= 0x00000001,
	kSPCH_M_oop_cat1_BAD 		= 0x00000002,
	kSPCH_M_oop_cat1_CALLED 		= 0x00000004,
	kSPCH_M_oop_cat1_CALLED_AGAIN 		= 0x00000008,
	kSPCH_M_oop_cat1_EARLY 		= 0x00000010,
	kSPCH_M_oop_cat1_FIRST_FOR_TEAM 		= 0x00000020,
	kSPCH_M_oop_cat1_FIRST_TEAM_LATE_1ST 		= 0x00000040,
	kSPCH_M_oop_cat1_FIRST_TEAM_LATE_2nd 		= 0x00000080,
	kSPCH_M_oop_cat1_FIRST_IN_MATCH 		= 0x00000100,
	kSPCH_M_oop_cat1_FIRST_MATCH_LATE_1ST 		= 0x00000200,
	kSPCH_M_oop_cat1_FIRST_MATCH_LATE_2ND 		= 0x00000400,
	kSPCH_M_oop_cat1_KICKED_OUT_GOALKICK 		= 0x00000800,
	kSPCH_M_oop_cat1_KICKED_OUT_THROWIN 		= 0x00001000,
	kSPCH_M_oop_cat1_LATE_IMPORTANT 		= 0x00002000,
	kSPCH_M_oop_cat1_LATE_TEAM_LOSING 		= 0x00004000,
	kSPCH_M_oop_cat1_LATE_TEAM_WINNING 		= 0x00008000,
	kSPCH_M_oop_cat1_QUICK 		= 0x00010000,
	kSPCH_M_oop_cat1_RECEIVED_BOX 		= 0x00020000,
	kSPCH_M_oop_cat1_RECEIVED_DEEP 		= 0x00040000,
	kSPCH_M_oop_cat1_RECEIVED_LONG 		= 0x00080000,
	kSPCH_M_oop_cat1_RECEIVED_SHORT 		= 0x00100000
};


/* SPCHType_M_oop_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_oop_cat2;

enum
{
	kSPCH_Invalid_M_oop_cat2 		= 0,
	kSPCH_M_oop_cat2_LONG 		= 0x00000001,
	kSPCH_M_oop_cat2_OUT_CORNER_WEIRD 		= 0x00000002,
	kSPCH_M_oop_cat2_OUT_THROW 		= 0x00000004,
	kSPCH_M_oop_cat2_SHORT 		= 0x00000008,
	kSPCH_M_oop_cat2_SLOW 		= 0x00000010,
	kSPCH_M_oop_cat2_TAKEN 		= 0x00000020,
	kSPCH_M_oop_cat2_TO_WING 		= 0x00000040,
	kSPCH_M_oop_cat2_TO_WING_LONG 		= 0x00000080,
	kSPCH_M_oop_cat2_TO_WING_SHORT 		= 0x00000100,
	kSPCH_M_oop_cat2_ALMOST_CORNER 		= 0x00000200,
	kSPCH_M_oop_cat2_ALMOST_GOALKICK 		= 0x00000400,
	kSPCH_M_oop_cat2_GOOD_POS 		= 0x00000800,
	kSPCH_M_oop_cat2_INTO_BOX 		= 0x00001000,
	kSPCH_M_oop_cat2_LONG_GOOD 		= 0x00002000,
	kSPCH_M_oop_cat2_NEAR_HALFWAY_LINE 		= 0x00004000,
	kSPCH_M_oop_cat2_NO_GOAL 		= 0x00008000,
	kSPCH_M_oop_cat2_THREW_OUT_CORNER 		= 0x00010000,
	kSPCH_M_oop_cat2_THREW_OUT_GOALKICK 		= 0x00020000,
	kSPCH_M_oop_cat2_THREW_OUT_THROW 		= 0x00040000
};


/* SPCHType_M_pass_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_pass_head;

enum
{
	kSPCH_Invalid_M_pass_head 		= 0,
	kSPCH_M_pass_head_PASS 		= 0x00000001,
	kSPCH_M_pass_head_PASS_BANTER 		= 0x00000002,
	kSPCH_M_pass_head_PASS_BANTER_REPLY 		= 0x00000004,
	kSPCH_M_pass_head_PASS_MAESTRO 		= 0x00000008
};


/* SPCHType_M_pass_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_pass_cat;

enum
{
	kSPCH_Invalid_M_pass_cat 		= 0,
	kSPCH_M_pass_cat_BACK_TO_KEEPER 		= 0x00000001,
	kSPCH_M_pass_cat_CROSS_AIR 		= 0x00000002,
	kSPCH_M_pass_cat_CROSS_FLOOR 		= 0x00000004,
	kSPCH_M_pass_cat_FROM_OWN_THIRD 		= 0x00000008,
	kSPCH_M_pass_cat_GOING_BACK 		= 0x00000010,
	kSPCH_M_pass_cat_GOOD 		= 0x00000020,
	kSPCH_M_pass_cat_GOOD_AGAIN 		= 0x00000040,
	kSPCH_M_pass_cat_GOOD_LONG 		= 0x00000080,
	kSPCH_M_pass_cat_GOOD_LUCKY 		= 0x00000100,
	kSPCH_M_pass_cat_GOOD_STRING 		= 0x00000200,
	kSPCH_M_pass_cat_GOOD_UNMARKED 		= 0x00000400,
	kSPCH_M_pass_cat_INTO_ATTACK_THIRD 		= 0x00000800,
	kSPCH_M_pass_cat_LOB_UPFIELD 		= 0x00001000,
	kSPCH_M_pass_cat_MAKING_RUN 		= 0x00002000,
	kSPCH_M_pass_cat_MISSED_LONG 		= 0x00004000,
	kSPCH_M_pass_cat_OVER_POWERED 		= 0x00008000,
	kSPCH_M_pass_cat_RETURNED 		= 0x00010000,
	kSPCH_M_pass_cat_SQUARE 		= 0x00020000,
	kSPCH_M_pass_cat_TEAMMATE_LOOSE_BALL 		= 0x00040000,
	kSPCH_M_pass_cat_TO_CENTRE 		= 0x00080000,
	kSPCH_M_pass_cat_TO_WING_LEFT 		= 0x00100000,
	kSPCH_M_pass_cat_TO_WING_RIGHT 		= 0x00200000,
	kSPCH_M_pass_cat_UNDER_POWERED 		= 0x00400000,
	kSPCH_M_pass_cat_UP_WING 		= 0x00800000,
	kSPCH_M_pass_cat_GIVE_AND_GO 		= 0x01000000,
	kSPCH_M_pass_cat_HEAD_TO_KEEPER 		= 0x02000000,
	kSPCH_M_pass_cat_OUTNUMBERED 		= 0x04000000
};


/* SPCHType_M_penalty_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_penalty_head;

enum
{
	kSPCH_Invalid_M_penalty_head 		= 0,
	kSPCH_M_penalty_head_PENALTY_MISS 		= 0x00000001,
	kSPCH_M_penalty_head_PENALTY_SAVE 		= 0x00000002,
	kSPCH_M_penalty_head_PENALTY_SCORE 		= 0x00000004
};


/* SPCHType_M_penalty_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_penalty_type;

enum
{
	kSPCH_Invalid_M_penalty_type 		= 0,
	kSPCH_M_penalty_type_BAR_OUT 		= 0x00000001,
	kSPCH_M_penalty_type_BAR_SHOOTOUT_BACK_IN 		= 0x00000002,
	kSPCH_M_penalty_type_BAR_STILL_IN_PLAY 		= 0x00000004,
	kSPCH_M_penalty_type_HIGH 		= 0x00000008,
	kSPCH_M_penalty_type_POST_OUT 		= 0x00000010,
	kSPCH_M_penalty_type_POST_SHOOTOUT_BACK 		= 0x00000020,
	kSPCH_M_penalty_type_POST_STILL_IN_PLAY 		= 0x00000040,
	kSPCH_M_penalty_type_WIDE 		= 0x00000080,
	kSPCH_M_penalty_type_BLOCKED 		= 0x00000100,
	kSPCH_M_penalty_type_BLOCK_STILL_IN_PLAY 		= 0x00000200,
	kSPCH_M_penalty_type_DIVE_CATCH_P 		= 0x00000400,
	kSPCH_M_penalty_type_DIVE_PUNCH_P 		= 0x00000800,
	kSPCH_M_penalty_type_EASY 		= 0x00001000,
	kSPCH_M_penalty_type_PGENERIC 		= 0x00002000,
	kSPCH_M_penalty_type_GOOD_SAVE 		= 0x00004000,
	kSPCH_M_penalty_type_OFF_FOOT_P 		= 0x00008000,
	kSPCH_M_penalty_type_OFF_FOOT_IN_PLAY 		= 0x00010000,
	kSPCH_M_penalty_type_PUNCHED_P 		= 0x00020000,
	kSPCH_M_penalty_type_PUNCHED_IN_PLAY 		= 0x00040000,
	kSPCH_M_penalty_type_RECOVERED_P 		= 0x00080000,
	kSPCH_M_penalty_type_INTO_HANDS 		= 0x00100000,
	kSPCH_M_penalty_type_TIPPED 		= 0x00200000,
	kSPCH_M_penalty_type_IMPORTANT 		= 0x00400000,
	kSPCH_M_penalty_type_BARELY_MOVED 		= 0x00800000,
	kSPCH_M_penalty_type_LEFT 		= 0x01000000,
	kSPCH_M_penalty_type_LOW 		= 0x02000000,
	kSPCH_M_penalty_type_OFF_BAR 		= 0x04000000,
	kSPCH_M_penalty_type_OFF_KEEPER 		= 0x08000000,
	kSPCH_M_penalty_type_OFF_POST 		= 0x10000000,
	kSPCH_M_penalty_type_RIGHT 		= 0x20000000,
	kSPCH_M_penalty_type_TOP_CORNER 		= 0x40000000
};


/* SPCHType_M_player_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_player_head;

enum
{
	kSPCH_Invalid_M_player_head 		= 0,
	kSPCH_M_player_head_PLAYER 		= 0x00000001,
	kSPCH_M_player_head_PLAYER_REPLY 		= 0x00000002
};


/* SPCHType_M_player_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_player_cat1;

enum
{
	kSPCH_Invalid_M_player_cat1 		= 0,
	kSPCH_M_player_cat1_INJURY_ANKLE_OUT 		= 0x00000001,
	kSPCH_M_player_cat1_INJURY_ANKLE_PLAY 		= 0x00000002,
	kSPCH_M_player_cat1_INJURY_CALF_OUT 		= 0x00000004,
	kSPCH_M_player_cat1_INJURY_CALF_PLAY 		= 0x00000008,
	kSPCH_M_player_cat1_INJURY_KNEE_OUT 		= 0x00000010,
	kSPCH_M_player_cat1_INJURY_KNEE_PLAY 		= 0x00000020,
	kSPCH_M_player_cat1_INJURY_THIGH_OUT 		= 0x00000040,
	kSPCH_M_player_cat1_INJURY_THIGH_PLAY 		= 0x00000080,
	kSPCH_M_player_cat1_KNOCKED_OVER_BY_BALL 		= 0x00000100,
	kSPCH_M_player_cat1_LEAVING_INJURED 		= 0x00000200,
	kSPCH_M_player_cat1_ATT_GOOD_FITNESS 		= 0x00000400,
	kSPCH_M_player_cat1_ATT_GOOD_HEADING 		= 0x00000800,
	kSPCH_M_player_cat1_ATT_GOOD_PASSING 		= 0x00001000,
	kSPCH_M_player_cat1_ATT_GOOD_SHOOTING 		= 0x00002000,
	kSPCH_M_player_cat1_ATT_GOOD_SPEED 		= 0x00004000,
	kSPCH_M_player_cat1_ATT_GOOD_TACKLING 		= 0x00008000,
	kSPCH_M_player_cat1_FATIGUED 		= 0x00010000,
	kSPCH_M_player_cat1_FATIGUE_AFTER_1ST 		= 0x00020000,
	kSPCH_M_player_cat1_FATIGUED_NEAR_START 		= 0x00040000,
	kSPCH_M_player_cat1_KEEPING_BAD_BAD_GAME 		= 0x00080000,
	kSPCH_M_player_cat1_KEEPING_BAD_GOOD_GAME 		= 0x00100000,
	kSPCH_M_player_cat1_KEEPING_GOOD_BAD_GAME 		= 0x00200000,
	kSPCH_M_player_cat1_KEEP_GOOD_GOOD_GAME 		= 0x00400000
};


/* SPCHType_M_player_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_player_cat2;

enum
{
	kSPCH_Invalid_M_player_cat2 		= 0,
	kSPCH_M_player_cat2_OUT_OF_BREATH 		= 0x00000001,
	kSPCH_M_player_cat2_PASS_BAD_BAD_GAME 		= 0x00000002,
	kSPCH_M_player_cat2_PASS_BAD_GOOD_GAME 		= 0x00000004,
	kSPCH_M_player_cat2_PASS_GOOD_BAD_GAME 		= 0x00000008,
	kSPCH_M_player_cat2_PASS_GOOD_GOOD_GAME 		= 0x00000010,
	kSPCH_M_player_cat2_POSS_GOOD_GENERIC 		= 0x00000020,
	kSPCH_M_player_cat2_POSS_GOOD_SHOTS_MANY 		= 0x00000040,
	kSPCH_M_player_cat2_POSS_GOOD_TACK_MANY 		= 0x00000080,
	kSPCH_M_player_cat2_SHOOT_BAD_BAD_GAME 		= 0x00000100,
	kSPCH_M_player_cat2_SHOOT_BAD_GOOD_GAME 		= 0x00000200,
	kSPCH_M_player_cat2_SHOOT_GOOD_BAD_GAME 		= 0x00000400,
	kSPCH_M_player_cat2_SHOOT_GOOD_GOOD_GAME 		= 0x00000800,
	kSPCH_M_player_cat2_TACK_BAD_BAD_GAME 		= 0x00001000,
	kSPCH_M_player_cat2_TACK_BAD_GOOD_GAME 		= 0x00002000,
	kSPCH_M_player_cat2_TACK_GOOD_BAD_GAME 		= 0x00004000,
	kSPCH_M_player_cat2_TACK_GOOD_GOOD_GAME 		= 0x00008000,
	kSPCH_M_player_cat2_TEAM_MOST_BOOKINGS 		= 0x00010000,
	kSPCH_M_player_cat2_TEAM_TOP_SCORER 		= 0x00020000
};


/* SPCHType_M_replay_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_replay_type;

enum
{
	kSPCH_Invalid_M_replay_type 		= 0,
	kSPCH_M_replay_type_BOOKING 		= 0x00000001,
	kSPCH_M_replay_type_FOUL_NO_BOOKING 		= 0x00000002,
	kSPCH_M_replay_type_GOAL 		= 0x00000004,
	kSPCH_M_replay_type_GOAL_DRIBBLED_IN 		= 0x00000008,
	kSPCH_M_replay_type_GOAL_EXCITED 		= 0x00000010,
	kSPCH_M_replay_type_GOAL_FREEKICK 		= 0x00000020,
	kSPCH_M_replay_type_GOAL_GOOD_MOVE 		= 0x00000040,
	kSPCH_M_replay_type_GOAL_GOOD_RUN 		= 0x00000080,
	kSPCH_M_replay_type_GOAL_HEADER 		= 0x00000100,
	kSPCH_M_replay_type_GOAL_KEEPER_FAR 		= 0x00000200,
	kSPCH_M_replay_type_GOAL_OFF_KEEPER 		= 0x00000400,
	kSPCH_M_replay_type_GOAL_OFF_WOOD 		= 0x00000800,
	kSPCH_M_replay_type_GOAL_OVER 		= 0x00001000,
	kSPCH_M_replay_type_GOAL_SOFT 		= 0x00002000,
	kSPCH_M_replay_type_GOOD_SAVE_AND_OUT 		= 0x00004000,
	kSPCH_M_replay_type_NEAR_MISS 		= 0x00008000,
	kSPCH_M_replay_type_OFFSIDE 		= 0x00010000,
	kSPCH_M_replay_type_OWN_GOAL 		= 0x00020000,
	kSPCH_M_replay_type_PENALTY 		= 0x00040000,
	kSPCH_M_replay_type_PENALTY_GOAL 		= 0x00080000,
	kSPCH_M_replay_type_STUPID_OWN_GOAL 		= 0x00100000
};


/* SPCHType_M_response_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_response_type;

enum
{
	kSPCH_Invalid_M_response_type 		= 0,
	kSPCH_M_response_type_R_INTRO 		= 0x00000001,
	kSPCH_M_response_type_R_PLAYER 		= 0x00000002,
	kSPCH_M_response_type_R_STADIUM 		= 0x00000004,
	kSPCH_M_response_type_R_TEAM 		= 0x00000008
};


/* SPCHType_M_save_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_save_head;

enum
{
	kSPCH_Invalid_M_save_head 		= 0,
	kSPCH_M_save_head_SAVE 		= 0x00000001,
	kSPCH_M_save_head_SAVE_QUICK 		= 0x00000002
};


/* SPCHType_M_save_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_save_cat1;

enum
{
	kSPCH_Invalid_M_save_cat1 		= 0,
	kSPCH_M_save_cat1_S_AD_LIB 		= 0x00000001,
	kSPCH_M_save_cat1_AGAIN_BACK_IN 		= 0x00000002,
	kSPCH_M_save_cat1_AGAIN_HELD_THIS_TIME 		= 0x00000004,
	kSPCH_M_save_cat1_CATCH_FROM_CORNER 		= 0x00000008,
	kSPCH_M_save_cat1_CLOSE_RANGE_HELD 		= 0x00000010,
	kSPCH_M_save_cat1_CLOSE_RANGE_NOT_HELD 		= 0x00000020,
	kSPCH_M_save_cat1_CUT_OUT 		= 0x00000040,
	kSPCH_M_save_cat1_DIVE_CATCH 		= 0x00000080,
	kSPCH_M_save_cat1_DIVE_CATCH_LEFT 		= 0x00000100,
	kSPCH_M_save_cat1_DIVE_CATCH_RIGHT 		= 0x00000200,
	kSPCH_M_save_cat1_DIVE_PUNCH 		= 0x00000400,
	kSPCH_M_save_cat1_DIVE_PUNCH_AND_OUT 		= 0x00000800,
	kSPCH_M_save_cat1_DIVE_PUNCH_LEFT 		= 0x00001000,
	kSPCH_M_save_cat1_DIVE_PUNCH_RIGHT 		= 0x00002000,
	kSPCH_M_save_cat1_DIVE_PUNCH_IN_PLAY 		= 0x00004000,
	kSPCH_M_save_cat1_LOW_CROSS_GENERIC 		= 0x00008000,
	kSPCH_M_save_cat1_DOWN_ON_LOW_CROSS_LEFT 		= 0x00010000,
	kSPCH_M_save_cat1_DOWN_ON_LOW_CROSS_RIGHT 		= 0x00020000,
	kSPCH_M_save_cat1_EASY_CATCH_SIDE 		= 0x00040000,
	kSPCH_M_save_cat1_EASY_CATCH_UP 		= 0x00080000,
	kSPCH_M_save_cat1_FIRST_ACTION_LATE 		= 0x00100000,
	kSPCH_M_save_cat1_FREE_KICK_BLOCKED 		= 0x00200000,
	kSPCH_M_save_cat1_FREE_KICK_CATCH_EASY 		= 0x00400000,
	kSPCH_M_save_cat1_FK_CATCH_EASY_LEFT 		= 0x00800000,
	kSPCH_M_save_cat1_FK_CATCH_EASY_RIGHT 		= 0x01000000,
	kSPCH_M_save_cat1_FREE_KICK_CATCH_HARD 		= 0x02000000,
	kSPCH_M_save_cat1_FK_CATCH_HARD_LEFT 		= 0x04000000,
	kSPCH_M_save_cat1_FK_CATCH_HARD_RIGHT 		= 0x08000000,
	kSPCH_M_save_cat1_FREE_KICK_PUNCHED 		= 0x10000000,
	kSPCH_M_save_cat1_FREE_KICK_TIPPED 		= 0x20000000,
	kSPCH_M_save_cat1_PLAYER_RUN 		= 0x40000000,
	kSPCH_M_save_cat1_BREAKOUT_PASS 		= 0x80000000
};


/* SPCHType_M_save_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_save_cat2;

enum
{
	kSPCH_Invalid_M_save_cat2 		= 0,
	kSPCH_M_save_cat2_FROM_CROSS 		= 0x00000001,
	kSPCH_M_save_cat2_FROM_CROSS_LEFT 		= 0x00000002,
	kSPCH_M_save_cat2_FROM_CROSS_RIGHT 		= 0x00000004,
	kSPCH_M_save_cat2_FROM_FANCY_MOVE_HELD 		= 0x00000008,
	kSPCH_M_save_cat2_FROM_HEADER_BLOCKED 		= 0x00000010,
	kSPCH_M_save_cat2_FROM_HEADER_EASY 		= 0x00000020,
	kSPCH_M_save_cat2_FROM_HEADER_GENERIC 		= 0x00000040,
	kSPCH_M_save_cat2_FROM_HEADER_HARD 		= 0x00000080,
	kSPCH_M_save_cat2_FROM_HEADER_PUNCH 		= 0x00000100,
	kSPCH_M_save_cat2_FROM_HEADER_TIPPED 		= 0x00000200,
	kSPCH_M_save_cat2_SAVE_GENERIC 		= 0x00000400,
	kSPCH_M_save_cat2_GREAT 		= 0x00000800,
	kSPCH_M_save_cat2_HARD_SHOT 		= 0x00001000,
	kSPCH_M_save_cat2_KEEPER_BLOCKED 		= 0x00002000,
	kSPCH_M_save_cat2_KNOCKED_CLEAR 		= 0x00004000,
	kSPCH_M_save_cat2_LONG_EASY 		= 0x00008000,
	kSPCH_M_save_cat2_LONG_HARD 		= 0x00010000,
	kSPCH_M_save_cat2_LOOSE_BALL 		= 0x00020000,
	kSPCH_M_save_cat2_OFF_FOOT 		= 0x00040000,
	kSPCH_M_save_cat2_PUNCHED 		= 0x00080000,
	kSPCH_M_save_cat2_PUNCHED_AND_OUT 		= 0x00100000,
	kSPCH_M_save_cat2_PUNCHED_CROSS_OUT 		= 0x00200000,
	kSPCH_M_save_cat2_PUNCHED_CROSS_STILL_IN 		= 0x00400000,
	kSPCH_M_save_cat2_PUNCHED_STILL_IN_PLAY 		= 0x00800000,
	kSPCH_M_save_cat2_PUNCH_FROM_CORNER 		= 0x01000000,
	kSPCH_M_save_cat2_RECOVERED 		= 0x02000000,
	kSPCH_M_save_cat2_STRAIGHT_INTO_HANDS 		= 0x04000000,
	kSPCH_M_save_cat2_STRIP 		= 0x08000000,
	kSPCH_M_save_cat2_STRIP_FROM_LONG_RUN 		= 0x10000000,
	kSPCH_M_save_cat2_TIPPED 		= 0x20000000,
	kSPCH_M_save_cat2_TIPPED_AND_OUT 		= 0x40000000,
	kSPCH_M_save_cat2_TIPPED_STILL_IN_PLAY 		= 0x80000000
};


/* SPCHType_M_save_reply_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_save_reply_type;

enum
{
	kSPCH_Invalid_M_save_reply_type 		= 0,
	kSPCH_M_save_reply_type_LATE_HOPES_FOR_EQ 		= 0x00000001,
	kSPCH_M_save_reply_type_LATE_LOSE_WITH_DIGNITY 		= 0x00000002,
	kSPCH_M_save_reply_type_LATE_PROTECT_LEAD_ONE 		= 0x00000004,
	kSPCH_M_save_reply_type_LATE_WIN_SAVE_FUN 		= 0x00000008,
	kSPCH_M_save_reply_type_LATE_WONT_LET_TIE_BREAK 		= 0x00000010,
	kSPCH_M_save_reply_type_LOSING_BUT_WONT_GIVE_UP 		= 0x00000020,
	kSPCH_M_save_reply_type_LOSING_BY_ONE_STILL_IN 		= 0x00000040,
	kSPCH_M_save_reply_type_PROTECTS_LEAD_OF_ONE 		= 0x00000080,
	kSPCH_M_save_reply_type_WINNING_SAVES_FOR_FUN 		= 0x00000100,
	kSPCH_M_save_reply_type_WONT_LET_TIE_BREAKER 		= 0x00000200
};


/* SPCHType_M_scoreline_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_scoreline_head;

enum
{
	kSPCH_Invalid_M_scoreline_head 		= 0,
	kSPCH_M_scoreline_head_SCORELINE 		= 0x00000001,
	kSPCH_M_scoreline_head_SCORE_STILL 		= 0x00000002
};


/* SPCHType_M_scoreline_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_scoreline_cat1;

enum
{
	kSPCH_Invalid_M_scoreline_cat1 		= 0,
	kSPCH_M_scoreline_cat1_1_0 		= 0x00000001,
	kSPCH_M_scoreline_cat1_1_1 		= 0x00000002,
	kSPCH_M_scoreline_cat1_2_0 		= 0x00000004,
	kSPCH_M_scoreline_cat1_2_1 		= 0x00000008,
	kSPCH_M_scoreline_cat1_2_2 		= 0x00000010,
	kSPCH_M_scoreline_cat1_3_0 		= 0x00000020,
	kSPCH_M_scoreline_cat1_3_1 		= 0x00000040,
	kSPCH_M_scoreline_cat1_3_2 		= 0x00000080,
	kSPCH_M_scoreline_cat1_3_3 		= 0x00000100,
	kSPCH_M_scoreline_cat1_4_0 		= 0x00000200,
	kSPCH_M_scoreline_cat1_4_1 		= 0x00000400,
	kSPCH_M_scoreline_cat1_4_2 		= 0x00000800,
	kSPCH_M_scoreline_cat1_4_3 		= 0x00001000,
	kSPCH_M_scoreline_cat1_4_4 		= 0x00002000,
	kSPCH_M_scoreline_cat1_5_1 		= 0x00004000,
	kSPCH_M_scoreline_cat1_5_2 		= 0x00008000,
	kSPCH_M_scoreline_cat1_5_3 		= 0x00010000,
	kSPCH_M_scoreline_cat1_5_4 		= 0x00020000,
	kSPCH_M_scoreline_cat1_5_5 		= 0x00040000,
	kSPCH_M_scoreline_cat1_B_2_1 		= 0x00080000,
	kSPCH_M_scoreline_cat1_B_3_1 		= 0x00100000,
	kSPCH_M_scoreline_cat1_B_3_2 		= 0x00200000,
	kSPCH_M_scoreline_cat1_B_4_1 		= 0x00400000,
	kSPCH_M_scoreline_cat1_B_4_2 		= 0x00800000,
	kSPCH_M_scoreline_cat1_B_4_3 		= 0x01000000,
	kSPCH_M_scoreline_cat1_B_5_1 		= 0x02000000,
	kSPCH_M_scoreline_cat1_B_5_2 		= 0x04000000,
	kSPCH_M_scoreline_cat1_B_5_3 		= 0x08000000,
	kSPCH_M_scoreline_cat1_B_5_4 		= 0x10000000,
	kSPCH_M_scoreline_cat1_5_0 		= 0x20000000
};


/* SPCHType_M_scoreline_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_scoreline_cat2;

enum
{
	kSPCH_Invalid_M_scoreline_cat2 		= 0,
	kSPCH_M_scoreline_cat2_FIRST_AT_10_MINUTES 		= 0x00000001,
	kSPCH_M_scoreline_cat2_FIRST_AT_12_MINUTES 		= 0x00000002,
	kSPCH_M_scoreline_cat2_FIRST_AT_14_MINUTES 		= 0x00000004,
	kSPCH_M_scoreline_cat2_FIRST_AT_17_MINUTES 		= 0x00000008,
	kSPCH_M_scoreline_cat2_FIRST_AT_1_MINUTE 		= 0x00000010,
	kSPCH_M_scoreline_cat2_FIRST_AT_20_MINUTES 		= 0x00000020,
	kSPCH_M_scoreline_cat2_FIRST_AT_25_MINUTES 		= 0x00000040,
	kSPCH_M_scoreline_cat2_FIRST_AT_2_MINUTES 		= 0x00000080,
	kSPCH_M_scoreline_cat2_FIRST_AT_30_MINUTES 		= 0x00000100,
	kSPCH_M_scoreline_cat2_FIRST_AT_35_MINUTES 		= 0x00000200,
	kSPCH_M_scoreline_cat2_FIRST_AT_3_MINUTES 		= 0x00000400,
	kSPCH_M_scoreline_cat2_FIRST_AT_4_MINUTES 		= 0x00000800,
	kSPCH_M_scoreline_cat2_FIRST_AT_5_MINUTES 		= 0x00001000,
	kSPCH_M_scoreline_cat2_FIRST_AT_6_MINUTES 		= 0x00002000,
	kSPCH_M_scoreline_cat2_FIRST_AT_7_MINUTES 		= 0x00004000,
	kSPCH_M_scoreline_cat2_FIRST_AT_8_MINUTES 		= 0x00008000,
	kSPCH_M_scoreline_cat2_FIRST_AT_9_MINUTES 		= 0x00010000,
	kSPCH_M_scoreline_cat2_FIRST_IN_EARLY_SECOND_HALF 		= 0x00020000,
	kSPCH_M_scoreline_cat2_FIRST_IN_LATE_FIRST_HALF 		= 0x00040000,
	kSPCH_M_scoreline_cat2_FIRST_IN_LATE_SECOND_HALF 		= 0x00080000,
	kSPCH_M_scoreline_cat2_FIRST_IN_SECOND_HALF 		= 0x00100000,
	kSPCH_M_scoreline_cat2_FIRST_IN_UNDER_A_MINUTE 		= 0x00200000,
	kSPCH_M_scoreline_cat2_HIGH_BOTH 		= 0x00400000,
	kSPCH_M_scoreline_cat2_HIGH_ONE_BETTER 		= 0x00800000,
	kSPCH_M_scoreline_cat2_HIGH_ONE_WORSE 		= 0x01000000,
	kSPCH_M_scoreline_cat2_OWN_GOAL_EVENS_UP 		= 0x02000000,
	kSPCH_M_scoreline_cat2_OWN_GOAL_FURTHER_BEHIND 		= 0x04000000,
	kSPCH_M_scoreline_cat2_OWN_GOAL_NOW_BEHIND 		= 0x08000000,
	kSPCH_M_scoreline_cat2_OWN_GOAL_STILL_IN_LEAD 		= 0x10000000,
	kSPCH_M_scoreline_cat2_REMAINS_UNCHANGED_CLOSE 		= 0x20000000,
	kSPCH_M_scoreline_cat2_REMAINS_UNCHANGED_NOT_CLOSE 		= 0x40000000,
	kSPCH_M_scoreline_cat2_REMAINS_UNCHANGED_TIED 		= 0x80000000
};


/* SPCHType_M_scoreline_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_M_scoreline_cat3;

enum
{
	kSPCH_Invalid_M_scoreline_cat3 		= 0,
	kSPCH_M_scoreline_cat3_0_0 		= 0x00000001,
	kSPCH_M_scoreline_cat3_1_0 		= 0x00000002,
	kSPCH_M_scoreline_cat3_1_1 		= 0x00000004,
	kSPCH_M_scoreline_cat3_2_0 		= 0x00000008,
	kSPCH_M_scoreline_cat3_2_1 		= 0x00000010,
	kSPCH_M_scoreline_cat3_2_2 		= 0x00000020,
	kSPCH_M_scoreline_cat3_3_0 		= 0x00000040,
	kSPCH_M_scoreline_cat3_3_1 		= 0x00000080,
	kSPCH_M_scoreline_cat3_3_2 		= 0x00000100,
	kSPCH_M_scoreline_cat3_3_3 		= 0x00000200,
	kSPCH_M_scoreline_cat3_4_0 		= 0x00000400,
	kSPCH_M_scoreline_cat3_4_1 		= 0x00000800,
	kSPCH_M_scoreline_cat3_4_2 		= 0x00001000,
	kSPCH_M_scoreline_cat3_4_3 		= 0x00002000,
	kSPCH_M_scoreline_cat3_4_4 		= 0x00004000,
	kSPCH_M_scoreline_cat3_5_0 		= 0x00008000,
	kSPCH_M_scoreline_cat3_5_1 		= 0x00010000,
	kSPCH_M_scoreline_cat3_5_2 		= 0x00020000,
	kSPCH_M_scoreline_cat3_5_3 		= 0x00040000,
	kSPCH_M_scoreline_cat3_5_4 		= 0x00080000,
	kSPCH_M_scoreline_cat3_5_5 		= 0x00100000
};


/* SPCHType_M_score_reply_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_score_reply_head;

enum
{
	kSPCH_Invalid_M_score_reply_head 		= 0,
	kSPCH_M_score_reply_head_SCORELINE_REPLY 		= 0x00000001,
	kSPCH_M_score_reply_head_SCORELINE_BANTER 		= 0x00000002
};


/* SPCHType_M_score_reply_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_score_reply_cat1;

enum
{
	kSPCH_Invalid_M_score_reply_cat1 		= 0,
	kSPCH_M_score_reply_cat1_LOSE_FEW_1ST_TEAM_1ST_HALF 		= 0x00000001,
	kSPCH_M_score_reply_cat1_LOSE_FEW_1ST_TEAM_GOAL_NEAR_END 		= 0x00000002,
	kSPCH_M_score_reply_cat1_LOSE_FEW_1ST_TEAM_GOAL_2ND_HALF 		= 0x00000004,
	kSPCH_M_score_reply_cat1_LOSE_FEW_NOW_1ST_HALF 		= 0x00000008,
	kSPCH_M_score_reply_cat1_LOSE_FEW_NOW_NEAR_END 		= 0x00000010,
	kSPCH_M_score_reply_cat1_LOSE_FEW_NOW_2ND_HALF 		= 0x00000020,
	kSPCH_M_score_reply_cat1_LOSE_MANY_1ST_TEAM_GOAL_1ST_HAL 		= 0x00000040,
	kSPCH_M_score_reply_cat1_LOSE_MANY_1ST_TEAM_GOAL_NEAR_EN 		= 0x00000080,
	kSPCH_M_score_reply_cat1_LOSE_MANY_1ST_TEAM_GOAL_2ND_HAL 		= 0x00000100,
	kSPCH_M_score_reply_cat1_LOSE_MANY_STILL_1ST_HALF 		= 0x00000200,
	kSPCH_M_score_reply_cat1_LOSE_MANY_STILL_NEAR_END 		= 0x00000400,
	kSPCH_M_score_reply_cat1_LOSE_MANY_STILL_2ND_HALF 		= 0x00000800,
	kSPCH_M_score_reply_cat1_LOSE_ONE_PENALTY_1ST_HALF 		= 0x00001000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_PENALTY_NEAR_END 		= 0x00002000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_PENALTY_2ND_HALF 		= 0x00004000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_AGAIN_1ST_HALF 		= 0x00008000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_AGAIN_NEAR_END 		= 0x00010000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_AGAIN_2ND_HALF 		= 0x00020000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_COMEBACK_1ST_HALF 		= 0x00040000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_COMEBACK_NEAR_END 		= 0x00080000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_COMEBACK_2ND_HALF 		= 0x00100000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_1ST_TEAM_GOAL_1ST_HALF 		= 0x00200000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_1ST_TEAM_GOAL_NEAR_END 		= 0x00400000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_1ST_TEAM_GOAL_2ND_HALF 		= 0x00800000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_1ST_HALF 		= 0x01000000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_NEAR_END 		= 0x02000000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_OWN_GOAL_1ST_HALF 		= 0x04000000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_OWN_GOAL_NEAR_END 		= 0x08000000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_OWN_GOAL_2ND_HALF 		= 0x10000000,
	kSPCH_M_score_reply_cat1_LOSE_ONE_NOW_2ND_HALF 		= 0x20000000
};


/* SPCHType_M_score_reply_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_score_reply_cat2;

enum
{
	kSPCH_Invalid_M_score_reply_cat2 		= 0,
	kSPCH_M_score_reply_cat2_LOSE_SEV_OWN_GOAL_1ST_HALF 		= 0x00000001,
	kSPCH_M_score_reply_cat2_LOSE_SEV_OWN_GOAL_NEAR_END 		= 0x00000002,
	kSPCH_M_score_reply_cat2_LOSE_SEV_OWN_GOAL_2ND_HALF 		= 0x00000004,
	kSPCH_M_score_reply_cat2_LOSE_SEV_STILL_PEN_1ST_HALF 		= 0x00000008,
	kSPCH_M_score_reply_cat2_LOSE_SEV_STILL_PEN_NEAR_END 		= 0x00000010,
	kSPCH_M_score_reply_cat2_LOSE_SEV_STILL_PEN_2ND_HALF 		= 0x00000020,
	kSPCH_M_score_reply_cat2_TIED_PENALTY_1ST_HALF 		= 0x00000040,
	kSPCH_M_score_reply_cat2_TIED_PENALTY_NEAR_END 		= 0x00000080,
	kSPCH_M_score_reply_cat2_TIED_PENALTY_2ND_HALF 		= 0x00000100,
	kSPCH_M_score_reply_cat2_TIED_AGAIN_1ST_HALF 		= 0x00000200,
	kSPCH_M_score_reply_cat2_TIED_AGAIN_NEAR_END 		= 0x00000400,
	kSPCH_M_score_reply_cat2_TIED_AGAIN_2ND_HALF 		= 0x00000800,
	kSPCH_M_score_reply_cat2_TIED_COMEBACK_1ST_HALF 		= 0x00001000,
	kSPCH_M_score_reply_cat2_TIED_COMEBACK_NEAR_END 		= 0x00002000,
	kSPCH_M_score_reply_cat2_TIED_COMEBACK_2ND_HALF 		= 0x00004000,
	kSPCH_M_score_reply_cat2_TIED_1ST_HALF 		= 0x00008000,
	kSPCH_M_score_reply_cat2_TIED_1ST_TEAM_GOAL_1ST_HALF 		= 0x00010000,
	kSPCH_M_score_reply_cat2_TIED_1ST_TEAM_GOAL_NEAR_END 		= 0x00020000,
	kSPCH_M_score_reply_cat2_TIED_1ST_TEAM_GOAL_2ND_HALF 		= 0x00040000,
	kSPCH_M_score_reply_cat2_TIED_HIGH_SCORES_1ST_HALF 		= 0x00080000,
	kSPCH_M_score_reply_cat2_TIED_HIGH_SCORES_NEAR_END 		= 0x00100000,
	kSPCH_M_score_reply_cat2_TIED_HIGH_SCORES_2ND_HALF 		= 0x00200000,
	kSPCH_M_score_reply_cat2_TIED_NEAR_END 		= 0x00400000,
	kSPCH_M_score_reply_cat2_TIED_NOW_OWN_GOAL_1ST_HALF 		= 0x00800000,
	kSPCH_M_score_reply_cat2_TIED_NOW_OWN_GOAL_NEAR_END 		= 0x01000000,
	kSPCH_M_score_reply_cat2_TIED_NOW_OWN_GOAL_2ND_HALF 		= 0x02000000,
	kSPCH_M_score_reply_cat2_TIED_2ND_HALF 		= 0x04000000
};


/* SPCHType_M_score_reply_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_M_score_reply_cat3;

enum
{
	kSPCH_Invalid_M_score_reply_cat3 		= 0,
	kSPCH_M_score_reply_cat3_WIN_AGAIN_1ST_HALF 		= 0x00000001,
	kSPCH_M_score_reply_cat3_WIN_AGAIN_NEAR_END 		= 0x00000002,
	kSPCH_M_score_reply_cat3_WIN_AGAIN_2ND_HALF 		= 0x00000004,
	kSPCH_M_score_reply_cat3_WIN_BROKE_TIE_1ST_HALF 		= 0x00000008,
	kSPCH_M_score_reply_cat3_WIN_BROKE_TIE_NEAR_END 		= 0x00000010,
	kSPCH_M_score_reply_cat3_WIN_BROKE_TIE_2ND_HALF 		= 0x00000020,
	kSPCH_M_score_reply_cat3_WIN_FEW_1ST_HALF 		= 0x00000040,
	kSPCH_M_score_reply_cat3_WIN_FEW_NEAR_END 		= 0x00000080,
	kSPCH_M_score_reply_cat3_WIN_FEW_2ND_HALF 		= 0x00000100,
	kSPCH_M_score_reply_cat3_WIN_MANY_1ST_HALF 		= 0x00000200,
	kSPCH_M_score_reply_cat3_WIN_MANY_NEAR_END 		= 0x00000400,
	kSPCH_M_score_reply_cat3_WIN_MANY_OTHERS_NO_SCORE_1ST_HA 		= 0x00000800,
	kSPCH_M_score_reply_cat3_WIN_MANY_OTHERS_NO_SCORE_NEAR_E 		= 0x00001000,
	kSPCH_M_score_reply_cat3_WIN_MANY_OTHERS_NO_SCORE_2ND_HA 		= 0x00002000,
	kSPCH_M_score_reply_cat3_WIN_MANY_2ND_HALF 		= 0x00004000,
	kSPCH_M_score_reply_cat3_WIN_ONE_PENALTY_1ST_HALF 		= 0x00008000,
	kSPCH_M_score_reply_cat3_WIN_ONE_PENALTY_NEAR_END 		= 0x00010000,
	kSPCH_M_score_reply_cat3_WIN_ONE_PENALTY_2ND_HALF 		= 0x00020000,
	kSPCH_M_score_reply_cat3_WIN_ONE_STILL_OWN_GOAL_1ST_HALF 		= 0x00040000,
	kSPCH_M_score_reply_cat3_WIN_ONE_STILL_OWN_GOAL_NEAR_END 		= 0x00080000,
	kSPCH_M_score_reply_cat3_WIN_ONE_STILL_OWN_GOAL_2ND_HALF 		= 0x00100000
};


/* SPCHType_M_score_reply_cat4 ****************/
typedef struct { unsigned int flags; } SPCHType_M_score_reply_cat4;

enum
{
	kSPCH_Invalid_M_score_reply_cat4 		= 0,
	kSPCH_M_score_reply_cat4_WIN_SEV_PENALTY_1ST_HALF 		= 0x00000001,
	kSPCH_M_score_reply_cat4_WIN_SEV_PENALTY_NEAR_END 		= 0x00000002,
	kSPCH_M_score_reply_cat4_WIN_SEV_PENALTY_2ND_HALF 		= 0x00000004,
	kSPCH_M_score_reply_cat4_WIN_SEV_STILL_OWN_GOAL_1ST_HALF 		= 0x00000008,
	kSPCH_M_score_reply_cat4_WIN_SEV_STILL_OWN_GOAL_NEAR_END 		= 0x00000010,
	kSPCH_M_score_reply_cat4_WIN_SEV_STILL_OWN_GOAL_2ND_HALF 		= 0x00000020,
	kSPCH_M_score_reply_cat4_WIN_COMEBACK_1ST_HALF 		= 0x00000040,
	kSPCH_M_score_reply_cat4_WIN_COMEBACK_NEAR_END 		= 0x00000080,
	kSPCH_M_score_reply_cat4_WIN_COMEBACK_2ND_HALF 		= 0x00000100,
	kSPCH_M_score_reply_cat4_WIN_1ST_MATCH_GOAL_1ST_HALF 		= 0x00000200,
	kSPCH_M_score_reply_cat4_WIN_1ST_MATCH_GOAL_NEAR_END 		= 0x00000400,
	kSPCH_M_score_reply_cat4_WIN_1ST_MATCH_GOAL_2ND_HALF 		= 0x00000800,
	kSPCH_M_score_reply_cat4_WIN_OTHER_TEAM_NO_SCORE_1ST_HAL 		= 0x00001000,
	kSPCH_M_score_reply_cat4_WIN_OTHER_TEAM_NO_SCORE_NEAR_EN 		= 0x00002000,
	kSPCH_M_score_reply_cat4_WIN_OTHER_TEAM_NO_SCORE_2ND_HAL 		= 0x00004000
};


/* SPCHType_M_shootout_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_shootout_type;

enum
{
	kSPCH_Invalid_M_shootout_type 		= 0,
	kSPCH_M_shootout_type_AFTER_ROUND_5 		= 0x00000001,
	kSPCH_M_shootout_type_GOAL_WILL_WIN 		= 0x00000002,
	kSPCH_M_shootout_type_MISS_WILL_LOSE 		= 0x00000004,
	kSPCH_M_shootout_type_NEITHER_TEAM_SCORED 		= 0x00000008,
	kSPCH_M_shootout_type_SCORE_0_0 		= 0x00000010,
	kSPCH_M_shootout_type_SCORE_1_0 		= 0x00000020,
	kSPCH_M_shootout_type_SCORE_1_1 		= 0x00000040,
	kSPCH_M_shootout_type_SCORE_2_0 		= 0x00000080,
	kSPCH_M_shootout_type_SCORE_2_1 		= 0x00000100,
	kSPCH_M_shootout_type_SCORE_2_2 		= 0x00000200,
	kSPCH_M_shootout_type_SCORE_3_1 		= 0x00000400,
	kSPCH_M_shootout_type_SCORE_3_2 		= 0x00000800,
	kSPCH_M_shootout_type_SCORE_3_3 		= 0x00001000,
	kSPCH_M_shootout_type_SCORE_4_3 		= 0x00002000,
	kSPCH_M_shootout_type_SCORE_4_4 		= 0x00004000,
	kSPCH_M_shootout_type_SCORE_5_5 		= 0x00008000,
	kSPCH_M_shootout_type_TEAM_NOT_SCORED 		= 0x00010000
};


/* SPCHType_M_sub_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_sub_head;

enum
{
	kSPCH_Invalid_M_sub_head 		= 0,
	kSPCH_M_sub_head_SUBSTITUTION 		= 0x00000001,
	kSPCH_M_sub_head_SUBSTITUTION_BANTER 		= 0x00000002,
	kSPCH_M_sub_head_SUBSTITUTION_BANTER_REPLY 		= 0x00000004
};


/* SPCHType_M_sub_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_sub_cat;

enum
{
	kSPCH_Invalid_M_sub_cat 		= 0,
	kSPCH_M_sub_cat_CARDED 		= 0x00000001,
	kSPCH_M_sub_cat_S_FIRST 		= 0x00000002,
	kSPCH_M_sub_cat_SUB_GENERIC 		= 0x00000004,
	kSPCH_M_sub_cat_INJURED 		= 0x00000008,
	kSPCH_M_sub_cat_S_KEEPER 		= 0x00000010,
	kSPCH_M_sub_cat_LAST 		= 0x00000020,
	kSPCH_M_sub_cat_MULT_BOTH 		= 0x00000040,
	kSPCH_M_sub_cat_MULT_MORE 		= 0x00000080,
	kSPCH_M_sub_cat_MULT_ONE_EACH 		= 0x00000100,
	kSPCH_M_sub_cat_MULT_TWO 		= 0x00000200,
	kSPCH_M_sub_cat_SECOND 		= 0x00000400,
	kSPCH_M_sub_cat_TRANSFER 		= 0x00000800
};


/* SPCHType_M_suggestion_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_suggestion_type;

enum
{
	kSPCH_Invalid_M_suggestion_type 		= 0,
	kSPCH_M_suggestion_type_LESS_PLAYERS_LOSING 		= 0x00000001,
	kSPCH_M_suggestion_type_LESS_PLAYERS_TIED 		= 0x00000002,
	kSPCH_M_suggestion_type_LESS_PLAYERS_WINNING 		= 0x00000004,
	kSPCH_M_suggestion_type_MORE_PLAYERS_LOSING 		= 0x00000008,
	kSPCH_M_suggestion_type_MORE_PLAYERS_TIED 		= 0x00000010,
	kSPCH_M_suggestion_type_MORE_PLAYERS_WINNING 		= 0x00000020,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_ATTACK_LOSING 		= 0x00000040,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_ATTACK_TIED 		= 0x00000080,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_ATTACK_WINNING 		= 0x00000100,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_DEFEND_LOSING 		= 0x00000200,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_DEFEND_TIED 		= 0x00000400,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_DEFEND_WINNING 		= 0x00000800,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_MIDDLE_LOSING 		= 0x00001000,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_MIDDLE_TIED 		= 0x00002000,
	kSPCH_M_suggestion_type_TEAM_POSS_IN_MIDDLE_WINNING 		= 0x00004000
};


/* SPCHType_M_tackle_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_tackle_head;

enum
{
	kSPCH_Invalid_M_tackle_head 		= 0,
	kSPCH_M_tackle_head_TACKLE 		= 0x00000001,
	kSPCH_M_tackle_head_TACKLE_BANTER 		= 0x00000002,
	kSPCH_M_tackle_head_TACKLE_BANTER_REPLY 		= 0x00000004
};


/* SPCHType_M_tackle_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_tackle_cat;

enum
{
	kSPCH_Invalid_M_tackle_cat 		= 0,
	kSPCH_M_tackle_cat_BARGE_OK 		= 0x00000001,
	kSPCH_M_tackle_cat_BY_KEEPER_DISPOSSESSED 		= 0x00000002,
	kSPCH_M_tackle_cat_BY_KEEPER_GOT_BALL 		= 0x00000004,
	kSPCH_M_tackle_cat_BY_KEEPER_MISSED 		= 0x00000008,
	kSPCH_M_tackle_cat_DISPOSSESSED 		= 0x00000010,
	kSPCH_M_tackle_cat_ENDED_DRIBBLE 		= 0x00000020,
	kSPCH_M_tackle_cat_GOOD_GOT_BALL 		= 0x00000040,
	kSPCH_M_tackle_cat_GOOD_HARD_NO_FOUL 		= 0x00000080,
	kSPCH_M_tackle_cat_GOOD_SLIDE_NO_FOUL 		= 0x00000100,
	kSPCH_M_tackle_cat_GOT_BALL_HIS_BOX 		= 0x00000200,
	kSPCH_M_tackle_cat_GOT_BALL_HIS_END 		= 0x00000400,
	kSPCH_M_tackle_cat_GOT_BALL_MIDFIELD 		= 0x00000800,
	kSPCH_M_tackle_cat_GOT_BALL_OWN_BOX 		= 0x00001000,
	kSPCH_M_tackle_cat_GOT_BALL_OWN_END 		= 0x00002000,
	kSPCH_M_tackle_cat_GOT_BALL_WING 		= 0x00004000,
	kSPCH_M_tackle_cat_HARD_TOUCHED_BALL_1ST 		= 0x00008000,
	kSPCH_M_tackle_cat_INJURY_NO_FOUL 		= 0x00010000,
	kSPCH_M_tackle_cat_LAST_MAN_DISPOSSESSED 		= 0x00020000,
	kSPCH_M_tackle_cat_LAST_MAN_FAILED 		= 0x00040000,
	kSPCH_M_tackle_cat_LAST_MAN_TOOK_BALL 		= 0x00080000,
	kSPCH_M_tackle_cat_MISSED_BALL 		= 0x00100000,
	kSPCH_M_tackle_cat_MISSED_NOT_CLOSE 		= 0x00200000,
	kSPCH_M_tackle_cat_MISSED_WITH_SLIDE 		= 0x00400000,
	kSPCH_M_tackle_cat_NO_BALL_HARD_NO_FOUL 		= 0x00800000,
	kSPCH_M_tackle_cat_NO_BALL_HARD_SLIDE_NO_FOUL 		= 0x01000000,
	kSPCH_M_tackle_cat_PLAYER_COLLISION 		= 0x02000000,
	kSPCH_M_tackle_cat_SLIDE_DISPOSSESSED 		= 0x04000000,
	kSPCH_M_tackle_cat_TOOK_FROM_DRIBBLE 		= 0x08000000,
	kSPCH_M_tackle_cat_WON_BALL_BACK_PLAYER 		= 0x10000000,
	kSPCH_M_tackle_cat_WON_BALL_BACK_TEAM 		= 0x20000000
};


/* SPCHType_M_team_score_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_team_score_head;

enum
{
	kSPCH_Invalid_M_team_score_head 		= 0,
	kSPCH_M_team_score_head_TEAM_NAME_EVEN_SCORE 		= 0x00000001,
	kSPCH_M_team_score_head_TEAM_NAME_LOSING_BY_MORE 		= 0x00000002,
	kSPCH_M_team_score_head_TEAM_NAME_LOSING_BY_ONE 		= 0x00000004,
	kSPCH_M_team_score_head_TEAM_NAME_NO_SCORE 		= 0x00000008,
	kSPCH_M_team_score_head_TEAM_NAME_WINNING_BY_MORE 		= 0x00000010,
	kSPCH_M_team_score_head_TEAM_NAME_WINNING_BY_ONE 		= 0x00000020
};


/* SPCHType_M_team_score_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_team_score_cat;

enum
{
	kSPCH_Invalid_M_team_score_cat 		= 0,
	kSPCH_M_team_score_cat_AJAX 		= 0x00000001,
	kSPCH_M_team_score_cat_ANDERLECHT 		= 0x00000002,
	kSPCH_M_team_score_cat_ARSENAL 		= 0x00000004,
	kSPCH_M_team_score_cat_BARCELONA 		= 0x00000008,
	kSPCH_M_team_score_cat_BAYERN_MUNICH 		= 0x00000010,
	kSPCH_M_team_score_cat_BAYER_LEVERKUSEN 		= 0x00000020,
	kSPCH_M_team_score_cat_BENFICA 		= 0x00000040,
	kSPCH_M_team_score_cat_BORUSSIA_DORTMUND 		= 0x00000080,
	kSPCH_M_team_score_cat_CHELSEA 		= 0x00000100,
	kSPCH_M_team_score_cat_DEPORTIVO_LA_CORUNA 		= 0x00000200,
	kSPCH_M_team_score_cat_GALATASARAY 		= 0x00000400,
	kSPCH_M_team_score_cat_INTER_MILAN 		= 0x00000800,
	kSPCH_M_team_score_cat_JUVENTUS 		= 0x00001000,
	kSPCH_M_team_score_cat_LENS 		= 0x00002000,
	kSPCH_M_team_score_cat_LIVERPOOL 		= 0x00004000,
	kSPCH_M_team_score_cat_LYON 		= 0x00008000,
	kSPCH_M_team_score_cat_MANCHESTER_UNITED 		= 0x00010000,
	kSPCH_M_team_score_cat_PARIS_ST_GERMAIN 		= 0x00020000,
	kSPCH_M_team_score_cat_REAL_MADRID 		= 0x00040000,
	kSPCH_M_team_score_cat_ROMA 		= 0x00080000,
	kSPCH_M_team_score_cat_ASTON_VILLA 		= 0x00100000,
	kSPCH_M_team_score_cat_BIRMINGHAM_CITY 		= 0x00200000,
	kSPCH_M_team_score_cat_BLACKBURN 		= 0x00400000,
	kSPCH_M_team_score_cat_BOLTON 		= 0x00800000,
	kSPCH_M_team_score_cat_BRUGGE 		= 0x01000000,
	kSPCH_M_team_score_cat_CELTIC 		= 0x02000000,
	kSPCH_M_team_score_cat_CHARLTON 		= 0x04000000,
	kSPCH_M_team_score_cat_CRYSTAL_PALACE 		= 0x08000000,
	kSPCH_M_team_score_cat_EVERTON 		= 0x10000000,
	kSPCH_M_team_score_cat_FENERBAHCE 		= 0x20000000,
	kSPCH_M_team_score_cat_FULHAM 		= 0x40000000,
	kSPCH_M_team_score_cat_MANCHESTER_CITY 		= 0x80000000
};


/* SPCHType_M_time_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_time_type;

enum
{
	kSPCH_Invalid_M_time_type 		= 0,
	kSPCH_M_time_type_EXTRA_10 		= 0x00000001,
	kSPCH_M_time_type_EXTRA_15 		= 0x00000002,
	kSPCH_M_time_type_EXTRA_20 		= 0x00000004,
	kSPCH_M_time_type_EXTRA_25 		= 0x00000008,
	kSPCH_M_time_type_EXTRA_30 		= 0x00000010,
	kSPCH_M_time_type_EXTRA_5 		= 0x00000020,
	kSPCH_M_time_type_MINUTES_10 		= 0x00000040,
	kSPCH_M_time_type_MINUTES_15 		= 0x00000080,
	kSPCH_M_time_type_MINUTES_20 		= 0x00000100,
	kSPCH_M_time_type_MINUTES_25 		= 0x00000200,
	kSPCH_M_time_type_MINUTES_30 		= 0x00000400,
	kSPCH_M_time_type_MINUTES_35 		= 0x00000800,
	kSPCH_M_time_type_MINUTES_40 		= 0x00001000,
	kSPCH_M_time_type_MINUTES_45 		= 0x00002000,
	kSPCH_M_time_type_MINUTES_5 		= 0x00004000,
	kSPCH_M_time_type_MINUTES_50 		= 0x00008000,
	kSPCH_M_time_type_MINUTES_55 		= 0x00010000,
	kSPCH_M_time_type_MINUTES_60 		= 0x00020000,
	kSPCH_M_time_type_MINUTES_65 		= 0x00040000,
	kSPCH_M_time_type_MINUTES_70 		= 0x00080000,
	kSPCH_M_time_type_MINUTES_75 		= 0x00100000,
	kSPCH_M_time_type_MINUTES_80 		= 0x00200000,
	kSPCH_M_time_type_MINUTES_85 		= 0x00400000,
	kSPCH_M_time_type_MINUTES_90 		= 0x00800000
};


/* SPCHType_C_crowd_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_crowd_type;

enum
{
	kSPCH_Invalid_C_crowd_type 		= 0,
	kSPCH_C_crowd_type_AWAY_GOAL_CHANT 		= 0x00000001,
	kSPCH_C_crowd_type_AWAY_TEAM_STOPPED 		= 0x00000002,
	kSPCH_C_crowd_type_CONFUSED 		= 0x00000004,
	kSPCH_C_crowd_type_FOUL_TO_AWAY_TEAM 		= 0x00000008,
	kSPCH_C_crowd_type_FOUL_TO_HOME_TEAM 		= 0x00000010,
	kSPCH_C_crowd_type_HOME_GOAL_CHANT 		= 0x00000020,
	kSPCH_C_crowd_type_PLAYER_CARDED_EARLIER 		= 0x00000040,
	kSPCH_C_crowd_type_TABLES_TURNED_GOAL_CHANT 		= 0x00000080
};


/* SPCHType_C_defend_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_defend_type;

enum
{
	kSPCH_Invalid_C_defend_type 		= 0,
	kSPCH_C_defend_type_BEAT_BY_DUMMY 		= 0x00000001,
	kSPCH_C_defend_type_FOILED_DUMMY 		= 0x00000002,
	kSPCH_C_defend_type_TACKLE_TOO_EARLY 		= 0x00000004,
	kSPCH_C_defend_type_TACKLE_TOO_LATE 		= 0x00000008,
	kSPCH_C_defend_type_CLEARED_FROM_BOX 		= 0x00000010,
	kSPCH_C_defend_type_CLEARED_FROM_GOALLINE 		= 0x00000020,
	kSPCH_C_defend_type_COLLECTED_CROSS 		= 0x00000040,
	kSPCH_C_defend_type_PUSHED_BACK 		= 0x00000080,
	kSPCH_C_defend_type_SHOT_BLOCKED 		= 0x00000100
};


/* SPCHType_C_foul_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_foul_head;

enum
{
	kSPCH_Invalid_C_foul_head 		= 0,
	kSPCH_C_foul_head_COLOUR_FOUL_ANY 		= 0x00000001,
	kSPCH_C_foul_head_COLOUR_FOUL_BOOKING 		= 0x00000002,
	kSPCH_C_foul_head_COLOUR_FOUL_FREEKICK 		= 0x00000004,
	kSPCH_C_foul_head_COLOUR_FOUL_PENALTY 		= 0x00000008,
	kSPCH_C_foul_head_COLOUR_FOUL_PREVIOUS 		= 0x00000010
};


/* SPCHType_C_foul_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_foul_cat1;

enum
{
	kSPCH_Invalid_C_foul_cat1 		= 0,
	kSPCH_C_foul_cat1_HANDBALL_ACCIDENTAL 		= 0x00000001,
	kSPCH_C_foul_cat1_HANDBALL_DELIBERATE 		= 0x00000002,
	kSPCH_C_foul_cat1_INJURED_ANKLE 		= 0x00000004,
	kSPCH_C_foul_cat1_INJURED_CALF 		= 0x00000008,
	kSPCH_C_foul_cat1_INJURED_KNEE 		= 0x00000010,
	kSPCH_C_foul_cat1_INJURED_THIGH 		= 0x00000020,
	kSPCH_C_foul_cat1_FELL_WILL_PLAY_ON 		= 0x00000040,
	kSPCH_C_foul_cat1_INJURED_WORSE_NOW 		= 0x00000080,
	kSPCH_C_foul_cat1_NOW_SUSPENDED 		= 0x00000100,
	kSPCH_C_foul_cat1_ONLY_STUMBLED 		= 0x00000200,
	kSPCH_C_foul_cat1_RED_ANOTHER 		= 0x00000400,
	kSPCH_C_foul_cat1_RED_ANOTHER_EARLY 		= 0x00000800,
	kSPCH_C_foul_cat1_RED_BAD_TIME 		= 0x00001000,
	kSPCH_C_foul_cat1_RED_EARLY 		= 0x00002000,
	kSPCH_C_foul_cat1_RED_EVENS_UP 		= 0x00004000,
	kSPCH_C_foul_cat1_RED_FOR_SECOND_YELLOW 		= 0x00008000,
	kSPCH_C_foul_cat1_RED_LAST_MAN_MAYBE_WORTH_IT 		= 0x00010000,
	kSPCH_C_foul_cat1_RED_LAST_MAN_NOT_WORTH_IT 		= 0x00020000,
	kSPCH_C_foul_cat1_RED_LOSING 		= 0x00040000,
	kSPCH_C_foul_cat1_RED_TIED 		= 0x00080000,
	kSPCH_C_foul_cat1_RED_WINNING 		= 0x00100000,
	kSPCH_C_foul_cat1_RED_YES_INJURED 		= 0x00200000,
	kSPCH_C_foul_cat1_YELLOW_ANOTHER_EARLY 		= 0x00400000,
	kSPCH_C_foul_cat1_YELLOW_EARLY 		= 0x00800000,
	kSPCH_C_foul_cat1_YELLOW_INJURED_LUCKY 		= 0x01000000,
	kSPCH_C_foul_cat1_YELLOW_LAST_MAN_LIKELY_WORTH_IT 		= 0x02000000,
	kSPCH_C_foul_cat1_YELLOW_LAST_MAN_NOT_WORTH_IT 		= 0x04000000,
	kSPCH_C_foul_cat1_YELLOW_MORE_THAN_TWO 		= 0x08000000,
	kSPCH_C_foul_cat1_YELLOW_TWO_FOR_TEAM 		= 0x10000000
};


/* SPCHType_C_foul_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_foul_cat2;

enum
{
	kSPCH_Invalid_C_foul_cat2 		= 0,
	kSPCH_C_foul_cat2_ALMOST_PENALTY 		= 0x00000001,
	kSPCH_C_foul_cat2_ARRANGING_WALL 		= 0x00000002,
	kSPCH_C_foul_cat2_GOOD_POSITION 		= 0x00000004,
	kSPCH_C_foul_cat2_GOOD_POS_IMPORTANT 		= 0x00000008,
	kSPCH_C_foul_cat2_INJURED_WORSE_NOW 		= 0x00000010,
	kSPCH_C_foul_cat2_INJURED_LUCKY 		= 0x00000020,
	kSPCH_C_foul_cat2_MANY_CAREFUL_NOW 		= 0x00000040,
	kSPCH_C_foul_cat2_OFFSIDE_CLOSE 		= 0x00000080,
	kSPCH_C_foul_cat2_OFFSIDE_TRAP 		= 0x00000100,
	kSPCH_C_foul_cat2_ON_GROUND_LUCKY 		= 0x00000200,
	kSPCH_C_foul_cat2_OTHER_TEAM_JUST_HAD 		= 0x00000400,
	kSPCH_C_foul_cat2_SAME_TEAM_JUST_HAD 		= 0x00000800,
	kSPCH_C_foul_cat2_WORTH_IT 		= 0x00001000,
	kSPCH_C_foul_cat2_ALMOST_FREEKICK 		= 0x00002000,
	kSPCH_C_foul_cat2_ANOTHER 		= 0x00004000,
	kSPCH_C_foul_cat2_EARLY 		= 0x00008000,
	kSPCH_C_foul_cat2_EVENS_UP 		= 0x00010000,
	kSPCH_C_foul_cat2_IMPORTANT 		= 0x00020000,
	kSPCH_C_foul_cat2_LOSING 		= 0x00040000,
	kSPCH_C_foul_cat2_TIED 		= 0x00080000,
	kSPCH_C_foul_cat2_WINNING 		= 0x00100000,
	kSPCH_C_foul_cat2_JOSTLING 		= 0x00200000
};


/* SPCHType_C_generic_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_generic_type;

enum
{
	kSPCH_Invalid_C_generic_type 		= 0,
	kSPCH_C_generic_type_AND_AGAIN 		= 0x00000001,
	kSPCH_C_generic_type_BAD_DEFENCE 		= 0x00000002,
	kSPCH_C_generic_type_BAD_MISTAKE 		= 0x00000004,
	kSPCH_C_generic_type_CONFUSED 		= 0x00000008,
	kSPCH_C_generic_type_DEFLECTION_OFF_OPP_PLAYER 		= 0x00000010,
	kSPCH_C_generic_type_DEFLECTION_OFF_TEAMMATE 		= 0x00000020,
	kSPCH_C_generic_type_GOOD_DEFENCE 		= 0x00000040,
	kSPCH_C_generic_type_GOOD_RUN 		= 0x00000080,
	kSPCH_C_generic_type_NICE_MOVE 		= 0x00000100,
	kSPCH_C_generic_type_PLAYERS_SHOVING 		= 0x00000200,
	kSPCH_C_generic_type_PULLED_IT_OFF 		= 0x00000400,
	kSPCH_C_generic_type_WAITING 		= 0x00000800
};


/* SPCHType_C_league_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_league_head;

enum
{
	kSPCH_Invalid_C_league_head 		= 0,
	kSPCH_C_league_head_COLOUR_LEAGUE_OR_CUP 		= 0x00000001,
	kSPCH_C_league_head_COLOUR_LEAGUE_OR_GROUP 		= 0x00000002
};


/* SPCHType_C_league_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_league_cat1;

enum
{
	kSPCH_Invalid_C_league_cat1 		= 0,
	kSPCH_C_league_cat1_LAST_YEAR_2ND_IN_LEAGUE 		= 0x00000001,
	kSPCH_C_league_cat1_LAST_YEAR_EUROPE_CUP_QUALIFIER 		= 0x00000002,
	kSPCH_C_league_cat1_LAST_YEAR_WON_BOTH_CUPS 		= 0x00000004,
	kSPCH_C_league_cat1_LAST_YEAR_WON_DOMESTIC 		= 0x00000008,
	kSPCH_C_league_cat1_LAST_YEAR_WON_EUROPE 		= 0x00000010,
	kSPCH_C_league_cat1_LAST_YEAR_WON_LEAGUE 		= 0x00000020,
	kSPCH_C_league_cat1_LAST_YEAR_WON_LEAGUE_AND_DOMEST 		= 0x00000040,
	kSPCH_C_league_cat1_LAST_YEAR_WON_LEAGUE_AND_EUROPE 		= 0x00000080,
	kSPCH_C_league_cat1_LAST_YEAR_WON_TREBLE 		= 0x00000100,
	kSPCH_C_league_cat1_THIS_YEAR_WON_BOTH_CUPS_ALREADY 		= 0x00000200,
	kSPCH_C_league_cat1_THIS_YEAR_WON_DOMESTIC_ALREADY 		= 0x00000400,
	kSPCH_C_league_cat1_THIS_YEAR_WON_EUROPE_ALREADY 		= 0x00000800,
	kSPCH_C_league_cat1_CURRENT_TABLE_BOTTOM_LOSING 		= 0x00001000,
	kSPCH_C_league_cat1_CURRENT_TABLE_BOTTOM_WINNING 		= 0x00002000,
	kSPCH_C_league_cat1_CURRENT_TABLE_LOWER_LOSING 		= 0x00004000,
	kSPCH_C_league_cat1_CURRENT_TABLE_LOWER_WINNING 		= 0x00008000,
	kSPCH_C_league_cat1_CURRENT_TABLE_MIDDLE_LOSING 		= 0x00010000,
	kSPCH_C_league_cat1_CURRENT_TABLE_MIDDLE_WINNING 		= 0x00020000,
	kSPCH_C_league_cat1_CURRENT_TABLE_TOP_LOSING 		= 0x00040000,
	kSPCH_C_league_cat1_CURRENT_TABLE_TOP_WINNING 		= 0x00080000,
	kSPCH_C_league_cat1_CURRENT_TABLE_UPPER_LOSING 		= 0x00100000,
	kSPCH_C_league_cat1_CURRENT_TABLE_UPPER_WINNING 		= 0x00200000
};


/* SPCHType_C_league_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_league_cat2;

enum
{
	kSPCH_Invalid_C_league_cat2 		= 0,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_0 		= 0x00000001,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_1 		= 0x00000002,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_10 		= 0x00000004,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_11 		= 0x00000008,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_12 		= 0x00000010,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_13 		= 0x00000020,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_15 		= 0x00000040,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_2 		= 0x00000080,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_3 		= 0x00000100,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_4 		= 0x00000200,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_5 		= 0x00000400,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_6 		= 0x00000800,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_7 		= 0x00001000,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_8 		= 0x00002000,
	kSPCH_C_league_cat2_POINTS_FROM_LAST_FIVE_9 		= 0x00004000
};


/* SPCHType_C_miss_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_miss_head;

enum
{
	kSPCH_Invalid_C_miss_head 		= 0,
	kSPCH_C_miss_head_COLOUR_MISS 		= 0x00000001,
	kSPCH_C_miss_head_COLOUR_MISS_REPLY_CUP 		= 0x00000002,
	kSPCH_C_miss_head_COLOUR_MISS_REPLY_CUP_GROUP 		= 0x00000004,
	kSPCH_C_miss_head_COLOUR_MISS_REPLY_LEAGUE 		= 0x00000008
};


/* SPCHType_C_miss_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_miss_cat1;

enum
{
	kSPCH_Invalid_C_miss_cat1 		= 0,
	kSPCH_C_miss_cat1_ADVANTAGE_WASTED 		= 0x00000001,
	kSPCH_C_miss_cat1_AFTER_BEATING_DEFENCE 		= 0x00000002,
	kSPCH_C_miss_cat1_AFTER_CORNER_WASTED 		= 0x00000004,
	kSPCH_C_miss_cat1_AWFUL_SHOT 		= 0x00000008,
	kSPCH_C_miss_cat1_CLOSE_IMPORTANT 		= 0x00000010,
	kSPCH_C_miss_cat1_FATIGUED_PLAYER 		= 0x00000020,
	kSPCH_C_miss_cat1_FIRST_SHOT_FOR_TEAM 		= 0x00000040,
	kSPCH_C_miss_cat1_FIRST_SHOT_IN_MATCH 		= 0x00000080,
	kSPCH_C_miss_cat1_FIRST_SHOT_PLAYER 		= 0x00000100,
	kSPCH_C_miss_cat1_FROM_BREAKAWAY 		= 0x00000200,
	kSPCH_C_miss_cat1_FROM_FREEKICK 		= 0x00000400,
	kSPCH_C_miss_cat1_GENERIC_GOOD_EFFORT 		= 0x00000800,
	kSPCH_C_miss_cat1_GENERIC_POOR_EFFORT 		= 0x00001000,
	kSPCH_C_miss_cat1_HARD_SHOT 		= 0x00002000,
	kSPCH_C_miss_cat1_INJURED_PLAYER 		= 0x00004000,
	kSPCH_C_miss_cat1_JUST_AFTER_SAVE 		= 0x00008000,
	kSPCH_C_miss_cat1_K_MISTAKE_UNPUNISHED 		= 0x00010000,
	kSPCH_C_miss_cat1_KEEPER_NOT_TESTED_YET 		= 0x00020000,
	kSPCH_C_miss_cat1_NOT_CLOSE_IMPORTANT 		= 0x00040000,
	kSPCH_C_miss_cat1_NOT_POSITIONED_WELL 		= 0x00080000,
	kSPCH_C_miss_cat1_NO_SPACE 		= 0x00100000,
	kSPCH_C_miss_cat1_OFF_BALANCE 		= 0x00200000,
	kSPCH_C_miss_cat1_PLAYER_ALL_MISSES 		= 0x00400000,
	kSPCH_C_miss_cat1_PLAYER_MANY_SHOTS_NO_GOALS 		= 0x00800000,
	kSPCH_C_miss_cat1_PLAYER_MISSED_1 		= 0x01000000,
	kSPCH_C_miss_cat1_PLAYER_MISSED_2 		= 0x02000000,
	kSPCH_C_miss_cat1_PLAYER_MISSED_FEW 		= 0x04000000,
	kSPCH_C_miss_cat1_PLAYER_MISSED_MANY 		= 0x08000000,
	kSPCH_C_miss_cat1_PLAYER_SCORED_1_BEFORE 		= 0x10000000,
	kSPCH_C_miss_cat1_PLAYER_SCORED_2_BEFORE 		= 0x20000000,
	kSPCH_C_miss_cat1_PLAYER_SCORED_FEW_BEFORE 		= 0x40000000,
	kSPCH_C_miss_cat1_PLAYER_SCORED_MANY_BEFORE 		= 0x80000000
};


/* SPCHType_C_miss_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_miss_cat2;

enum
{
	kSPCH_Invalid_C_miss_cat2 		= 0,
	kSPCH_C_miss_cat2_OPEN_NET 		= 0x00000001,
	kSPCH_C_miss_cat2_DIFFICULT_ANGLE 		= 0x00000002,
	kSPCH_C_miss_cat2_SLIPPERY 		= 0x00000004,
	kSPCH_C_miss_cat2_TEAM_MISSED_AGAIN 		= 0x00000008,
	kSPCH_C_miss_cat2_VERY_WET 		= 0x00000010,
	kSPCH_C_miss_cat2_WAS_IN_POSITION 		= 0x00000020,
	kSPCH_C_miss_cat2_WET 		= 0x00000040,
	kSPCH_C_miss_cat2_WINDY_CLOSE_SHOT 		= 0x00000080,
	kSPCH_C_miss_cat2_WINDY_LONG_SHOT 		= 0x00000100,
	kSPCH_C_miss_cat2_WRONG_FOOT_LEFT 		= 0x00000200,
	kSPCH_C_miss_cat2_WRONG_FOOT_RIGHT 		= 0x00000400,
	kSPCH_C_miss_cat2_BAD_WILL_NOT_GO_THROUGH_AT_THIS 		= 0x00000800,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_GONE_THROUGH 		= 0x00001000,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_TIED_AGGREGATE_S 		= 0x00002000,
	kSPCH_C_miss_cat2_STILL_EARLY_LOST_IN_LAST_LEG 		= 0x00004000,
	kSPCH_C_miss_cat2_STILL_EARLY_TIED_IN_LAST_LEG 		= 0x00008000,
	kSPCH_C_miss_cat2_STILL_EARLY_WON_IN_LAST_LEG 		= 0x00010000,
	kSPCH_C_miss_cat2_BAD_WONT_QUALIFY_FOR_PLAYOFFS 		= 0x00020000,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_QUALIFIED_FOR_PL 		= 0x00040000,
	kSPCH_C_miss_cat2_QUALIFIED_FOR_PLAYOFFS_REGARDLE 		= 0x00080000,
	kSPCH_C_miss_cat2_WONT_QUALIFY_FOR_PLAYOFFS_REGAR 		= 0x00100000,
	kSPCH_C_miss_cat2_BAD_WILL_BE_RELEGATED 		= 0x00200000,
	kSPCH_C_miss_cat2_BAD_WILL_LOSE_CHANCE_AT_2ND 		= 0x00400000,
	kSPCH_C_miss_cat2_BAD_WILL_LOSE_CHANCE_AT_EUROPE 		= 0x00800000,
	kSPCH_C_miss_cat2_BAD_WILL_LOSE_CHANCE_AT_TOP 		= 0x01000000,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_QUALIFIED_FOR_EU 		= 0x02000000,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_TAKEN_SECOND_PLA 		= 0x04000000,
	kSPCH_C_miss_cat2_BAD_WOULD_HAVE_WON_LEAGUE 		= 0x08000000,
	kSPCH_C_miss_cat2_FINISH_AT_BOTTOM_REGARDLESS 		= 0x10000000,
	kSPCH_C_miss_cat2_FINISH_AT_TOP_REGARDLESS 		= 0x20000000,
	kSPCH_C_miss_cat2_FINISH_IN_SECOND_REGARDLESS 		= 0x40000000
};


/* SPCHType_C_pass_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_pass_type;

enum
{
	kSPCH_Invalid_C_pass_type 		= 0,
	kSPCH_C_pass_type_MISSED_FAULT_PASSER 		= 0x00000001,
	kSPCH_C_pass_type_MISSED_FAULT_RECEIVER 		= 0x00000002,
	kSPCH_C_pass_type_MISSED_TOO_HARD 		= 0x00000004
};


/* SPCHType_C_penalty_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_penalty_head;

enum
{
	kSPCH_Invalid_C_penalty_head 		= 0,
	kSPCH_C_penalty_head_COLOUR_PENALTY_GOAL 		= 0x00000001,
	kSPCH_C_penalty_head_COLOUR_PENALTY_MISS 		= 0x00000002,
	kSPCH_C_penalty_head_COLOUR_PENALTY_SAVE 		= 0x00000004
};


/* SPCHType_C_penalty_cat ****************/
typedef struct { unsigned int flags; } SPCHType_C_penalty_cat;

enum
{
	kSPCH_Invalid_C_penalty_cat 		= 0,
	kSPCH_C_penalty_cat_HIGH 		= 0x00000001,
	kSPCH_C_penalty_cat_IMPORTANT_IN_GAME 		= 0x00000002,
	kSPCH_C_penalty_cat_IMPORTANT_IN_SHOOTOUT 		= 0x00000004,
	kSPCH_C_penalty_cat_JUST_INSIDE 		= 0x00000008,
	kSPCH_C_penalty_cat_KEEPER_MIDDLE 		= 0x00000010,
	kSPCH_C_penalty_cat_KEEPER_OTHER_SIDE 		= 0x00000020,
	kSPCH_C_penalty_cat_LOW 		= 0x00000040,
	kSPCH_C_penalty_cat_OFF_KEEPER 		= 0x00000080,
	kSPCH_C_penalty_cat_OFF_WOODWORK 		= 0x00000100,
	kSPCH_C_penalty_cat_TOP_CORNER 		= 0x00000200,
	kSPCH_C_penalty_cat_IMPORTANT_DISSAPPOINTED 		= 0x00000400,
	kSPCH_C_penalty_cat_OUT_WIDE 		= 0x00000800,
	kSPCH_C_penalty_cat_OVER_BAR 		= 0x00001000,
	kSPCH_C_penalty_cat_WOODWORK_BACK 		= 0x00002000,
	kSPCH_C_penalty_cat_WOODWORK_OUT 		= 0x00004000,
	kSPCH_C_penalty_cat_HELD_DIFFICULT 		= 0x00008000,
	kSPCH_C_penalty_cat_IMPORTANT 		= 0x00010000,
	kSPCH_C_penalty_cat_LEFT 		= 0x00020000,
	kSPCH_C_penalty_cat_NICE_DIVE 		= 0x00040000,
	kSPCH_C_penalty_cat_OFF_FOOT 		= 0x00080000,
	kSPCH_C_penalty_cat_RIGHT 		= 0x00100000
};


/* SPCHType_C_player_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_player_head;

enum
{
	kSPCH_Invalid_C_player_head 		= 0,
	kSPCH_C_player_head_COLOUR_PLAYER 		= 0x00000001,
	kSPCH_C_player_head_COLOUR_PLAYER_EMOTION 		= 0x00000002,
	kSPCH_C_player_head_COLOUR_PLAYER_MILESTONE 		= 0x00000004,
	kSPCH_C_player_head_COLOUR_PLAYER_OUT 		= 0x00000008,
	kSPCH_C_player_head_COLOUR_PLAYER_REPLY 		= 0x00000010
};


/* SPCHType_C_player_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_player_cat1;

enum
{
	kSPCH_Invalid_C_player_cat1 		= 0,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_FITNESS 		= 0x00000001,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_HEADING 		= 0x00000002,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_PASSING 		= 0x00000004,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_SHOOTING 		= 0x00000008,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_SPEED 		= 0x00000010,
	kSPCH_C_player_cat1_ATTRIBUTE_GOOD_TACKLING 		= 0x00000020,
	kSPCH_C_player_cat1_CLEAN_SHEET_STREAK 		= 0x00000040,
	kSPCH_C_player_cat1_FATIGUED 		= 0x00000080,
	kSPCH_C_player_cat1_FATIGUED_AFTER_FIRST_HALF 		= 0x00000100,
	kSPCH_C_player_cat1_FATIGUED_NEAR_MATCH_START 		= 0x00000200,
	kSPCH_C_player_cat1_FATIGUED_OR_INJURED_NO_SUBS 		= 0x00000400,
	kSPCH_C_player_cat1_FATIGUED_OR_INJURED_SHOULD_SUB 		= 0x00000800,
	kSPCH_C_player_cat1_KEEPING_BAD_STAT_BAD_GAME 		= 0x00001000,
	kSPCH_C_player_cat1_KEEPING_BAD_STAT_GOOD_GAME 		= 0x00002000,
	kSPCH_C_player_cat1_KEEPING_GOOD_STAT_BAD_GAME 		= 0x00004000,
	kSPCH_C_player_cat1_KEEPING_GOOD_STAT_GOOD_GAME 		= 0x00008000,
	kSPCH_C_player_cat1_LAST_GAME_CLEAN_SHEET 		= 0x00010000,
	kSPCH_C_player_cat1_LAST_GAME_EJECTED 		= 0x00020000,
	kSPCH_C_player_cat1_LAST_GAME_HAT_TRICK 		= 0x00040000,
	kSPCH_C_player_cat1_LAST_GAME_OWN_GOAL 		= 0x00080000,
	kSPCH_C_player_cat1_LAST_GAME_RECEIVED_YELLOW 		= 0x00100000,
	kSPCH_C_player_cat1_LAST_GAME_SCORED_WINNING_GOAL 		= 0x00200000,
	kSPCH_C_player_cat1_LAST_GAME_WON_SHOOTOUT 		= 0x00400000,
	kSPCH_C_player_cat1_NOT_USUAL_POSITION 		= 0x00800000,
	kSPCH_C_player_cat1_ON_YELLOW 		= 0x01000000,
	kSPCH_C_player_cat1_OUT_OF_BREATH 		= 0x02000000,
	kSPCH_C_player_cat1_PASSING_BAD_STAT_BAD_GAME 		= 0x04000000,
	kSPCH_C_player_cat1_PASSING_BAD_STAT_GOOD_GAME 		= 0x08000000,
	kSPCH_C_player_cat1_PASSING_GOOD_STAT_BAD_GAME 		= 0x10000000,
	kSPCH_C_player_cat1_PASSING_GOOD_STAT_GOOD_GAME 		= 0x20000000
};


/* SPCHType_C_player_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_player_cat2;

enum
{
	kSPCH_Invalid_C_player_cat2 		= 0,
	kSPCH_C_player_cat2_POSSESSION_GOOD_GENERIC 		= 0x00000001,
	kSPCH_C_player_cat2_POSSESSION_GOOD_SHOTS_MANY 		= 0x00000002,
	kSPCH_C_player_cat2_POSSESSION_GOOD_TACKLES_MANY 		= 0x00000004,
	kSPCH_C_player_cat2_PREVIOUSLY_INJURED 		= 0x00000008,
	kSPCH_C_player_cat2_PREVIOUSLY_INJURED_ANKLE 		= 0x00000010,
	kSPCH_C_player_cat2_PREVIOUSLY_INJURED_CALF 		= 0x00000020,
	kSPCH_C_player_cat2_PREVIOUSLY_INJURED_KNEE 		= 0x00000040,
	kSPCH_C_player_cat2_PREVIOUSLY_INJURED_THIGH 		= 0x00000080,
	kSPCH_C_player_cat2_SHOOTING_BAD_STAT_BAD_GAME 		= 0x00000100,
	kSPCH_C_player_cat2_SHOOTING_BAD_STAT_GOOD_GAME 		= 0x00000200,
	kSPCH_C_player_cat2_SHOOTING_GOOD_STAT_BAD_GAME 		= 0x00000400,
	kSPCH_C_player_cat2_SHOOTING_GOOD_STAT_GOOD_GAME 		= 0x00000800,
	kSPCH_C_player_cat2_TACKLING_BAD_STAT_BAD_GAME 		= 0x00001000,
	kSPCH_C_player_cat2_TACKLING_BAD_STAT_GOOD_GAME 		= 0x00002000,
	kSPCH_C_player_cat2_TACKLING_GOOD_STAT_BAD_GAME 		= 0x00004000,
	kSPCH_C_player_cat2_TACKLING_GOOD_STAT_GOOD_GAME 		= 0x00008000,
	kSPCH_C_player_cat2_TEAM_MOST_BOOKINGS 		= 0x00010000,
	kSPCH_C_player_cat2_TEAM_TOP_ATTACKER_TODAY 		= 0x00020000,
	kSPCH_C_player_cat2_TEAM_TOP_DEFENDER_TODAY 		= 0x00040000,
	kSPCH_C_player_cat2_TEAM_TOP_PLAYER_TODAY 		= 0x00080000,
	kSPCH_C_player_cat2_TEAM_TOP_SCORER 		= 0x00100000,
	kSPCH_C_player_cat2_FOUL_NO_BOOKING 		= 0x00200000,
	kSPCH_C_player_cat2_GOAL_LOSING 		= 0x00400000,
	kSPCH_C_player_cat2_GOAL_WINNING 		= 0x00800000,
	kSPCH_C_player_cat2_NEAR_MISS 		= 0x01000000
};


/* SPCHType_C_player_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_C_player_cat3;

enum
{
	kSPCH_Invalid_C_player_cat3 		= 0,
	kSPCH_C_player_cat3_SEASON_10_GOALS 		= 0x00000001,
	kSPCH_C_player_cat3_SEASON_15_GOALS 		= 0x00000002,
	kSPCH_C_player_cat3_SEASON_20_GOALS 		= 0x00000004,
	kSPCH_C_player_cat3_SEASON_25_GOALS 		= 0x00000008,
	kSPCH_C_player_cat3_SEASON_30_GOALS 		= 0x00000010,
	kSPCH_C_player_cat3_SEASON_40_GOALS 		= 0x00000020,
	kSPCH_C_player_cat3_SEASON_50_GOALS 		= 0x00000040,
	kSPCH_C_player_cat3_SEASON_5_GOALS 		= 0x00000080,
	kSPCH_C_player_cat3_TOURNAMENT_10_GOALS 		= 0x00000100,
	kSPCH_C_player_cat3_TOURNAMENT_15_GOALS 		= 0x00000200,
	kSPCH_C_player_cat3_TOURNAMENT_20_GOALS 		= 0x00000400,
	kSPCH_C_player_cat3_TOURNAMENT_25_GOALS 		= 0x00000800,
	kSPCH_C_player_cat3_TOURNAMENT_30_GOALS 		= 0x00001000,
	kSPCH_C_player_cat3_TOURNAMENT_40_GOALS 		= 0x00002000,
	kSPCH_C_player_cat3_TOURNAMENT_50_GOALS 		= 0x00004000,
	kSPCH_C_player_cat3_TOURNAMENT_5_GOALS 		= 0x00008000,
	kSPCH_C_player_cat3_DEFENDER_SENT_OFF 		= 0x00010000,
	kSPCH_C_player_cat3_FORWARD_SENT_OFF 		= 0x00020000,
	kSPCH_C_player_cat3_MIDFIELDER_SENT_OFF 		= 0x00040000,
	kSPCH_C_player_cat3_ONE_SENT_OFF 		= 0x00080000,
	kSPCH_C_player_cat3_STAR_CAPTAIN_INJURED 		= 0x00100000,
	kSPCH_C_player_cat3_STAR_CAPTAIN_SENT_OFF 		= 0x00200000,
	kSPCH_C_player_cat3_STAR_DEFENDER_INJURED 		= 0x00400000,
	kSPCH_C_player_cat3_STAR_DEFENDER_SENT_OFF 		= 0x00800000,
	kSPCH_C_player_cat3_STAR_FORWARD_INJURED 		= 0x01000000,
	kSPCH_C_player_cat3_STAR_FORWARD_SENT_OFF 		= 0x02000000,
	kSPCH_C_player_cat3_STAR_MIDFIELDER_INJURED 		= 0x04000000,
	kSPCH_C_player_cat3_STAR_MIDFIELDER_SENT_OFF 		= 0x08000000,
	kSPCH_C_player_cat3_THREE_SENT_OFF 		= 0x10000000,
	kSPCH_C_player_cat3_TWO_SENT_OFF 		= 0x20000000
};


/* SPCHType_C_pro_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_pro_type;

enum
{
	kSPCH_Invalid_C_pro_type 		= 0,
	kSPCH_C_pro_type_BAD_DEFENDING 		= 0x00000001,
	kSPCH_C_pro_type_BAD_FOUL 		= 0x00000002,
	kSPCH_C_pro_type_BAD_GENERIC 		= 0x00000004,
	kSPCH_C_pro_type_BAD_MISS 		= 0x00000008,
	kSPCH_C_pro_type_BAD_OWN_GOAL 		= 0x00000010
};


/* SPCHType_C_save_head ****************/
typedef struct { unsigned int flags; } SPCHType_C_save_head;

enum
{
	kSPCH_Invalid_C_save_head 		= 0,
	kSPCH_C_save_head_COLOUR_SAVE 		= 0x00000001,
	kSPCH_C_save_head_COLOUR_SAVE_REPLY_CUP 		= 0x00000002,
	kSPCH_C_save_head_COLOUR_SAVE_REPLY_CUP_GROUP 		= 0x00000004,
	kSPCH_C_save_head_COLOUR_SAVE_REPLY_LEAGUE 		= 0x00000008
};


/* SPCHType_C_save_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_save_cat1;

enum
{
	kSPCH_Invalid_C_save_cat1 		= 0,
	kSPCH_C_save_cat1_CLEAN_SHEET_BOTH_LATE 		= 0x00000001,
	kSPCH_C_save_cat1_CLEAN_SHEET_BOTH_STILL 		= 0x00000002,
	kSPCH_C_save_cat1_CLEAN_SHEET_LATE 		= 0x00000004,
	kSPCH_C_save_cat1_CLEAN_SHEET_STILL 		= 0x00000008,
	kSPCH_C_save_cat1_CORNER_BETTER_THAN_GOAL 		= 0x00000010,
	kSPCH_C_save_cat1_FIRST_SHOT_FOR_TEAM 		= 0x00000020,
	kSPCH_C_save_cat1_FIRST_SHOT_FOR_TEAM_EARLY 		= 0x00000040,
	kSPCH_C_save_cat1_FIRST_SHOT_FOR_TEAM_LATE 		= 0x00000080,
	kSPCH_C_save_cat1_FIRST_TOUCH_ALREADY_BEATEN 		= 0x00000100,
	kSPCH_C_save_cat1_FIRST_TOUCH_FOR_KEEPER 		= 0x00000200,
	kSPCH_C_save_cat1_FIRST_TOUCH_FOR_KEEPER_EARLY 		= 0x00000400,
	kSPCH_C_save_cat1_FIRST_TOUCH_FOR_KEEPER_LATE 		= 0x00000800,
	kSPCH_C_save_cat1_FOILED_DUMMY 		= 0x00001000,
	kSPCH_C_save_cat1_FROM_BREAKAWAY 		= 0x00002000,
	kSPCH_C_save_cat1_GENERIC_HELD_WELL 		= 0x00004000,
	kSPCH_C_save_cat1_KEEPER_BAD_POSITION 		= 0x00008000,
	kSPCH_C_save_cat1_KEEPER_DEALT_WITH_MISTAKE 		= 0x00010000,
	kSPCH_C_save_cat1_KEEPER_GOOD_POSITION 		= 0x00020000,
	kSPCH_C_save_cat1_KEEPER_TEAM_LESS_PLAYERS 		= 0x00040000,
	kSPCH_C_save_cat1_KEEPER_TEAM_MORE_PLAYERS 		= 0x00080000,
	kSPCH_C_save_cat1_KEEPING_MAJORITY_OUT 		= 0x00100000,
	kSPCH_C_save_cat1_MORE_SHOTS_AND_GOALS_THAN_OTHER 		= 0x00200000,
	kSPCH_C_save_cat1_MORE_SHOTS_LESS_GOALS_THAN_OTHE 		= 0x00400000,
	kSPCH_C_save_cat1_PLAYER_FIRST_ATTEMPT 		= 0x00800000,
	kSPCH_C_save_cat1_PLAYER_GOOD_POSITION 		= 0x01000000,
	kSPCH_C_save_cat1_PLAYER_MANY_TRIES_NO_GOAL 		= 0x02000000,
	kSPCH_C_save_cat1_PLAYER_SCORED_3_ALREADY 		= 0x04000000,
	kSPCH_C_save_cat1_PLAYER_SCORED_4_ALREADY 		= 0x08000000,
	kSPCH_C_save_cat1_PLAYER_SCORED_5_ALREADY 		= 0x10000000,
	kSPCH_C_save_cat1_PLAYER_SCORED_MORE_ALREADY 		= 0x20000000,
	kSPCH_C_save_cat1_PLAYER_TOUGH_POSITION 		= 0x40000000
};


/* SPCHType_C_save_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_save_cat2;

enum
{
	kSPCH_Invalid_C_save_cat2 		= 0,
	kSPCH_C_save_cat2_SAVED_LESS_THAN_SCORED_ON 		= 0x00000001,
	kSPCH_C_save_cat2_SHOT_EARLY_IN_HALF 		= 0x00000002,
	kSPCH_C_save_cat2_SHOT_FROM_DIFFICULT_ANGLE 		= 0x00000004,
	kSPCH_C_save_cat2_SHOT_FROM_NEAR_CENTRE_LINE 		= 0x00000008,
	kSPCH_C_save_cat2_STOPPED_ADVANTAGE_PLAY 		= 0x00000010,
	kSPCH_C_save_cat2_SUCCESSIVE_2 		= 0x00000020,
	kSPCH_C_save_cat2_SUCCESSIVE_3 		= 0x00000040,
	kSPCH_C_save_cat2_SUCCESSIVE_MORE 		= 0x00000080,
	kSPCH_C_save_cat2_NEEDED_TO_KEEP_WITHIN_REACH_OF_ 		= 0x00000100,
	kSPCH_C_save_cat2_NEEDED_TO_STAY_THROUGH 		= 0x00000200,
	kSPCH_C_save_cat2_NEEDED_TO_STAY_TIED_ON_AGGREGAT 		= 0x00000400,
	kSPCH_C_save_cat2_STILL_EARLY_LOST_IN_LAST_LEG 		= 0x00000800,
	kSPCH_C_save_cat2_STILL_EARLY_TIED_IN_LAST_LEG 		= 0x00001000,
	kSPCH_C_save_cat2_STILL_EARLY_WON_IN_LAST_LEG 		= 0x00002000,
	kSPCH_C_save_cat2_NEEDED_TO_KEEP_CHANCE_AT_QUALIF 		= 0x00004000,
	kSPCH_C_save_cat2_NEEDED_TO_STAY_QUALIFIED 		= 0x00008000,
	kSPCH_C_save_cat2_QUALIFIED_FOR_PLAYOFFS_REGARDLE 		= 0x00010000,
	kSPCH_C_save_cat2_WONT_QUALIFY_FOR_PLAYOFFS_REGAR 		= 0x00020000,
	kSPCH_C_save_cat2_FINISH_AT_BOTTOM_REGARDLESS 		= 0x00040000,
	kSPCH_C_save_cat2_FINISH_AT_TOP_REGARDLESS 		= 0x00080000,
	kSPCH_C_save_cat2_FINISH_IN_SECOND_REGARDLESS 		= 0x00100000,
	kSPCH_C_save_cat2_NEEDED_TO_AVOID_RELEGATION 		= 0x00200000,
	kSPCH_C_save_cat2_NEEDED_TO_KEEP_CHANCE_AT_2ND 		= 0x00400000,
	kSPCH_C_save_cat2_NEEDED_TO_KEEP_CHANCE_AT_TOP 		= 0x00800000,
	kSPCH_C_save_cat2_NEEDED_TO_KEEP_CHANCE_FOR_EUROP 		= 0x01000000,
	kSPCH_C_save_cat2_NEEDED_TO_STAY_QUALIFIED_FOR_EU 		= 0x02000000,
	kSPCH_C_save_cat2_NEEDED_TO_STILL_WIN_2ND 		= 0x04000000,
	kSPCH_C_save_cat2_NEEDED_TO_STILL_WIN_LEAGUE 		= 0x08000000,
	kSPCH_C_save_cat2_STOPPED_PLAYER_RUN 		= 0x10000000,
	kSPCH_C_save_cat2_STOPPED_BREAKOUT_PASS 		= 0x20000000,
	kSPCH_C_save_cat2_STOPPED_FREESTYLE_MOVE 		= 0x40000000
};


/* SPCHType_C_should_sub_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_should_sub_type;

enum
{
	kSPCH_Invalid_C_should_sub_type 		= 0,
	kSPCH_C_should_sub_type_PLAYER_IS_CARDED 		= 0x00000001,
	kSPCH_C_should_sub_type_PLAYER_IS_FATIGUED 		= 0x00000002,
	kSPCH_C_should_sub_type_PLAYER_IS_INJURED 		= 0x00000004,
	kSPCH_C_should_sub_type_TACTICAL_DEFENSE 		= 0x00000008,
	kSPCH_C_should_sub_type_TACTICAL_OFFENSE 		= 0x00000010
};


/* SPCHType_C_stats_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_stats_type;

enum
{
	kSPCH_Invalid_C_stats_type 		= 0,
	kSPCH_C_stats_type_HOW_MANY_GOALS_PLAYER_GAME 		= 0x00000001,
	kSPCH_C_stats_type_HOW_MANY_GOALS_PLAYER_TOURNAMEN 		= 0x00000002,
	kSPCH_C_stats_type_HOW_MANY_MISSES_PLAYER 		= 0x00000004,
	kSPCH_C_stats_type_HOW_MANY_MISSES_TEAM 		= 0x00000008,
	kSPCH_C_stats_type_HOW_MANY_SAVES_TEAM 		= 0x00000010
};


/* SPCHType_C_stats_reply_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_stats_reply_type;

enum
{
	kSPCH_Invalid_C_stats_reply_type 		= 0,
	kSPCH_C_stats_reply_type_AGREE 		= 0x00000001,
	kSPCH_C_stats_reply_type_AGREE_BAD 		= 0x00000002,
	kSPCH_C_stats_reply_type_AGREE_GREAT 		= 0x00000004
};


/* SPCHType_C_sub_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_sub_type;

enum
{
	kSPCH_Invalid_C_sub_type 		= 0,
	kSPCH_C_sub_type_PLAYER_WAS_CARDED 		= 0x00000001,
	kSPCH_C_sub_type_PLAYER_WAS_FATIGUED 		= 0x00000002,
	kSPCH_C_sub_type_PLAYER_WAS_INJURED 		= 0x00000004,
	kSPCH_C_sub_type_TACTICAL_DEFENSE 		= 0x00000008,
	kSPCH_C_sub_type_TACTICAL_OFFENSE 		= 0x00000010
};


/* SPCHType_C_tackle_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_tackle_type;

enum
{
	kSPCH_Invalid_C_tackle_type 		= 0,
	kSPCH_C_tackle_type_BIG_ON_SMALL 		= 0x00000001,
	kSPCH_C_tackle_type_EARLIER_CONFLICT 		= 0x00000002,
	kSPCH_C_tackle_type_MANY_CAREFUL_NOW 		= 0x00000004,
	kSPCH_C_tackle_type_MISSED_PITCH_SLIPPERY 		= 0x00000008,
	kSPCH_C_tackle_type_MISSED_PITCH_WET 		= 0x00000010,
	kSPCH_C_tackle_type_OUCH_REF_MISSED 		= 0x00000020,
	kSPCH_C_tackle_type_PHYSICAL_GAME 		= 0x00000040,
	kSPCH_C_tackle_type_SHOULD_PASS_MORE 		= 0x00000080,
	kSPCH_C_tackle_type_SMALL_ON_BIG 		= 0x00000100
};


/* SPCHType_C_tactic_change_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_tactic_change_type;

enum
{
	kSPCH_Invalid_C_tactic_change_type 		= 0,
	kSPCH_C_tactic_change_type_ATTACKING 		= 0x00000001,
	kSPCH_C_tactic_change_type_DEFEND 		= 0x00000002,
	kSPCH_C_tactic_change_type_GAIN_POSSESSION 		= 0x00000004,
	kSPCH_C_tactic_change_type_HOLD_POSSESSION 		= 0x00000008,
	kSPCH_C_tactic_change_type_LONG_BALL 		= 0x00000010,
	kSPCH_C_tactic_change_type_WASTE_TIME 		= 0x00000020
};


/* SPCHType_C_team_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_team_type;

enum
{
	kSPCH_Invalid_C_team_type 		= 0,
	kSPCH_C_team_type_AWAY_LOSE_STREAK 		= 0x00000001,
	kSPCH_C_team_type_AWAY_WIN_STREAK 		= 0x00000002,
	kSPCH_C_team_type_HOME_LOSE_STREAK 		= 0x00000004,
	kSPCH_C_team_type_HOME_WIN_STREAK 		= 0x00000008,
	kSPCH_C_team_type_LAST_MET_HAD_OPPOSITE_SCORE 		= 0x00000010,
	kSPCH_C_team_type_LAST_MET_HAD_SAME_SCORE 		= 0x00000020,
	kSPCH_C_team_type_LINEUP_CHANGED 		= 0x00000040,
	kSPCH_C_team_type_LINEUP_CHANGED_AT_START 		= 0x00000080,
	kSPCH_C_team_type_LOSING_STREAK 		= 0x00000100,
	kSPCH_C_team_type_WINNING_STREAK 		= 0x00000200
};


/* SPCHType_C_gameover_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_cat1;

enum
{
	kSPCH_Invalid_C_gameover_cat1 		= 0,
	kSPCH_C_gameover_cat1_GENERIC 		= 0x00000001,
	kSPCH_C_gameover_cat1_LOST_BETTER_OVERALL 		= 0x00000002,
	kSPCH_C_gameover_cat1_LOST_COMEBACK_OTHER_TEAM 		= 0x00000004,
	kSPCH_C_gameover_cat1_LOST_EARLY_GOAL_OTHER_TEAM 		= 0x00000008,
	kSPCH_C_gameover_cat1_LOST_EVENLY_MATCHED 		= 0x00000010,
	kSPCH_C_gameover_cat1_LOST_FORFEIT 		= 0x00000020,
	kSPCH_C_gameover_cat1_LOST_IN_SHOOTOUT 		= 0x00000040,
	kSPCH_C_gameover_cat1_LOST_LATE_GOAL_OTHER_TEAM 		= 0x00000080,
	kSPCH_C_gameover_cat1_LOST_LESS_PLAYERS 		= 0x00000100,
	kSPCH_C_gameover_cat1_LOST_LESS_POSSESSION 		= 0x00000200,
	kSPCH_C_gameover_cat1_LOST_LESS_SHOTS 		= 0x00000400,
	kSPCH_C_gameover_cat1_LOST_MORE_PLAYERS 		= 0x00000800,
	kSPCH_C_gameover_cat1_LOST_MORE_POSSESSION 		= 0x00001000,
	kSPCH_C_gameover_cat1_LOST_MORE_SHOTS 		= 0x00002000,
	kSPCH_C_gameover_cat1_LOST_ONE_SIDED 		= 0x00004000,
	kSPCH_C_gameover_cat1_LOST_OWN_GOAL 		= 0x00008000,
	kSPCH_C_gameover_cat1_LOST_PENALTY_GOAL_OTHER_TEAM 		= 0x00010000,
	kSPCH_C_gameover_cat1_LOST_SHUTOUT 		= 0x00020000,
	kSPCH_C_gameover_cat1_LOST_STRONG_DEF_OTHER_TEAM 		= 0x00040000,
	kSPCH_C_gameover_cat1_LOST_STRONG_OFF_OTHER_TEAM 		= 0x00080000,
	kSPCH_C_gameover_cat1_LOST_WORSE_OVERALL 		= 0x00100000,
	kSPCH_C_gameover_cat1_REPLAYS 		= 0x00200000
};


/* SPCHType_C_gameover_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_cat2;

enum
{
	kSPCH_Invalid_C_gameover_cat2 		= 0,
	kSPCH_C_gameover_cat2_TIED_ALWAYS_CLOSE 		= 0x00000001,
	kSPCH_C_gameover_cat2_TIED_BETTER_OVERALL 		= 0x00000002,
	kSPCH_C_gameover_cat2_TIED_COMEBACK 		= 0x00000004,
	kSPCH_C_gameover_cat2_TIED_COMEBACK_OTHER_TEAM 		= 0x00000008,
	kSPCH_C_gameover_cat2_TIED_EVENLY_MATCHED 		= 0x00000010,
	kSPCH_C_gameover_cat2_TIED_LESS_PLAYERS 		= 0x00000020,
	kSPCH_C_gameover_cat2_TIED_LESS_POSSESSION 		= 0x00000040,
	kSPCH_C_gameover_cat2_TIED_LESS_SHOTS 		= 0x00000080,
	kSPCH_C_gameover_cat2_TIED_MANY_GOALS 		= 0x00000100,
	kSPCH_C_gameover_cat2_TIED_MORE_PLAYERS 		= 0x00000200,
	kSPCH_C_gameover_cat2_TIED_MORE_POSSESSION 		= 0x00000400,
	kSPCH_C_gameover_cat2_TIED_MORE_SHOTS 		= 0x00000800,
	kSPCH_C_gameover_cat2_TIED_NEITHER_SCORED 		= 0x00001000,
	kSPCH_C_gameover_cat2_TIED_WORSE_OVERALL 		= 0x00002000
};


/* SPCHType_C_gameover_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_cat3;

enum
{
	kSPCH_Invalid_C_gameover_cat3 		= 0,
	kSPCH_C_gameover_cat3_WON_BETTER_OVERALL 		= 0x00000001,
	kSPCH_C_gameover_cat3_WON_COMEBACK 		= 0x00000002,
	kSPCH_C_gameover_cat3_WON_EARLY_GOAL 		= 0x00000004,
	kSPCH_C_gameover_cat3_WON_EVENLY_MATCHED 		= 0x00000008,
	kSPCH_C_gameover_cat3_WON_FORFEIT 		= 0x00000010,
	kSPCH_C_gameover_cat3_WON_IN_SHOOTOUT 		= 0x00000020,
	kSPCH_C_gameover_cat3_WON_LATE_GOAL 		= 0x00000040,
	kSPCH_C_gameover_cat3_WON_LESS_PLAYERS 		= 0x00000080,
	kSPCH_C_gameover_cat3_WON_LESS_POSSESSION 		= 0x00000100,
	kSPCH_C_gameover_cat3_WON_LESS_SHOTS 		= 0x00000200,
	kSPCH_C_gameover_cat3_WON_MORE_PLAYERS 		= 0x00000400,
	kSPCH_C_gameover_cat3_WON_MORE_POSSESSION 		= 0x00000800,
	kSPCH_C_gameover_cat3_WON_MORE_SHOTS 		= 0x00001000,
	kSPCH_C_gameover_cat3_WON_ONE_SIDED 		= 0x00002000,
	kSPCH_C_gameover_cat3_WON_OWN_GOAL_OTHER_TEAM 		= 0x00004000,
	kSPCH_C_gameover_cat3_WON_PENALTY_GOAL 		= 0x00008000,
	kSPCH_C_gameover_cat3_WON_SHUTOUT 		= 0x00010000,
	kSPCH_C_gameover_cat3_WON_STRONG_DEFENCE 		= 0x00020000,
	kSPCH_C_gameover_cat3_WON_STRONG_OFFENCE 		= 0x00040000,
	kSPCH_C_gameover_cat3_WON_WORSE_OVERALL 		= 0x00080000
};


/* SPCHType_C_gameover_cup_cat ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_cup_cat;

enum
{
	kSPCH_Invalid_C_gameover_cup_cat 		= 0,
	kSPCH_C_gameover_cup_cat_GROUP_OVER_GENERIC 		= 0x00000001,
	kSPCH_C_gameover_cup_cat_GROUP_OVER_GENERIC_BAD_END 		= 0x00000002,
	kSPCH_C_gameover_cup_cat_GROUP_OVER_GENERIC_GOOD_END 		= 0x00000004,
	kSPCH_C_gameover_cup_cat_LOST_GOLDEN_TIED_AWAY_GOALS 		= 0x00000008,
	kSPCH_C_gameover_cup_cat_LOST_SHOOTOUT_TIED_AWAY_GOALS 		= 0x00000010,
	kSPCH_C_gameover_cup_cat_OUT_AT_QUARTER 		= 0x00000020,
	kSPCH_C_gameover_cup_cat_OUT_AT_SEMI 		= 0x00000040,
	kSPCH_C_gameover_cup_cat_OUT_BARELY 		= 0x00000080,
	kSPCH_C_gameover_cup_cat_OUT_EARLY 		= 0x00000100,
	kSPCH_C_gameover_cup_cat_OUT_EASILY 		= 0x00000200,
	kSPCH_C_gameover_cup_cat_OUT_ON_AWAY_GOALS 		= 0x00000400,
	kSPCH_C_gameover_cup_cat_THROUGH_BARELY 		= 0x00000800,
	kSPCH_C_gameover_cup_cat_THROUGH_EARLY 		= 0x00001000,
	kSPCH_C_gameover_cup_cat_THROUGH_EASILY 		= 0x00002000,
	kSPCH_C_gameover_cup_cat_THROUGH_ON_AWAY_GOALS 		= 0x00004000,
	kSPCH_C_gameover_cup_cat_THROUGH_TO_FINAL 		= 0x00008000,
	kSPCH_C_gameover_cup_cat_THROUGH_TO_SEMI 		= 0x00010000,
	kSPCH_C_gameover_cup_cat_WON_GOLDEN_TIED_AWAY_GOALS 		= 0x00020000,
	kSPCH_C_gameover_cup_cat_WON_SHOOTOUT_TIED_AWAY_GOALS 		= 0x00040000,
	kSPCH_C_gameover_cup_cat_THROUGH_DAVID_OVER_GOLIATH 		= 0x00080000,
	kSPCH_C_gameover_cup_cat_OUT_GOLIATH_OVER_DAVID 		= 0x00100000
};


/* SPCHType_C_gameover_league_cat ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_league_cat;

enum
{
	kSPCH_Invalid_C_gameover_league_cat 		= 0,
	kSPCH_C_gameover_league_cat_CANT_QUALIFY_FOR_EUROPE_NOW 		= 0x00000001,
	kSPCH_C_gameover_league_cat_FINISH_AT_BOTTOM_NOW 		= 0x00000002,
	kSPCH_C_gameover_league_cat_FINISH_AT_LEAST_2ND_NOW 		= 0x00000004,
	kSPCH_C_gameover_league_cat_FINISH_AT_LEAST_3RD_NOW 		= 0x00000008,
	kSPCH_C_gameover_league_cat_FINISH_AT_LEAST_MIDDLE_NOW 		= 0x00000010,
	kSPCH_C_gameover_league_cat_FINISH_AT_LEAST_UPPER_NOW 		= 0x00000020,
	kSPCH_C_gameover_league_cat_FINISH_AT_MOST_2ND_NOW 		= 0x00000040,
	kSPCH_C_gameover_league_cat_FINISH_AT_MOST_3RD_NOW 		= 0x00000080,
	kSPCH_C_gameover_league_cat_FINISH_AT_MOST_LOWER_NOW 		= 0x00000100,
	kSPCH_C_gameover_league_cat_FINISH_AT_MOST_MIDDLE_NOW 		= 0x00000200,
	kSPCH_C_gameover_league_cat_FINISH_IN_MIDDLE_NOW 		= 0x00000400,
	kSPCH_C_gameover_league_cat_FINISH_RELEGATION_CERTAIN_NOW 		= 0x00000800,
	kSPCH_C_gameover_league_cat_FINISH_RELEGATION_ESCAPED_NOW 		= 0x00001000,
	kSPCH_C_gameover_league_cat_OVER_GENERIC 		= 0x00002000,
	kSPCH_C_gameover_league_cat_OVER_GENERIC_BAD_END 		= 0x00004000,
	kSPCH_C_gameover_league_cat_OVER_GENERIC_GOOD_END 		= 0x00008000,
	kSPCH_C_gameover_league_cat_QUALIFIED_FOR_EUROPE_NOW 		= 0x00010000,
	kSPCH_C_gameover_league_cat_WON_LEAGUE_AND_DOMESTIC 		= 0x00020000,
	kSPCH_C_gameover_league_cat_WON_LEAGUE_AND_EUROPE 		= 0x00040000,
	kSPCH_C_gameover_league_cat_WON_TREBLE 		= 0x00080000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_1 		= 0x00100000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_2 		= 0x00200000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_3 		= 0x00400000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_FEW 		= 0x00800000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_MANY_LOST 		= 0x01000000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_MANY_TIED 		= 0x02000000,
	kSPCH_C_gameover_league_cat_GAMES_TO_GO_MANY_WON 		= 0x04000000,
	kSPCH_C_gameover_league_cat_WON_LEAGUE 		= 0x08000000
};


/* SPCHType_C_halftime_type ****************/
typedef struct { unsigned int flags; } SPCHType_C_halftime_type;

enum
{
	kSPCH_Invalid_C_halftime_type 		= 0,
	kSPCH_C_halftime_type_CLOSE_MATCH_EVEN_CHANCES 		= 0x00000001,
	kSPCH_C_halftime_type_CLOSE_MATCH_EVEN_POSSESSION 		= 0x00000002,
	kSPCH_C_halftime_type_CLOSE_MATCH_UNEVEN_CHANCES 		= 0x00000004,
	kSPCH_C_halftime_type_CLOSE_MATCH_UNEVEN_POSSESSION 		= 0x00000008,
	kSPCH_C_halftime_type_LOW_SCORES_FEW_CHANCES 		= 0x00000010,
	kSPCH_C_halftime_type_LOW_SCORES_GOOD_KEEPING 		= 0x00000020,
	kSPCH_C_halftime_type_MULT_EJECTIONS 		= 0x00000040,
	kSPCH_C_halftime_type_MULT_INJURIES 		= 0x00000080,
	kSPCH_C_halftime_type_MULT_PENALTIES 		= 0x00000100,
	kSPCH_C_halftime_type_ONE_EJECTION 		= 0x00000200,
	kSPCH_C_halftime_type_ONE_INJURY 		= 0x00000400,
	kSPCH_C_halftime_type_ONE_PENALTY 		= 0x00000800,
	kSPCH_C_halftime_type_POSS_MOSTLY_ENDS_BOTH_SCORES_UP 		= 0x00001000,
	kSPCH_C_halftime_type_POSS_MOSTLY_ENDS_BUT_LOW_SCORES 		= 0x00002000,
	kSPCH_C_halftime_type_POSS_MOSTLY_ENDS_ONE_SCORE_UP 		= 0x00004000,
	kSPCH_C_halftime_type_POSS_MOSTLY_MIDDLE_BUT_ONE_SCOR 		= 0x00008000,
	kSPCH_C_halftime_type_POSS_MOSTLY_MIDDLE_BUT_SCORES_U 		= 0x00010000,
	kSPCH_C_halftime_type_POSS_MOSTLY_MIDDLE_LOW_SCORES 		= 0x00020000,
	kSPCH_C_halftime_type_REPLAYS 		= 0x00040000,
	kSPCH_C_halftime_type_SCORES_ALWAYS_CLOSE 		= 0x00080000,
	kSPCH_C_halftime_type_TIED_DECIDED_ON_AWAYS 		= 0x00100000,
	kSPCH_C_halftime_type_TIED_ON_AGGREGATE 		= 0x00200000,
	kSPCH_C_halftime_type_WINNING_TEAM_LESS_CHANCES 		= 0x00400000,
	kSPCH_C_halftime_type_WINNING_TEAM_LESS_POSSESSION 		= 0x00800000,
	kSPCH_C_halftime_type_WINNING_TEAM_MORE_CHANCES 		= 0x01000000,
	kSPCH_C_halftime_type_WINNING_TEAM_MORE_POSSESSION 		= 0x02000000,
	kSPCH_C_halftime_type_TIED_FEW_CHANCES 		= 0x04000000,
	kSPCH_C_halftime_type_TIED_GOOD_KEEPING 		= 0x08000000,
	kSPCH_C_halftime_type_LOSING_LESS_CHANCES 		= 0x10000000,
	kSPCH_C_halftime_type_LOSING_MORE_CHNACES 		= 0x20000000
};


/* SPCHType_M_gameover_cup_head ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_cup_head;

enum
{
	kSPCH_Invalid_M_gameover_cup_head 		= 0,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_END_SCRIPT 		= 0x00000001,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_GROUP_STAGE 		= 0x00000002,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_PLAYOFF_3RD_PLACE 		= 0x00000004,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_PLAYOFF_ANY_ROUND 		= 0x00000008,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_PLAYOFF_FINAL 		= 0x00000010,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_PLAYOFF_SEMI 		= 0x00000020,
	kSPCH_M_gameover_cup_head_GAMEOVER_CUP_QUALIFYING_ROUND 		= 0x00000040
};


/* SPCHType_M_gameover_cup_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_cup_cat1;

enum
{
	kSPCH_Invalid_M_gameover_cup_cat1 		= 0,
	kSPCH_M_gameover_cup_cat1_CELEBRATION 		= 0x00000001,
	kSPCH_M_gameover_cup_cat1_CROWD 		= 0x00000002,
	kSPCH_M_gameover_cup_cat1_LOSERS_MEDALS 		= 0x00000004,
	kSPCH_M_gameover_cup_cat1_PHOTO 		= 0x00000008,
	kSPCH_M_gameover_cup_cat1_TROPHY 		= 0x00000010,
	kSPCH_M_gameover_cup_cat1_VICTORY_LAP 		= 0x00000020,
	kSPCH_M_gameover_cup_cat1_WINNERS_MEDALS 		= 0x00000040,
	kSPCH_M_gameover_cup_cat1_LOST_ALREADY_QUALIFIED 		= 0x00000080,
	kSPCH_M_gameover_cup_cat1_LOST_CANNOT_QUALIFY 		= 0x00000100,
	kSPCH_M_gameover_cup_cat1_LOST_COULD_QUALIFY 		= 0x00000200,
	kSPCH_M_gameover_cup_cat1_LOST_FORFEIT_ALREADY_QUALIFIED 		= 0x00000400,
	kSPCH_M_gameover_cup_cat1_LOST_FORFEIT_CANNOT_QUALIFY 		= 0x00000800,
	kSPCH_M_gameover_cup_cat1_LOST_FORFEIT_OUT_BEFORE 		= 0x00001000,
	kSPCH_M_gameover_cup_cat1_LOST_FORFEIT_QUALIFIED 		= 0x00002000,
	kSPCH_M_gameover_cup_cat1_LOST_OUT_BEFORE 		= 0x00004000,
	kSPCH_M_gameover_cup_cat1_LOST_QUALIFIED 		= 0x00008000,
	kSPCH_M_gameover_cup_cat1_TIED_ALREADY_QUALIFIED 		= 0x00010000,
	kSPCH_M_gameover_cup_cat1_TIED_CANNOT_QUALIFY 		= 0x00020000,
	kSPCH_M_gameover_cup_cat1_TIED_COULD_QUALIFY 		= 0x00040000,
	kSPCH_M_gameover_cup_cat1_TIED_OUT_BEFORE 		= 0x00080000,
	kSPCH_M_gameover_cup_cat1_TIED_QUALIFIED 		= 0x00100000,
	kSPCH_M_gameover_cup_cat1_WON_ALREADY_QUALIFIED 		= 0x00200000,
	kSPCH_M_gameover_cup_cat1_WON_CANNOT_QUALIFY 		= 0x00400000,
	kSPCH_M_gameover_cup_cat1_WON_COULD_QUALIFY 		= 0x00800000,
	kSPCH_M_gameover_cup_cat1_WON_FORFEIT_ALREADY_QUALIFIED 		= 0x01000000,
	kSPCH_M_gameover_cup_cat1_WON_FORFEIT_CANNOT_QUALIFY 		= 0x02000000,
	kSPCH_M_gameover_cup_cat1_WON_FORFEIT_OUT_BEFORE 		= 0x04000000,
	kSPCH_M_gameover_cup_cat1_WON_FORFEIT_QUALIFIED 		= 0x08000000,
	kSPCH_M_gameover_cup_cat1_WON_OUT_BEFORE 		= 0x10000000,
	kSPCH_M_gameover_cup_cat1_WON_QUALIFIED 		= 0x20000000
};


/* SPCHType_M_gameover_cup_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_cup_cat2;

enum
{
	kSPCH_Invalid_M_gameover_cup_cat2 		= 0,
	kSPCH_M_gameover_cup_cat2_LOST 		= 0x00000001,
	kSPCH_M_gameover_cup_cat2_LOST_EXTRA_TIME_GOAL 		= 0x00000002,
	kSPCH_M_gameover_cup_cat2_LOST_EXTRA_TIME_OWN_GOAL 		= 0x00000004,
	kSPCH_M_gameover_cup_cat2_LOST_FORFEIT 		= 0x00000008,
	kSPCH_M_gameover_cup_cat2_LOST_FORFEIT_WON_CUP 		= 0x00000010,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_GOAL 		= 0x00000020,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_MISS 		= 0x00000040,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_SAVE 		= 0x00000080,
	kSPCH_M_gameover_cup_cat2_LOST_WON_CUP 		= 0x00000100,
	kSPCH_M_gameover_cup_cat2_WON 		= 0x00000200,
	kSPCH_M_gameover_cup_cat2_WON_EXTRA_TIME_GOAL 		= 0x00000400,
	kSPCH_M_gameover_cup_cat2_WON_EXTRA_TIME_OWN_GOAL 		= 0x00000800,
	kSPCH_M_gameover_cup_cat2_WON_FORFEIT 		= 0x00001000,
	kSPCH_M_gameover_cup_cat2_WON_FORFEIT_LOST_CUP 		= 0x00002000,
	kSPCH_M_gameover_cup_cat2_WON_LOST_CUP 		= 0x00004000,
	kSPCH_M_gameover_cup_cat2_WON_SHOOTOUT_GOAL 		= 0x00008000,
	kSPCH_M_gameover_cup_cat2_WON_SHOOTOUT_MISS 		= 0x00010000,
	kSPCH_M_gameover_cup_cat2_WON_SHOOTOUT_SAVE 		= 0x00020000,
	kSPCH_M_gameover_cup_cat2_LOST_EXTRA_TIME_GOAL_OUT 		= 0x00040000,
	kSPCH_M_gameover_cup_cat2_LOST_EXTRA_TIME_OWN_GOAL_OUT 		= 0x00080000,
	kSPCH_M_gameover_cup_cat2_LOST_FORFEIT_NEXT_LEG 		= 0x00100000,
	kSPCH_M_gameover_cup_cat2_LOST_FORFEIT_OUT 		= 0x00200000,
	kSPCH_M_gameover_cup_cat2_LOST_FORFEIT_THROUGH 		= 0x00400000,
	kSPCH_M_gameover_cup_cat2_LOST_NEXT_LEG 		= 0x00800000,
	kSPCH_M_gameover_cup_cat2_LOST_OUT 		= 0x01000000,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_GOAL_OUT 		= 0x02000000,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_MISS_OUT 		= 0x04000000,
	kSPCH_M_gameover_cup_cat2_LOST_SHOOTOUT_SAVE_OUT 		= 0x08000000,
	kSPCH_M_gameover_cup_cat2_LOST_THROUGH 		= 0x10000000,
	kSPCH_M_gameover_cup_cat2_TIED_NEXT_LEG 		= 0x20000000,
	kSPCH_M_gameover_cup_cat2_TIED_OUT 		= 0x40000000,
	kSPCH_M_gameover_cup_cat2_TIED_THROUGH 		= 0x80000000
};


/* SPCHType_M_gameover_cup_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_cup_cat3;

enum
{
	kSPCH_Invalid_M_gameover_cup_cat3 		= 0,
	kSPCH_M_gameover_cup_cat3_WON_EXTRA_TIME_GOAL_THROUGH 		= 0x00000001,
	kSPCH_M_gameover_cup_cat3_WON_EXTRA_TIME_OWN_GOAL_THROUGH 		= 0x00000002,
	kSPCH_M_gameover_cup_cat3_WON_FORFEIT_NEXT_LEG 		= 0x00000004,
	kSPCH_M_gameover_cup_cat3_WON_FORFEIT_OUT 		= 0x00000008,
	kSPCH_M_gameover_cup_cat3_WON_FORFEIT_THROUGH 		= 0x00000010,
	kSPCH_M_gameover_cup_cat3_WON_NEXT_LEG 		= 0x00000020,
	kSPCH_M_gameover_cup_cat3_WON_OUT 		= 0x00000040,
	kSPCH_M_gameover_cup_cat3_WON_SHOOTOUT_GOAL_THROUGH 		= 0x00000080,
	kSPCH_M_gameover_cup_cat3_WON_SHOOTOUT_MISS_THROUGH 		= 0x00000100,
	kSPCH_M_gameover_cup_cat3_WON_SHOOTOUT_SAVE_THROUGH 		= 0x00000200,
	kSPCH_M_gameover_cup_cat3_WON_THROUGH 		= 0x00000400,
	kSPCH_M_gameover_cup_cat3_LOST_FORFEIT_WON_CUP 		= 0x00000800,
	kSPCH_M_gameover_cup_cat3_LOST_WON_CUP 		= 0x00001000,
	kSPCH_M_gameover_cup_cat3_WON_FORFEIT_LOST_CUP 		= 0x00002000,
	kSPCH_M_gameover_cup_cat3_WON_LOST_CUP 		= 0x00004000
};


/* SPCHType_M_gameover_G14_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_G14_cat;

enum
{
	kSPCH_Invalid_M_gameover_G14_cat 		= 0,
	kSPCH_M_gameover_G14_cat_DID_NOT_QUALIFY_FOR_KNOCKOUT 		= 0x00000001,
	kSPCH_M_gameover_G14_cat_ELIMINATED_IN_KNOCKOUT 		= 0x00000002,
	kSPCH_M_gameover_G14_cat_GENERIC_FULL_TIME 		= 0x00000004,
	kSPCH_M_gameover_G14_cat_GOODBYE 		= 0x00000008,
	kSPCH_M_gameover_G14_cat_LOST_TOURNAMENT 		= 0x00000010,
	kSPCH_M_gameover_G14_cat_QUALIFIED_FOR_KNOCKOUT 		= 0x00000020,
	kSPCH_M_gameover_G14_cat_TABLE_DOWN_TO_SECOND 		= 0x00000040,
	kSPCH_M_gameover_G14_cat_TABLE_NOT_BOTTOM_ANYMORE 		= 0x00000080,
	kSPCH_M_gameover_G14_cat_TABLE_NOT_SECOND_ANYMORE 		= 0x00000100,
	kSPCH_M_gameover_G14_cat_TABLE_NOT_TOP_ANYMORE 		= 0x00000200,
	kSPCH_M_gameover_G14_cat_TABLE_NOW_BOTTOM 		= 0x00000400,
	kSPCH_M_gameover_G14_cat_TABLE_NOW_TOP 		= 0x00000800,
	kSPCH_M_gameover_G14_cat_TABLE_STILL_BOTTOM 		= 0x00001000,
	kSPCH_M_gameover_G14_cat_TABLE_STILL_SECOND 		= 0x00002000,
	kSPCH_M_gameover_G14_cat_TABLE_STILL_TOP 		= 0x00004000,
	kSPCH_M_gameover_G14_cat_TABLE_UP_TO_SECOND 		= 0x00008000,
	kSPCH_M_gameover_G14_cat_THROUGH_TO_FINALS 		= 0x00010000,
	kSPCH_M_gameover_G14_cat_THROUGH_TO_QUARTER_FINALS 		= 0x00020000,
	kSPCH_M_gameover_G14_cat_THROUGH_TO_SEMI_FINALS 		= 0x00040000,
	kSPCH_M_gameover_G14_cat_WON_TOURNAMENT 		= 0x00080000
};


/* SPCHType_M_gameover_gen_cat1 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_gen_cat1;

enum
{
	kSPCH_Invalid_M_gameover_gen_cat1 		= 0,
	kSPCH_M_gameover_gen_cat1_0_0 		= 0x00000001,
	kSPCH_M_gameover_gen_cat1_1_0 		= 0x00000002,
	kSPCH_M_gameover_gen_cat1_1_1 		= 0x00000004,
	kSPCH_M_gameover_gen_cat1_2_0 		= 0x00000008,
	kSPCH_M_gameover_gen_cat1_2_1 		= 0x00000010,
	kSPCH_M_gameover_gen_cat1_2_2 		= 0x00000020,
	kSPCH_M_gameover_gen_cat1_3_0 		= 0x00000040,
	kSPCH_M_gameover_gen_cat1_3_1 		= 0x00000080,
	kSPCH_M_gameover_gen_cat1_3_2 		= 0x00000100,
	kSPCH_M_gameover_gen_cat1_3_3 		= 0x00000200,
	kSPCH_M_gameover_gen_cat1_4_0 		= 0x00000400,
	kSPCH_M_gameover_gen_cat1_4_1 		= 0x00000800,
	kSPCH_M_gameover_gen_cat1_4_2 		= 0x00001000,
	kSPCH_M_gameover_gen_cat1_4_3 		= 0x00002000,
	kSPCH_M_gameover_gen_cat1_4_4 		= 0x00004000,
	kSPCH_M_gameover_gen_cat1_5_0 		= 0x00008000,
	kSPCH_M_gameover_gen_cat1_5_1 		= 0x00010000,
	kSPCH_M_gameover_gen_cat1_5_2 		= 0x00020000,
	kSPCH_M_gameover_gen_cat1_5_3 		= 0x00040000,
	kSPCH_M_gameover_gen_cat1_5_4 		= 0x00080000,
	kSPCH_M_gameover_gen_cat1_5_5 		= 0x00100000,
	kSPCH_M_gameover_gen_cat1_6_0 		= 0x00200000,
	kSPCH_M_gameover_gen_cat1_6_1 		= 0x00400000,
	kSPCH_M_gameover_gen_cat1_6_2 		= 0x00800000,
	kSPCH_M_gameover_gen_cat1_6_3 		= 0x01000000,
	kSPCH_M_gameover_gen_cat1_6_4 		= 0x02000000,
	kSPCH_M_gameover_gen_cat1_6_5 		= 0x04000000,
	kSPCH_M_gameover_gen_cat1_6_6 		= 0x08000000
};


/* SPCHType_M_gameover_gen_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_gen_cat2;

enum
{
	kSPCH_Invalid_M_gameover_gen_cat2 		= 0,
	kSPCH_M_gameover_gen_cat2_FRIENDLY_TIED 		= 0x00000001,
	kSPCH_M_gameover_gen_cat2_FRIENDLY_TIED_WHAT_NOW 		= 0x00000002,
	kSPCH_M_gameover_gen_cat2_HIGH_BOTH 		= 0x00000004,
	kSPCH_M_gameover_gen_cat2_HIGH_DRAW 		= 0x00000008,
	kSPCH_M_gameover_gen_cat2_HIGH_ONE 		= 0x00000010,
	kSPCH_M_gameover_gen_cat2_LOST 		= 0x00000020,
	kSPCH_M_gameover_gen_cat2_LOST_BAD 		= 0x00000040,
	kSPCH_M_gameover_gen_cat2_LOST_CLOSE 		= 0x00000080,
	kSPCH_M_gameover_gen_cat2_LOST_EXTRA_TIME_GOAL 		= 0x00000100,
	kSPCH_M_gameover_gen_cat2_LOST_EXTRA_TIME_OWN_GOAL 		= 0x00000200,
	kSPCH_M_gameover_gen_cat2_LOST_FORFEIT 		= 0x00000400,
	kSPCH_M_gameover_gen_cat2_LOST_SHOOTOUT_GOAL 		= 0x00000800,
	kSPCH_M_gameover_gen_cat2_LOST_SHOOTOUT_MISS 		= 0x00001000,
	kSPCH_M_gameover_gen_cat2_LOST_SHOOTOUT_SAVE 		= 0x00002000,
	kSPCH_M_gameover_gen_cat2_LOST_SHOOTOUT_WOODWORK 		= 0x00004000,
	kSPCH_M_gameover_gen_cat2_TIED 		= 0x00008000,
	kSPCH_M_gameover_gen_cat2_WON 		= 0x00010000,
	kSPCH_M_gameover_gen_cat2_WON_CLOSE 		= 0x00020000,
	kSPCH_M_gameover_gen_cat2_WON_EXTRA_TIME_GOAL 		= 0x00040000,
	kSPCH_M_gameover_gen_cat2_WON_EXTRA_TIME_OWN_GOAL 		= 0x00080000,
	kSPCH_M_gameover_gen_cat2_WON_FORFEIT 		= 0x00100000,
	kSPCH_M_gameover_gen_cat2_WON_GOOD 		= 0x00200000,
	kSPCH_M_gameover_gen_cat2_WON_SHOOTOUT_GOAL 		= 0x00400000,
	kSPCH_M_gameover_gen_cat2_WON_SHOOTOUT_MISS 		= 0x00800000,
	kSPCH_M_gameover_gen_cat2_WON_SHOOTOUT_SAVE 		= 0x01000000,
	kSPCH_M_gameover_gen_cat2_WON_SHOOTOUT_WOODWORK 		= 0x02000000
};


/* SPCHType_M_gameover_league_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_league_cat;

enum
{
	kSPCH_Invalid_M_gameover_league_cat 		= 0,
	kSPCH_M_gameover_league_cat_LOST_FORFEIT_LEAGUE_WON 		= 0x00000001,
	kSPCH_M_gameover_league_cat_LOST_FORFEIT_LEAGUE_WON_ALREADY 		= 0x00000002,
	kSPCH_M_gameover_league_cat_LOST_LEAGUE_WON 		= 0x00000004,
	kSPCH_M_gameover_league_cat_LOST_LEAGUE_WON_ALREADY 		= 0x00000008,
	kSPCH_M_gameover_league_cat_LOST_MATCH_FIRST 		= 0x00000010,
	kSPCH_M_gameover_league_cat_LOST_TABLE_GO_TOP 		= 0x00000020,
	kSPCH_M_gameover_league_cat_LOST_TABLE_STAY_TOP 		= 0x00000040,
	kSPCH_M_gameover_league_cat_TIED_LEAGUE_WON 		= 0x00000080,
	kSPCH_M_gameover_league_cat_TIED_LEAGUE_WON_ALREADY 		= 0x00000100,
	kSPCH_M_gameover_league_cat_TIED_MATCH_FIRST 		= 0x00000200,
	kSPCH_M_gameover_league_cat_TIED_TABLE_GO_TOP 		= 0x00000400,
	kSPCH_M_gameover_league_cat_TIED_TABLE_STAY_TOP 		= 0x00000800,
	kSPCH_M_gameover_league_cat_WON_FORFEIT_LEAGUE_WON 		= 0x00001000,
	kSPCH_M_gameover_league_cat_WON_FORFEIT_LEAGUE_WON_ALREADY 		= 0x00002000,
	kSPCH_M_gameover_league_cat_WON_LEAGUE_WON 		= 0x00004000,
	kSPCH_M_gameover_league_cat_WON_LEAGUE_WON_ALREADY 		= 0x00008000,
	kSPCH_M_gameover_league_cat_WON_MATCH_FIRST 		= 0x00010000,
	kSPCH_M_gameover_league_cat_WON_TABLE_GO_TOP 		= 0x00020000,
	kSPCH_M_gameover_league_cat_WON_TABLE_STAY_TOP 		= 0x00040000,
	kSPCH_M_gameover_league_cat_VICTORY_LAP 		= 0x00080000,
	kSPCH_M_gameover_league_cat_STREAK 		= 0x00100000
};


/* SPCHType_M_gameover_league_over_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_league_over_cat;

enum
{
	kSPCH_Invalid_M_gameover_league_over_cat 		= 0,
	kSPCH_M_gameover_league_over_cat_LOST_FORFEIT_TABLE_BOTTOM 		= 0x00000001,
	kSPCH_M_gameover_league_over_cat_LOST_FORFEIT_TABLE_LOWER 		= 0x00000002,
	kSPCH_M_gameover_league_over_cat_LOST_FORFEIT_TABLE_MIDDLE 		= 0x00000004,
	kSPCH_M_gameover_league_over_cat_LOST_FORFEIT_TABLE_SECOND 		= 0x00000008,
	kSPCH_M_gameover_league_over_cat_LOST_FORFEIT_TABLE_UPPER 		= 0x00000010,
	kSPCH_M_gameover_league_over_cat_LOST_TABLE_BOTTOM 		= 0x00000020,
	kSPCH_M_gameover_league_over_cat_LOST_TABLE_LOWER 		= 0x00000040,
	kSPCH_M_gameover_league_over_cat_LOST_TABLE_MIDDLE 		= 0x00000080,
	kSPCH_M_gameover_league_over_cat_LOST_TABLE_SECOND 		= 0x00000100,
	kSPCH_M_gameover_league_over_cat_LOST_TABLE_UPPER 		= 0x00000200,
	kSPCH_M_gameover_league_over_cat_TIED_TABLE_BOTTOM 		= 0x00000400,
	kSPCH_M_gameover_league_over_cat_TIED_TABLE_LOWER 		= 0x00000800,
	kSPCH_M_gameover_league_over_cat_TIED_TABLE_MIDDLE 		= 0x00001000,
	kSPCH_M_gameover_league_over_cat_TIED_TABLE_SECOND 		= 0x00002000,
	kSPCH_M_gameover_league_over_cat_TIED_TABLE_UPPER 		= 0x00004000,
	kSPCH_M_gameover_league_over_cat_WON_FORFEIT_TABLE_BOTTOM 		= 0x00008000,
	kSPCH_M_gameover_league_over_cat_WON_FORFEIT_TABLE_LOWER 		= 0x00010000,
	kSPCH_M_gameover_league_over_cat_WON_FORFEIT_TABLE_MIDDLE 		= 0x00020000,
	kSPCH_M_gameover_league_over_cat_WON_FORFEIT_TABLE_SECOND 		= 0x00040000,
	kSPCH_M_gameover_league_over_cat_WON_FORFEIT_TABLE_UPPER 		= 0x00080000,
	kSPCH_M_gameover_league_over_cat_WON_TABLE_BOTTOM 		= 0x00100000,
	kSPCH_M_gameover_league_over_cat_WON_TABLE_LOWER 		= 0x00200000,
	kSPCH_M_gameover_league_over_cat_WON_TABLE_MIDDLE 		= 0x00400000,
	kSPCH_M_gameover_league_over_cat_WON_TABLE_SECOND 		= 0x00800000,
	kSPCH_M_gameover_league_over_cat_WON_TABLE_UPPER 		= 0x01000000
};


/* SPCHType_M_halftime_type ****************/
typedef struct { unsigned int flags; } SPCHType_M_halftime_type;

enum
{
	kSPCH_Invalid_M_halftime_type 		= 0,
	kSPCH_M_halftime_type_HANDOVER 		= 0x00000001,
	kSPCH_M_halftime_type_REPLAYS 		= 0x00000002,
	kSPCH_M_halftime_type_GENERIC_THANKS 		= 0x00000004
};


/* SPCHType_M_gameover_any_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_any_cat;

enum
{
	kSPCH_Invalid_M_gameover_any_cat 		= 0,
	kSPCH_M_gameover_any_cat_REPLAYS 		= 0x00000001
};


/* SPCHType_M_gameover_main_reply_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_main_reply_cat;

enum
{
	kSPCH_Invalid_M_gameover_main_reply_cat 		= 0,
	kSPCH_M_gameover_main_reply_cat_GENERIC_THANKS 		= 0x00000001
};


/* SPCHType_M_gameover_MLS_cat ****************/
typedef struct { unsigned int flags; } SPCHType_M_gameover_MLS_cat;

enum
{
	kSPCH_Invalid_M_gameover_MLS_cat 		= 0,
	kSPCH_M_gameover_MLS_cat_END_OF_OT_TIED 		= 0x00000001,
	kSPCH_M_gameover_MLS_cat_EXTRA_TIME_GOAL_POINTS_TIED 		= 0x00000002,
	kSPCH_M_gameover_MLS_cat_EXTRA_TIME_OWN_GOAL_POINTS_TIED 		= 0x00000004
};


/* SPCHType_player_intensity ****************/
typedef struct { unsigned int flags; } SPCHType_player_intensity;

enum
{
	kSPCH_Invalid_player_intensity 		= 0,
	kSPCH_player_intensity_Low 		= 0x00000001,
	kSPCH_player_intensity_High 		= 0x00000002
};


/* SPCHType_team_goal ****************/
typedef struct { unsigned int flags; } SPCHType_team_goal;

enum
{
	kSPCH_Invalid_team_goal 		= 0,
	kSPCH_team_goal_HOME 		= 0x00000001,
	kSPCH_team_goal_AWAY 		= 0x00000002,
	kSPCH_team_goal_OWN 		= 0x00000004,
	kSPCH_team_goal_OWN_HOME 		= 0x00000008,
	kSPCH_team_goal_OWN_AWAY 		= 0x00000010,
	kSPCH_team_goal_NOT_OWN 		= 0x00000020
};


/* SPCHType_score_diff ****************/
typedef struct { unsigned int flags; } SPCHType_score_diff;

enum
{
	kSPCH_Invalid_score_diff 		= 0,
	kSPCH_score_diff_TIED 		= 0x00000001,
	kSPCH_score_diff_ONE 		= 0x00000002,
	kSPCH_score_diff_TWO 		= 0x00000004,
	kSPCH_score_diff_MORE_THAN_TWO 		= 0x00000008,
	kSPCH_score_diff_LESS_THAN_TWO 		= 0x00000010,
	kSPCH_score_diff_UP_ONE 		= 0x00000020,
	kSPCH_score_diff_DOWN_ONE 		= 0x00000040,
	kSPCH_score_diff_UP_TWO 		= 0x00000080,
	kSPCH_score_diff_DOWN_TWO 		= 0x00000100,
	kSPCH_score_diff_UP_MORE_THAN_ONE 		= 0x00000200,
	kSPCH_score_diff_UP_MORE_THAN_TWO 		= 0x00000400,
	kSPCH_score_diff_DOWN_MORE_THAN_ONE 		= 0x00000800,
	kSPCH_score_diff_DOWN_MORE_THAN_TWO 		= 0x00001000,
	kSPCH_score_diff_TIED_OR_UP_ONE 		= 0x00002000
};


/* SPCHType_team_score ****************/
typedef struct { unsigned int flags; } SPCHType_team_score;

enum
{
	kSPCH_Invalid_team_score 		= 0,
	kSPCH_team_score_TEAM_SCORED_0 		= 0x00000001,
	kSPCH_team_score_TEAM_SCORED_1 		= 0x00000002,
	kSPCH_team_score_TEAM_SCORED_2 		= 0x00000004,
	kSPCH_team_score_TEAM_SCORED_3 		= 0x00000008,
	kSPCH_team_score_TEAM_SCORED_4 		= 0x00000010,
	kSPCH_team_score_TEAM_SCORED_5 		= 0x00000020,
	kSPCH_team_score_TEAM_SCORED_6 		= 0x00000040,
	kSPCH_team_score_TEAM_SCORED_7 		= 0x00000080,
	kSPCH_team_score_TEAM_SCORED_8 		= 0x00000100,
	kSPCH_team_score_TEAM_SCORED_9 		= 0x00000200,
	kSPCH_team_score_TEAM_SCORED_10 		= 0x00000400,
	kSPCH_team_score_TEAM_SCORED_11 		= 0x00000800,
	kSPCH_team_score_TEAM_SCORED_12 		= 0x00001000,
	kSPCH_team_score_TEAM_SCORED_13 		= 0x00002000,
	kSPCH_team_score_TEAM_SCORED_14 		= 0x00004000,
	kSPCH_team_score_TEAM_SCORED_15 		= 0x00008000,
	kSPCH_team_score_MORE_THAN_15 		= 0x00010000,
	kSPCH_team_score_MORE_THAN_2 		= 0x00020000,
	kSPCH_team_score_FIRST_IN_MATCH 		= 0x00040000
};


/* SPCHType_player_scored ****************/
typedef struct { unsigned int flags; } SPCHType_player_scored;

enum
{
	kSPCH_Invalid_player_scored 		= 0,
	kSPCH_player_scored_PLAYER_SCORED_0 		= 0x00000001,
	kSPCH_player_scored_PLAYER_SCORED_1 		= 0x00000002,
	kSPCH_player_scored_PLAYER_SCORED_2 		= 0x00000004,
	kSPCH_player_scored_PLAYER_SCORED_3 		= 0x00000008,
	kSPCH_player_scored_PLAYER_SCORED_4 		= 0x00000010,
	kSPCH_player_scored_PLAYER_SCORED_5 		= 0x00000020,
	kSPCH_player_scored_PLAYER_SCORED_6 		= 0x00000040,
	kSPCH_player_scored_PLAYER_SCORED_7 		= 0x00000080,
	kSPCH_player_scored_PLAYER_SCORED_8 		= 0x00000100,
	kSPCH_player_scored_PLAYER_SCORED_MORE 		= 0x00000200,
	kSPCH_player_scored_MORE_THAN_1 		= 0x00000400,
	kSPCH_player_scored_MORE_THAN_3 		= 0x00000800,
	kSPCH_player_scored_GENERIC_PLAYER_SCORED 		= 0x00001000
};


/* SPCHType_player_shots ****************/
typedef struct { unsigned int flags; } SPCHType_player_shots;

enum
{
	kSPCH_Invalid_player_shots 		= 0,
	kSPCH_player_shots_HAS_0_SHOTS_ON_NET 		= 0x00000001,
	kSPCH_player_shots_HAS_1_SHOTS_ON_NET 		= 0x00000002,
	kSPCH_player_shots_HAS_2_SHOTS_ON_NET 		= 0x00000004,
	kSPCH_player_shots_HAS_3_SHOTS_ON_NET 		= 0x00000008,
	kSPCH_player_shots_HAS_4_SHOTS_ON_NET 		= 0x00000010,
	kSPCH_player_shots_HAS_5_SHOTS_ON_NET 		= 0x00000020,
	kSPCH_player_shots_HAS_6_SHOTS_ON_NET 		= 0x00000040,
	kSPCH_player_shots_HAS_7_SHOTS_ON_NET 		= 0x00000080,
	kSPCH_player_shots_HAS_8_SHOTS_ON_NET 		= 0x00000100,
	kSPCH_player_shots_MORE_THAN_8_SHOTS 		= 0x00000200,
	kSPCH_player_shots_ALL_GOALS 		= 0x00000400,
	kSPCH_player_shots_MORE_SHOTS 		= 0x00000800,
	kSPCH_player_shots_2_OR_MORE_SHOTS 		= 0x00001000
};


/* SPCHType_team_shots ****************/
typedef struct { unsigned int flags; } SPCHType_team_shots;

enum
{
	kSPCH_Invalid_team_shots 		= 0,
	kSPCH_team_shots_TEAM_SHOTS_0 		= 0x00000001,
	kSPCH_team_shots_TEAM_SHOTS_1 		= 0x00000002,
	kSPCH_team_shots_TEAM_SHOTS_2 		= 0x00000004,
	kSPCH_team_shots_TEAM_SHOTS_3 		= 0x00000008,
	kSPCH_team_shots_TEAM_SHOTS_4 		= 0x00000010,
	kSPCH_team_shots_TEAM_SHOTS_5 		= 0x00000020,
	kSPCH_team_shots_TEAM_SHOTS_6 		= 0x00000040,
	kSPCH_team_shots_TEAM_SHOTS_7 		= 0x00000080,
	kSPCH_team_shots_TEAM_SHOTS_8 		= 0x00000100,
	kSPCH_team_shots_TEAM_SHOTS_9 		= 0x00000200,
	kSPCH_team_shots_TEAM_SHOTS_10 		= 0x00000400,
	kSPCH_team_shots_TEAM_SHOTS_11 		= 0x00000800,
	kSPCH_team_shots_TEAM_SHOTS_12 		= 0x00001000,
	kSPCH_team_shots_TEAM_SHOTS_13 		= 0x00002000,
	kSPCH_team_shots_TEAM_SHOTS_14 		= 0x00004000,
	kSPCH_team_shots_TEAM_SHOTS_15 		= 0x00008000,
	kSPCH_team_shots_MORE_THAN_15 		= 0x00010000,
	kSPCH_team_shots_MORE_THAN_2 		= 0x00020000,
	kSPCH_team_shots_FIRST_IN_MATCH 		= 0x00040000,
	kSPCH_team_shots_TEAM_MORE_THAN_OTHER 		= 0x00080000,
	kSPCH_team_shots_MORE_THAN_SAVED 		= 0x00100000
};


/* SPCHType_player_foot_shot ****************/
typedef struct { unsigned int flags; } SPCHType_player_foot_shot;

enum
{
	kSPCH_Invalid_player_foot_shot 		= 0,
	kSPCH_player_foot_shot_SHOT_LEFT 		= 0x00000001,
	kSPCH_player_foot_shot_SHOT_RIGHT 		= 0x00000002,
	kSPCH_player_foot_shot_SHOT_LEFT_WRONG 		= 0x00000004,
	kSPCH_player_foot_shot_SHOT_RIGHT_WRONG 		= 0x00000008,
	kSPCH_player_foot_shot_SHOT_WRONG_GEN 		= 0x00000010
};


/* SPCHType_goal_after ****************/
typedef struct { unsigned int flags; } SPCHType_goal_after;

enum
{
	kSPCH_Invalid_goal_after 		= 0,
	kSPCH_goal_after_CORNER 		= 0x00000001,
	kSPCH_goal_after_FREEKICK 		= 0x00000002,
	kSPCH_goal_after_KEEPER_MISTAKE 		= 0x00000004,
	kSPCH_goal_after_TACKLING_DEFENDER 		= 0x00000008,
	kSPCH_goal_after_THROW_IN 		= 0x00000010,
	kSPCH_goal_after_RECENT_GOAL 		= 0x00000020,
	kSPCH_goal_after_BREAKAWAY 		= 0x00000040,
	kSPCH_goal_after_INJURED_PLAYER 		= 0x00000080,
	kSPCH_goal_after_OTHER_KEEPER_SAVED 		= 0x00000100,
	kSPCH_goal_after_SUB 		= 0x00000200,
	kSPCH_goal_after_AFTER_KICKOFF 		= 0x00000400,
	kSPCH_goal_after_ANOTHER_OWN_GOAL 		= 0x00000800,
	kSPCH_goal_after_FATIGUED_PLAYER 		= 0x00001000,
	kSPCH_goal_after_LOSING_BAD_EARLIER 		= 0x00002000,
	kSPCH_goal_after_ADVANTAGE 		= 0x00004000,
	kSPCH_goal_after_LONG_RUN 		= 0x00008000,
	kSPCH_goal_after_ASSIST_BY_LONG_RUN 		= 0x00010000,
	kSPCH_goal_after_BEAT_DEFENDER 		= 0x00020000,
	kSPCH_goal_after_BEAT_DEFENDERS 		= 0x00040000,
	kSPCH_goal_after_LONG_THRU_PASS 		= 0x00080000,
	kSPCH_goal_after_AROUND_KEEPER 		= 0x00100000,
	kSPCH_goal_after_DUMMY_BEAT_KEEPER 		= 0x00200000,
	kSPCH_goal_after_OFF_BAR 		= 0x00400000,
	kSPCH_goal_after_OFF_POST 		= 0x00800000,
	kSPCH_goal_after_OTHER_JUST_SCORED 		= 0x01000000,
	kSPCH_goal_after_TOOK_FROM_KEEPER 		= 0x02000000,
	kSPCH_goal_after_JUST_AFTER_SAVE 		= 0x04000000,
	kSPCH_goal_after_MULTI_PASSES 		= 0x08000000,
	kSPCH_goal_after_PAST_KEEPER 		= 0x10000000,
	kSPCH_goal_after_BREAKOUT_PASS 		= 0x20000000,
	kSPCH_goal_after_FREESTYLE_MOVE 		= 0x40000000,
	kSPCH_goal_after_PLAYER_RUN 		= 0x80000000
};


/* SPCHType_goal_in ****************/
typedef struct { unsigned int flags; } SPCHType_goal_in;

enum
{
	kSPCH_Invalid_goal_in 		= 0,
	kSPCH_goal_in_BOTTOM_CORNER 		= 0x00000001,
	kSPCH_goal_in_TOP_CORNER 		= 0x00000002,
	kSPCH_goal_in_TOP_LEFT 		= 0x00000004,
	kSPCH_goal_in_TOP_RIGHT 		= 0x00000008,
	kSPCH_goal_in_BOTTOM_LEFT 		= 0x00000010,
	kSPCH_goal_in_BOTTOM_RIGHT 		= 0x00000020,
	kSPCH_goal_in_JUST_UNDER_BAR 		= 0x00000040,
	kSPCH_goal_in_OFF_CROSSBAR 		= 0x00000080,
	kSPCH_goal_in_OFF_POST 		= 0x00000100,
	kSPCH_goal_in_OFF_POST_LEFT 		= 0x00000200,
	kSPCH_goal_in_OFF_POST_RIGHT 		= 0x00000400,
	kSPCH_goal_in_OFF_DEFENDER 		= 0x00000800,
	kSPCH_goal_in_OFF_KEEPER 		= 0x00001000,
	kSPCH_goal_in_INSIDE_LEFT 		= 0x00002000,
	kSPCH_goal_in_INSIDE_RIGHT 		= 0x00004000,
	kSPCH_goal_in_JUST_INSIDE 		= 0x00008000,
	kSPCH_goal_in_KEEPER_TIPPED 		= 0x00010000,
	kSPCH_goal_in_LEFT_OF_KEEPER 		= 0x00020000,
	kSPCH_goal_in_RIGHT_OF_KEEPER 		= 0x00040000
};


/* SPCHType_goal_from ****************/
typedef struct { unsigned int flags; } SPCHType_goal_from;

enum
{
	kSPCH_Invalid_goal_from 		= 0,
	kSPCH_goal_from_HEADER 		= 0x00000001,
	kSPCH_goal_from_DIFFICULT_ANGLE 		= 0x00000002,
	kSPCH_goal_from_DRIBBLED_IN 		= 0x00000004,
	kSPCH_goal_from_FREEKICK 		= 0x00000008,
	kSPCH_goal_from_FROM_CROSS 		= 0x00000010,
	kSPCH_goal_from_CROSS_FROM_LEFT 		= 0x00000020,
	kSPCH_goal_from_CROSS_FROM_RIGHT 		= 0x00000040,
	kSPCH_goal_from_LOW_CROSS 		= 0x00000080,
	kSPCH_goal_from_HIGH_CROSS 		= 0x00000100
};


/* SPCHType_shot_distance ****************/
typedef struct { unsigned int flags; } SPCHType_shot_distance;

enum
{
	kSPCH_Invalid_shot_distance 		= 0,
	kSPCH_shot_distance_CLOSE_GENERIC 		= 0x00000001,
	kSPCH_shot_distance_FAR_GENERIC 		= 0x00000002,
	kSPCH_shot_distance_IN_6_YARD_BOX 		= 0x00000004,
	kSPCH_shot_distance_IN_18_YARD_BOX 		= 0x00000008
};


/* SPCHType_keeper_position ****************/
typedef struct { unsigned int flags; } SPCHType_keeper_position;

enum
{
	kSPCH_Invalid_keeper_position 		= 0,
	kSPCH_keeper_position_BAD 		= 0x00000001,
	kSPCH_keeper_position_GOOD 		= 0x00000002,
	kSPCH_keeper_position_FAR 		= 0x00000004,
	kSPCH_keeper_position_OPEN_NET 		= 0x00000008
};


/* SPCHType_shooting_position ****************/
typedef struct { unsigned int flags; } SPCHType_shooting_position;

enum
{
	kSPCH_Invalid_shooting_position 		= 0,
	kSPCH_shooting_position_TOUGH 		= 0x00000001,
	kSPCH_shooting_position_GOOD 		= 0x00000002
};


/* SPCHType_team_size ****************/
typedef struct { unsigned int flags; } SPCHType_team_size;

enum
{
	kSPCH_Invalid_team_size 		= 0,
	kSPCH_team_size_FULL 		= 0x00000001,
	kSPCH_team_size_ONE_EJECTION 		= 0x00000002,
	kSPCH_team_size_TWO_EJECTIONS 		= 0x00000004,
	kSPCH_team_size_THREE_EJECTIONS 		= 0x00000008,
	kSPCH_team_size_LESS_THAN 		= 0x00000010,
	kSPCH_team_size_MORE_THAN 		= 0x00000020,
	kSPCH_team_size_TEN_ON_ELEVEN 		= 0x00000040,
	kSPCH_team_size_NINE_ON_ELEVEN 		= 0x00000080,
	kSPCH_team_size_EIGHT_ON_ELEVEN 		= 0x00000100
};


/* SPCHType_time_state ****************/
typedef struct { unsigned int flags; } SPCHType_time_state;

enum
{
	kSPCH_Invalid_time_state 		= 0,
	kSPCH_time_state_FIRST_5_1ST_HALF 		= 0x00000001,
	kSPCH_time_state_FIRST_QUARTER 		= 0x00000002,
	kSPCH_time_state_SECOND_QUARTER 		= 0x00000004,
	kSPCH_time_state_LAST_5_1ST_HALF 		= 0x00000008,
	kSPCH_time_state_STOPPAGE_1ST_HALF 		= 0x00000010,
	kSPCH_time_state_END_OF_1ST_HALF 		= 0x00000020,
	kSPCH_time_state_FIRST_5_2ND_HALF 		= 0x00000040,
	kSPCH_time_state_THIRD_QUARTER 		= 0x00000080,
	kSPCH_time_state_FOURTH_QUARTER 		= 0x00000100,
	kSPCH_time_state_LAST_10_2ND_HALF 		= 0x00000200,
	kSPCH_time_state_LAST_5_2ND_HALF 		= 0x00000400,
	kSPCH_time_state_STOPPAGE_2ND_HALF 		= 0x00000800,
	kSPCH_time_state_END_OF_2ND_HALF 		= 0x00001000,
	kSPCH_time_state_FIRST_5_EXTRA_01 		= 0x00002000,
	kSPCH_time_state_GENERIC_EXTRA_01 		= 0x00004000,
	kSPCH_time_state_LAST_5_EXTRA_01 		= 0x00008000,
	kSPCH_time_state_STOPPAGE_EXTRA_01 		= 0x00010000,
	kSPCH_time_state_FIRST_5_EXTRA_02 		= 0x00020000,
	kSPCH_time_state_GENERIC_EXTRA_02 		= 0x00040000,
	kSPCH_time_state_LAST_5_EXTRA_02 		= 0x00080000,
	kSPCH_time_state_STOPPAGE_EXTRA_02 		= 0x00100000,
	kSPCH_time_state_BEFORE_HALFTIME 		= 0x00200000,
	kSPCH_time_state_AFTER_HALFTIME 		= 0x00400000
};


/* SPCHType_shot_type ****************/
typedef struct { unsigned int flags; } SPCHType_shot_type;

enum
{
	kSPCH_Invalid_shot_type 		= 0,
	kSPCH_shot_type_HARD 		= 0x00000001,
	kSPCH_shot_type_SOFT 		= 0x00000002,
	kSPCH_shot_type_HIGH 		= 0x00000004,
	kSPCH_shot_type_LOW 		= 0x00000008
};


/* SPCHType_player_position ****************/
typedef struct { unsigned int flags; } SPCHType_player_position;

enum
{
	kSPCH_Invalid_player_position 		= 0,
	kSPCH_player_position_FORWARD 		= 0x00000001,
	kSPCH_player_position_MIDFIELDER 		= 0x00000002,
	kSPCH_player_position_DEFENDER 		= 0x00000004,
	kSPCH_player_position_KEEPER 		= 0x00000008,
	kSPCH_player_position_ALL_BUT_KEEPER 		= 0x00000010
};


/* SPCHType_tele_type ****************/
typedef struct { unsigned int flags; } SPCHType_tele_type;

enum
{
	kSPCH_Invalid_tele_type 		= 0,
	kSPCH_tele_type_CORNER 		= 0x00000001,
	kSPCH_tele_type_MULTI_PASS 		= 0x00000002,
	kSPCH_tele_type_CROSS 		= 0x00000004,
	kSPCH_tele_type_GENERIC 		= 0x00000008,
	kSPCH_tele_type_FIRST_TOUCH 		= 0x00000010,
	kSPCH_tele_type_FREEKICK 		= 0x00000020,
	kSPCH_tele_type_REBOUND 		= 0x00000040,
	kSPCH_tele_type_THROW_IN 		= 0x00000080
};


/* SPCHType_intro_time ****************/
typedef struct { unsigned int flags; } SPCHType_intro_time;

enum
{
	kSPCH_Invalid_intro_time 		= 0,
	kSPCH_intro_time_AFTERNOON 		= 0x00000001,
	kSPCH_intro_time_DUSK 		= 0x00000002,
	kSPCH_intro_time_EVENING 		= 0x00000004
};


/* SPCHType_weather_type ****************/
typedef struct { unsigned int flags; } SPCHType_weather_type;

enum
{
	kSPCH_Invalid_weather_type 		= 0,
	kSPCH_weather_type_RAIN 		= 0x00000001,
	kSPCH_weather_type_SUN 		= 0x00000002,
	kSPCH_weather_type_SUNSET 		= 0x00000004,
	kSPCH_weather_type_CLEAR 		= 0x00000008,
	kSPCH_weather_type_SNOW 		= 0x00000010
};


/* SPCHType_crowd_capacity ****************/
typedef struct { unsigned int flags; } SPCHType_crowd_capacity;

enum
{
	kSPCH_Invalid_crowd_capacity 		= 0,
	kSPCH_crowd_capacity_FULL 		= 0x00000001,
	kSPCH_crowd_capacity_THREE_QTR 		= 0x00000002,
	kSPCH_crowd_capacity_HALF 		= 0x00000004
};


/* SPCHType_rivalry1 ****************/
typedef struct { unsigned int flags; } SPCHType_rivalry1;

enum
{
	kSPCH_Invalid_rivalry1 		= 0,
	kSPCH_rivalry1_AJAX_VS_BENFICA 		= 0x00000001,
	kSPCH_rivalry1_ARSENAL_VS_ANDERLECHT 		= 0x00000002,
	kSPCH_rivalry1_ARSENAL_VS_BENFICA 		= 0x00000004,
	kSPCH_rivalry1_ARSENAL_VS_CHELSEA 		= 0x00000008,
	kSPCH_rivalry1_ARSENAL_VS_GALATASARAY 		= 0x00000010,
	kSPCH_rivalry1_ARSENAL_VS_LIVERPOOL 		= 0x00000020,
	kSPCH_rivalry1_ARSENAL_VS_RC_LENS 		= 0x00000040,
	kSPCH_rivalry1_BARCELONA_VS_ANDERLECHT 		= 0x00000080,
	kSPCH_rivalry1_BARCELONA_VS_BENFICA 		= 0x00000100,
	kSPCH_rivalry1_BARCELONA_VS_CHELSEA 		= 0x00000200,
	kSPCH_rivalry1_BARCELONA_VS_GALATASARAY 		= 0x00000400,
	kSPCH_rivalry1_BENFICA_VS_ANDERLECHT 		= 0x00000800,
	kSPCH_rivalry1_B_DORTMUND_VS_JUVENTUS 		= 0x00001000,
	kSPCH_rivalry1_B_DORTMUND_VS_LIVERPOOL 		= 0x00002000,
	kSPCH_rivalry1_B_LEVERKUSEN_VS_LIVERPOOL 		= 0x00004000,
	kSPCH_rivalry1_B_MUNICH_VS_ARSENAL 		= 0x00008000,
	kSPCH_rivalry1_B_MUNICH_VS_B_DORTMUND 		= 0x00010000,
	kSPCH_rivalry1_B_MUNICH_VS_P_ST_GERMAIN 		= 0x00020000,
	kSPCH_rivalry1_INTER_MILAN_VS_AJAX 		= 0x00040000,
	kSPCH_rivalry1_INTER_MILAN_VS_BENFICA 		= 0x00080000,
	kSPCH_rivalry1_JUVENTUS_VS_AJAX 		= 0x00100000,
	kSPCH_rivalry1_JUVENTUS_VS_GALATASARAY 		= 0x00200000,
	kSPCH_rivalry1_JUVENTUS_VS_LIVERPOOL 		= 0x00400000,
	kSPCH_rivalry1_LIVERPOOL_VS_AJAX 		= 0x00800000,
	kSPCH_rivalry1_LIVERPOOL_VS_ANDERLECHT 		= 0x01000000,
	kSPCH_rivalry1_LIVERPOOL_VS_BENFICA 		= 0x02000000,
	kSPCH_rivalry1_LIVERPOOL_VS_CHELSEA 		= 0x04000000,
	kSPCH_rivalry1_LIVERPOOL_VS_GALATASARAY 		= 0x08000000
};


/* SPCHType_rivalry2 ****************/
typedef struct { unsigned int flags; } SPCHType_rivalry2;

enum
{
	kSPCH_Invalid_rivalry2 		= 0,
	kSPCH_rivalry2_MAN_U_VS_ARSENAL 		= 0x00000001,
	kSPCH_rivalry2_MAN_U_VS_BAYERN_MUNICH 		= 0x00000002,
	kSPCH_rivalry2_MAN_U_VS_BAYER_LEVERKUSEN 		= 0x00000004,
	kSPCH_rivalry2_MAN_U_VS_LIVERPOOL 		= 0x00000008,
	kSPCH_rivalry2_MAN_U_VS_REAL_MADRID 		= 0x00000010,
	kSPCH_rivalry2_P_ST_GERMAIN_VS_D_LA_CORUNA 		= 0x00000020,
	kSPCH_rivalry2_REAL_MADRID_VS_AJAX 		= 0x00000040,
	kSPCH_rivalry2_REAL_MADRID_VS_BARCELONA 		= 0x00000080,
	kSPCH_rivalry2_REAL_MADRID_VS_BENFICA 		= 0x00000100,
	kSPCH_rivalry2_REAL_MADRID_VS_B_MUNICH 		= 0x00000200,
	kSPCH_rivalry2_REAL_MADRID_VS_D_LA_CORUNA 		= 0x00000400,
	kSPCH_rivalry2_REAL_MADRID_VS_INTER_MILAN 		= 0x00000800,
	kSPCH_rivalry2_REAL_MADRID_VS_JUVENTUS 		= 0x00001000,
	kSPCH_rivalry2_REAL_MADRID_VS_LIVERPOOL 		= 0x00002000,
	kSPCH_rivalry2_ROMA_VS_ANDERLECHT 		= 0x00004000,
	kSPCH_rivalry2_ROMA_VS_CHELSEA 		= 0x00008000,
	kSPCH_rivalry2_ROMA_VS_GALATASARAY 		= 0x00010000,
	kSPCH_rivalry2_ROMA_VS_JUVENTUS 		= 0x00020000,
	kSPCH_rivalry2_ROMA_VS_LIVERPOOL 		= 0x00040000,
	kSPCH_rivalry2_VALENCIA_VS_ARSENAL 		= 0x00080000,
	kSPCH_rivalry2_VALENCIA_VS_BARCELONA 		= 0x00100000,
	kSPCH_rivalry2_VALENCIA_VS_B_MUNICH 		= 0x00200000,
	kSPCH_rivalry2_VALENCIA_VS_INTER_MILAN 		= 0x00400000,
	kSPCH_rivalry2_VALENCIA_VS_LYON 		= 0x00800000,
	kSPCH_rivalry2_VALENCIA_VS_MAN_U 		= 0x01000000,
	kSPCH_rivalry2_VALENCIA_VS_REAL_MADRID 		= 0x02000000,
	kSPCH_rivalry2_GENERIC 		= 0x04000000
};


/* SPCHType_rivalry_edge ****************/
typedef struct { unsigned int flags; } SPCHType_rivalry_edge;

enum
{
	kSPCH_Invalid_rivalry_edge 		= 0,
	kSPCH_rivalry_edge_AJAX 		= 0x00000001,
	kSPCH_rivalry_edge_ANDERLECHT 		= 0x00000002,
	kSPCH_rivalry_edge_ARSENAL 		= 0x00000004,
	kSPCH_rivalry_edge_BARCELONA 		= 0x00000008,
	kSPCH_rivalry_edge_BAYERN_MUNICH 		= 0x00000010,
	kSPCH_rivalry_edge_BAYER_LEVERKUSEN 		= 0x00000020,
	kSPCH_rivalry_edge_BENFICA 		= 0x00000040,
	kSPCH_rivalry_edge_BORUSSIA_DORTMUND 		= 0x00000080,
	kSPCH_rivalry_edge_CHELSEA 		= 0x00000100,
	kSPCH_rivalry_edge_DEPORTIVO_LA_CORUNA 		= 0x00000200,
	kSPCH_rivalry_edge_GALATASARAY 		= 0x00000400,
	kSPCH_rivalry_edge_INTER_MILAN 		= 0x00000800,
	kSPCH_rivalry_edge_JUVENTUS 		= 0x00001000,
	kSPCH_rivalry_edge_LENS 		= 0x00002000,
	kSPCH_rivalry_edge_LIVERPOOL 		= 0x00004000,
	kSPCH_rivalry_edge_LYON 		= 0x00008000,
	kSPCH_rivalry_edge_MANCHESTER_UNITED 		= 0x00010000,
	kSPCH_rivalry_edge_PARIS_ST_GERMAIN 		= 0x00020000,
	kSPCH_rivalry_edge_REAL_MADRID 		= 0x00040000,
	kSPCH_rivalry_edge_ROMA 		= 0x00080000
};


/* SPCHType_formation_type ****************/
typedef struct { unsigned int flags; } SPCHType_formation_type;

enum
{
	kSPCH_Invalid_formation_type 		= 0,
	kSPCH_formation_type_FORMATION_3_3_4 		= 0x00000001,
	kSPCH_formation_type_FORMATION_3_4_3 		= 0x00000002,
	kSPCH_formation_type_FORMATION_3_5_2 		= 0x00000004,
	kSPCH_formation_type_FORMATION_4_2_4 		= 0x00000008,
	kSPCH_formation_type_FORMATION_4_3_3 		= 0x00000010,
	kSPCH_formation_type_FORMATION_4_4_2 		= 0x00000020,
	kSPCH_formation_type_FORMATION_4_5_1 		= 0x00000040,
	kSPCH_formation_type_FORMATION_5_2_3 		= 0x00000080,
	kSPCH_formation_type_FORMATION_5_3_2 		= 0x00000100,
	kSPCH_formation_type_FORMATION_5_4_1 		= 0x00000200
};


/* SPCHType_roster_type ****************/
typedef struct { unsigned int flags; } SPCHType_roster_type;

enum
{
	kSPCH_Invalid_roster_type 		= 0,
	kSPCH_roster_type_INJURIES_0 		= 0x00000001,
	kSPCH_roster_type_INJURIES_1 		= 0x00000002,
	kSPCH_roster_type_INJURIES_2 		= 0x00000004,
	kSPCH_roster_type_INJURIES_3 		= 0x00000008,
	kSPCH_roster_type_INJURIES_4 		= 0x00000010,
	kSPCH_roster_type_INJURIES_5 		= 0x00000020,
	kSPCH_roster_type_INJURIES_6 		= 0x00000040,
	kSPCH_roster_type_INJURIES_7 		= 0x00000080,
	kSPCH_roster_type_INJURIES_8 		= 0x00000100,
	kSPCH_roster_type_INJURIES_9 		= 0x00000200,
	kSPCH_roster_type_INJURIES_10 		= 0x00000400,
	kSPCH_roster_type_SUSPENSION_0 		= 0x00000800,
	kSPCH_roster_type_SUSPENSION_1 		= 0x00001000,
	kSPCH_roster_type_SUSPENSION_2 		= 0x00002000,
	kSPCH_roster_type_SUSPENSION_3 		= 0x00004000,
	kSPCH_roster_type_SUSPENSION_4 		= 0x00008000,
	kSPCH_roster_type_SUSPENSION_5 		= 0x00010000,
	kSPCH_roster_type_SUSPENSION_6 		= 0x00020000,
	kSPCH_roster_type_SUSPENSION_7 		= 0x00040000,
	kSPCH_roster_type_INJURY_AND_SUSPENSIONS 		= 0x00080000
};


/* SPCHType_tourn_goal_type ****************/
typedef struct { unsigned int flags; } SPCHType_tourn_goal_type;

enum
{
	kSPCH_Invalid_tourn_goal_type 		= 0,
	kSPCH_tourn_goal_type_TIED_ON_AGGREGATE 		= 0x00000001,
	kSPCH_tourn_goal_type_ENOUGH_GO_THRU 		= 0x00000002,
	kSPCH_tourn_goal_type_ONE_MORE_THRU 		= 0x00000004,
	kSPCH_tourn_goal_type_MORE_GO_THRU 		= 0x00000008,
	kSPCH_tourn_goal_type_LOST_LAST_LEG 		= 0x00000010,
	kSPCH_tourn_goal_type_WON_LAST_LEG 		= 0x00000020,
	kSPCH_tourn_goal_type_TIED_LAST_LEG 		= 0x00000040,
	kSPCH_tourn_goal_type_CHANCE_PLAYOFFS 		= 0x00000080,
	kSPCH_tourn_goal_type_QUALIFIED 		= 0x00000100,
	kSPCH_tourn_goal_type_DIDNT_QUALIFY 		= 0x00000200,
	kSPCH_tourn_goal_type_FINISH_BOTTOM 		= 0x00000400,
	kSPCH_tourn_goal_type_FINISH_TOP 		= 0x00000800,
	kSPCH_tourn_goal_type_FINISH_2ND 		= 0x00001000,
	kSPCH_tourn_goal_type_ESCAPE_RELEGATION 		= 0x00002000,
	kSPCH_tourn_goal_type_CHANCE_2ND 		= 0x00004000,
	kSPCH_tourn_goal_type_CHANCE_TOP 		= 0x00008000,
	kSPCH_tourn_goal_type_TAKE_2ND 		= 0x00010000,
	kSPCH_tourn_goal_type_TAKE_LEAGUE 		= 0x00020000,
	kSPCH_tourn_goal_type_MAY_QUALIFY 		= 0x00040000
};


/* SPCHType_pitch_side ****************/
typedef struct { unsigned int flags; } SPCHType_pitch_side;

enum
{
	kSPCH_Invalid_pitch_side 		= 0,
	kSPCH_pitch_side_LEFT 		= 0x00000001,
	kSPCH_pitch_side_RIGHT 		= 0x00000002
};


/* SPCHType_cross_height ****************/
typedef struct { unsigned int flags; } SPCHType_cross_height;

enum
{
	kSPCH_Invalid_cross_height 		= 0,
	kSPCH_cross_height_HIGH 		= 0x00000001,
	kSPCH_cross_height_LOW 		= 0x00000002
};


/* SPCHType_home_away ****************/
typedef struct { unsigned int flags; } SPCHType_home_away;

enum
{
	kSPCH_Invalid_home_away 		= 0,
	kSPCH_home_away_HOME 		= 0x00000001,
	kSPCH_home_away_AWAY 		= 0x00000002
};


/* SPCHType_possess_type ****************/
typedef struct { unsigned int flags; } SPCHType_possess_type;

enum
{
	kSPCH_Invalid_possess_type 		= 0,
	kSPCH_possess_type_BEAT_DEFENDER 		= 0x00000001,
	kSPCH_possess_type_BOX_CLEAR 		= 0x00000002,
	kSPCH_possess_type_BOX_SCORE 		= 0x00000004,
	kSPCH_possess_type_MIDDLE_OPTIONS 		= 0x00000008,
	kSPCH_possess_type_GOOD_DRIBBLING 		= 0x00000010,
	kSPCH_possess_type_INJURED_WITH_BALL 		= 0x00000020,
	kSPCH_possess_type_LONG_RUN 		= 0x00000040,
	kSPCH_possess_type_MANY_FORWARDS 		= 0x00000080,
	kSPCH_possess_type_OPEN_GOAL 		= 0x00000100,
	kSPCH_possess_type_PAST_KEEPER 		= 0x00000200,
	kSPCH_possess_type_PLAYER_LONG_TIME 		= 0x00000400,
	kSPCH_possess_type_LAST_DEFENDER 		= 0x00000800,
	kSPCH_possess_type_WAITING 		= 0x00001000,
	kSPCH_possess_type_APPROACHING_KEEPER 		= 0x00002000,
	kSPCH_possess_type_SPRINT_LOST_CONTROL 		= 0x00004000,
	kSPCH_possess_type_FREESTYLE_MOVE 		= 0x00008000,
	kSPCH_possess_type_KEPT_IN 		= 0x00010000,
	kSPCH_possess_type_UP_WING 		= 0x00020000,
	kSPCH_possess_type_FREESTYLE_MOVE_AGAIN 		= 0x00040000,
	kSPCH_possess_type_OWN_THIRD 		= 0x00080000,
	kSPCH_possess_type_ONE_ON_ONE_WING 		= 0x00100000,
	kSPCH_possess_type_UNDER_PRESSURE 		= 0x00200000
};


/* SPCHType_time_in_location ****************/
typedef struct { unsigned int flags; } SPCHType_time_in_location;

enum
{
	kSPCH_Invalid_time_in_location 		= 0,
	kSPCH_time_in_location_BACK 		= 0x00000001,
	kSPCH_time_in_location_MIDDLE 		= 0x00000002,
	kSPCH_time_in_location_ATTACK 		= 0x00000004
};


/* SPCHType_shot_taken ****************/
typedef struct { unsigned int flags; } SPCHType_shot_taken;

enum
{
	kSPCH_Invalid_shot_taken 		= 0,
	kSPCH_shot_taken_BAD 		= 0x00000001,
	kSPCH_shot_taken_CLOSE_CALL 		= 0x00000002,
	kSPCH_shot_taken_GOOD 		= 0x00000004,
	kSPCH_shot_taken_TAKEN_FAR 		= 0x00000008,
	kSPCH_shot_taken_TAKEN_NEAR 		= 0x00000010,
	kSPCH_shot_taken_HEADER 		= 0x00000020
};


/* SPCHType_score ****************/
typedef struct { unsigned int flags; } SPCHType_score;

enum
{
	kSPCH_Invalid_score 		= 0,
	kSPCH_score_0_0 		= 0x00000001,
	kSPCH_score_1_0 		= 0x00000002,
	kSPCH_score_1_1 		= 0x00000004,
	kSPCH_score_2_0 		= 0x00000008,
	kSPCH_score_2_1 		= 0x00000010,
	kSPCH_score_2_2 		= 0x00000020,
	kSPCH_score_3_0 		= 0x00000040,
	kSPCH_score_3_1 		= 0x00000080,
	kSPCH_score_3_2 		= 0x00000100,
	kSPCH_score_3_3 		= 0x00000200,
	kSPCH_score_4_0 		= 0x00000400,
	kSPCH_score_4_1 		= 0x00000800,
	kSPCH_score_4_2 		= 0x00001000,
	kSPCH_score_4_3 		= 0x00002000,
	kSPCH_score_4_4 		= 0x00004000,
	kSPCH_score_5_0 		= 0x00008000,
	kSPCH_score_5_1 		= 0x00010000,
	kSPCH_score_5_2 		= 0x00020000,
	kSPCH_score_5_3 		= 0x00040000,
	kSPCH_score_5_4 		= 0x00080000,
	kSPCH_score_5_5 		= 0x00100000,
	kSPCH_score_6_0 		= 0x00200000,
	kSPCH_score_6_1 		= 0x00400000,
	kSPCH_score_6_2 		= 0x00800000,
	kSPCH_score_6_3 		= 0x01000000,
	kSPCH_score_6_4 		= 0x02000000,
	kSPCH_score_6_5 		= 0x04000000,
	kSPCH_score_6_6 		= 0x08000000,
	kSPCH_score_HIGH_ONE 		= 0x10000000,
	kSPCH_score_HIGH_BOTH 		= 0x20000000
};


/* SPCHType_game_type ****************/
typedef struct { unsigned int flags; } SPCHType_game_type;

enum
{
	kSPCH_Invalid_game_type 		= 0,
	kSPCH_game_type_FRIENDLY 		= 0x00000001,
	kSPCH_game_type_SEASON 		= 0x00000002,
	kSPCH_game_type_CUP_TOURNAMENT 		= 0x00000004,
	kSPCH_game_type_GENERIC 		= 0x00000008,
	kSPCH_game_type_DERBY 		= 0x00000010,
	kSPCH_game_type_WORLD_ELEVEN 		= 0x00000020,
	kSPCH_game_type_CLASSIC_ELEVEN 		= 0x00000040
};


/* SPCHType_team_comparison ****************/
typedef struct { unsigned int flags; } SPCHType_team_comparison;

enum
{
	kSPCH_Invalid_team_comparison 		= 0,
	kSPCH_team_comparison_EVENLY_MATCHED 		= 0x00000001,
	kSPCH_team_comparison_HOME_FAVOURED 		= 0x00000002,
	kSPCH_team_comparison_AWAY_FAVOURED 		= 0x00000004
};


/* SPCHType_formation_matchup ****************/
typedef struct { unsigned int flags; } SPCHType_formation_matchup;

enum
{
	kSPCH_Invalid_formation_matchup 		= 0,
	kSPCH_formation_matchup_AGGRESSIVE_VS_AGGRESSIVE 		= 0x00000001,
	kSPCH_formation_matchup_AGGRESSIVE_VS_NEUTRAL 		= 0x00000002,
	kSPCH_formation_matchup_AGGRESSIVE_VS_DEFENSIVE 		= 0x00000004,
	kSPCH_formation_matchup_NEUTRAL_VS_NEUTRAL 		= 0x00000008,
	kSPCH_formation_matchup_NEUTRAL_VS_DEFENSIVE 		= 0x00000010,
	kSPCH_formation_matchup_DEFENSIVE_VS_DEFENSIVE 		= 0x00000020
};


/* SPCHType_season_time ****************/
typedef struct { unsigned int flags; } SPCHType_season_time;

enum
{
	kSPCH_Invalid_season_time 		= 0,
	kSPCH_season_time_FIRST_MATCH 		= 0x00000001,
	kSPCH_season_time_EARLY_IN_SEASON 		= 0x00000002,
	kSPCH_season_time_MID_SEASON 		= 0x00000004,
	kSPCH_season_time_LATE_IN_SEASON 		= 0x00000008,
	kSPCH_season_time_LAST_MATCH 		= 0x00000010,
	kSPCH_season_time_PLAYOFF_GENERIC 		= 0x00000020,
	kSPCH_season_time_QTR_PLAYOFF 		= 0x00000040,
	kSPCH_season_time_SEMI_PLAYOFF 		= 0x00000080,
	kSPCH_season_time_FINAL_PLAYOFF 		= 0x00000100,
	kSPCH_season_time_SEASON_DERBY 		= 0x00000200,
	kSPCH_season_time_BEFORE_MIDWAY 		= 0x00000400,
	kSPCH_season_time_FIVE_TO_TEN 		= 0x00000800
};


/* SPCHType_season_position ****************/
typedef struct { unsigned int flags; } SPCHType_season_position;

enum
{
	kSPCH_Invalid_season_position 		= 0,
	kSPCH_season_position_BOTH_UPPER_TABLE 		= 0x00000001,
	kSPCH_season_position_BOTH_LOWER_TABLE 		= 0x00000002,
	kSPCH_season_position_OPOSITE_ENDS_TABLE 		= 0x00000004,
	kSPCH_season_position_CLOSE_IN_TABLE 		= 0x00000008,
	kSPCH_season_position_TIED_IN_TABLE 		= 0x00000010,
	kSPCH_season_position_FACING_RELEGATION 		= 0x00000020,
	kSPCH_season_position_FACING_PROMOTION 		= 0x00000040,
	kSPCH_season_position_MAY_FINISH_BOTTOM 		= 0x00000080,
	kSPCH_season_position_MAY_FINISH_FIRST 		= 0x00000100,
	kSPCH_season_position_MAY_FINISH_SECOND 		= 0x00000200,
	kSPCH_season_position_MAY_QUALIFY 		= 0x00000400,
	kSPCH_season_position_WILL_FINISH_BOTTOM 		= 0x00000800,
	kSPCH_season_position_WILL_FINISH_FIRST 		= 0x00001000,
	kSPCH_season_position_WILL_FINISH_SECOND 		= 0x00002000,
	kSPCH_season_position_WILL_QUALIFY 		= 0x00004000,
	kSPCH_season_position_WONT_QUALIFY 		= 0x00008000
};


/* SPCHType_previous_result ****************/
typedef struct { unsigned int flags; } SPCHType_previous_result;

enum
{
	kSPCH_Invalid_previous_result 		= 0,
	kSPCH_previous_result_DRAW 		= 0x00000001,
	kSPCH_previous_result_HOME_WON_CLOSE 		= 0x00000002,
	kSPCH_previous_result_AWAY_WON_CLOSE 		= 0x00000004,
	kSPCH_previous_result_HOME_WON_NOT_CLOSE 		= 0x00000008,
	kSPCH_previous_result_AWAY_WON_NOT_CLOSE 		= 0x00000010
};


/* SPCHType_starting_roster ****************/
typedef struct { unsigned int flags; } SPCHType_starting_roster;

enum
{
	kSPCH_Invalid_starting_roster 		= 0,
	kSPCH_starting_roster_INJURY 		= 0x00000001,
	kSPCH_starting_roster_MULTI_INJURY 		= 0x00000002,
	kSPCH_starting_roster_SUSPENSION 		= 0x00000004,
	kSPCH_starting_roster_MULTI_SUSPENSION 		= 0x00000008,
	kSPCH_starting_roster_TRANSFER_STARTING 		= 0x00000010,
	kSPCH_starting_roster_MULTI_TRANSFER 		= 0x00000020,
	kSPCH_starting_roster_SUMMER_DEFENDER 		= 0x00000040,
	kSPCH_starting_roster_SUMMER_MIDFIELDER 		= 0x00000080,
	kSPCH_starting_roster_SUMMER_ATTACKER 		= 0x00000100,
	kSPCH_starting_roster_WINTER_DEFENDER 		= 0x00000200,
	kSPCH_starting_roster_WINTER_MIDFIELDER 		= 0x00000400,
	kSPCH_starting_roster_WINTER_ATTACKER 		= 0x00000800,
	kSPCH_starting_roster_WEAK_TO_STRONG 		= 0x00001000,
	kSPCH_starting_roster_STRONG_TO_WEAK 		= 0x00002000
};


/* SPCHType_cup_tmnt_type ****************/
typedef struct { unsigned int flags; } SPCHType_cup_tmnt_type;

enum
{
	kSPCH_Invalid_cup_tmnt_type 		= 0,
	kSPCH_cup_tmnt_type_FIRST_MATCH_FOR_TEAM 		= 0x00000001,
	kSPCH_cup_tmnt_type_QUALIFYING_ROUND 		= 0x00000002,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_1 		= 0x00000004,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_2 		= 0x00000008,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_3 		= 0x00000010,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_4 		= 0x00000020,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_5 		= 0x00000040,
	kSPCH_cup_tmnt_type_GROUP_STAGE_MATCH_6 		= 0x00000080,
	kSPCH_cup_tmnt_type_ANY_ROUND 		= 0x00000100,
	kSPCH_cup_tmnt_type_ANY_ROUND_LEG_1 		= 0x00000200,
	kSPCH_cup_tmnt_type_ANY_ROUND_LEG_2 		= 0x00000400,
	kSPCH_cup_tmnt_type_QUATER 		= 0x00000800,
	kSPCH_cup_tmnt_type_QUATER_LEG_1 		= 0x00001000,
	kSPCH_cup_tmnt_type_QUATER_LEG_2 		= 0x00002000,
	kSPCH_cup_tmnt_type_SEMI 		= 0x00004000,
	kSPCH_cup_tmnt_type_SEMI_LEG_1 		= 0x00008000,
	kSPCH_cup_tmnt_type_SEMI_LEG_2 		= 0x00010000,
	kSPCH_cup_tmnt_type_FINAL 		= 0x00020000,
	kSPCH_cup_tmnt_type_FINAL_LEG_1 		= 0x00040000,
	kSPCH_cup_tmnt_type_FINAL_LEG_2 		= 0x00080000,
	kSPCH_cup_tmnt_type_ANY_GROUP_MATCH 		= 0x00100000,
	kSPCH_cup_tmnt_type_SINGLE_GAME_FINAL 		= 0x00200000,
	kSPCH_cup_tmnt_type_DAVID_VERSUS_GOLIATH 		= 0x00400000
};


/* SPCHType_aggregate_score ****************/
typedef struct { unsigned int flags; } SPCHType_aggregate_score;

enum
{
	kSPCH_Invalid_aggregate_score 		= 0,
	kSPCH_aggregate_score_HOME_AHEAD 		= 0x00000001,
	kSPCH_aggregate_score_AWAY_AHEAD 		= 0x00000002,
	kSPCH_aggregate_score_EVEN_ONE_GOAL 		= 0x00000004,
	kSPCH_aggregate_score_EVEN_MULTI_GOALS 		= 0x00000008,
	kSPCH_aggregate_score_EVEN_NO_GOALS 		= 0x00000010
};


/* SPCHType_banter_type ****************/
typedef struct { unsigned int flags; } SPCHType_banter_type;

enum
{
	kSPCH_Invalid_banter_type 		= 0,
	kSPCH_banter_type_FIRST_TOUCH 		= 0x00000001,
	kSPCH_banter_type_SUBSTITUTIONS 		= 0x00000002,
	kSPCH_banter_type_STRATEGIES 		= 0x00000004,
	kSPCH_banter_type_GENERIC 		= 0x00000008,
	kSPCH_banter_type_PLAYER_BIO 		= 0x00000010,
	kSPCH_banter_type_STREAK 		= 0x00000020
};


/* SPCHType_tactic_change ****************/
typedef struct { unsigned int flags; } SPCHType_tactic_change;

enum
{
	kSPCH_Invalid_tactic_change 		= 0,
	kSPCH_tactic_change_OFFENSIVE 		= 0x00000001,
	kSPCH_tactic_change_DEFENSIVE 		= 0x00000002,
	kSPCH_tactic_change_OFF_TO_NEUTRAL 		= 0x00000004,
	kSPCH_tactic_change_DEF_TO_NEUTRAL 		= 0x00000008
};


/* SPCHType_first_touch_type ****************/
typedef struct { unsigned int flags; } SPCHType_first_touch_type;

enum
{
	kSPCH_Invalid_first_touch_type 		= 0,
	kSPCH_first_touch_type_GOOD 		= 0x00000001,
	kSPCH_first_touch_type_BAD 		= 0x00000002
};


/* SPCHType_career_type ****************/
typedef struct { unsigned int flags; } SPCHType_career_type;

enum
{
	kSPCH_Invalid_career_type 		= 0,
	kSPCH_career_type_SCHEDULE 		= 0x00000001,
	kSPCH_career_type_RELEGATION 		= 0x00000002,
	kSPCH_career_type_REACT_TO_TRANSFER 		= 0x00000004,
	kSPCH_career_type_REACT_POSITIONCHANGE 		= 0x00000008,
	kSPCH_career_type_PROMOTION 		= 0x00000010,
	kSPCH_career_type_RETIRED 		= 0x00000020,
	kSPCH_career_type_TRANSFERRED_AWAY 		= 0x00000040,
	kSPCH_career_type_TRANFERRED_IN 		= 0x00000080,
	kSPCH_career_type_MGR_LONGTIME_SUCCESS 		= 0x00000100,
	kSPCH_career_type_PLAYING_WELL 		= 0x00000200,
	kSPCH_career_type_MANAGER_WILL_BE_FIRED 		= 0x00000400,
	kSPCH_career_type_MANAGER_MOVED_TEAMS 		= 0x00000800,
	kSPCH_career_type_MANAGER_HIRED 		= 0x00001000,
	kSPCH_career_type_MANAGER_FIRED 		= 0x00002000,
	kSPCH_career_type_MANAGER_RENEWAL 		= 0x00004000,
	kSPCH_career_type_KEYPLAYER_RETURNED 		= 0x00008000,
	kSPCH_career_type_KEY_OMISSION 		= 0x00010000,
	kSPCH_career_type_FRANCHISE_RECORD 		= 0x00020000,
	kSPCH_career_type_CUP_OR_LEAGUE_WIN 		= 0x00040000,
	kSPCH_career_type_MORALE 		= 0x00080000,
	kSPCH_career_type_CAPTAINCY_CHANGE 		= 0x00100000,
	kSPCH_career_type_5_STAR_SIGNING 		= 0x00200000,
	kSPCH_career_type_5_STAR_RETIREMENT 		= 0x00400000,
	kSPCH_career_type_5_STAR_INJURED 		= 0x00800000
};


/* SPCHType_momentum_from ****************/
typedef struct { unsigned int flags; } SPCHType_momentum_from;

enum
{
	kSPCH_Invalid_momentum_from 		= 0,
	kSPCH_momentum_from_FROM_LOW 		= 0x00000001,
	kSPCH_momentum_from_FROM_NORMAL 		= 0x00000002,
	kSPCH_momentum_from_FROM_HIGH 		= 0x00000004
};


/* SPCHType_momentum_to ****************/
typedef struct { unsigned int flags; } SPCHType_momentum_to;

enum
{
	kSPCH_Invalid_momentum_to 		= 0,
	kSPCH_momentum_to_TO_LOW 		= 0x00000001,
	kSPCH_momentum_to_TO_NORMAL 		= 0x00000002,
	kSPCH_momentum_to_TO_HIGH 		= 0x00000004
};


/* SPCHType_chemistry ****************/
typedef struct { unsigned int flags; } SPCHType_chemistry;

enum
{
	kSPCH_Invalid_chemistry 		= 0,
	kSPCH_chemistry_CHEMISTRY_HIGH 		= 0x00000001,
	kSPCH_chemistry_CHEMISTRY_LOW 		= 0x00000002,
	kSPCH_chemistry_CHEMISTRY_LOW_MAN 		= 0x00000004
};


/* SPCHType_cross_type ****************/
typedef struct { unsigned int flags; } SPCHType_cross_type;

enum
{
	kSPCH_Invalid_cross_type 		= 0,
	kSPCH_cross_type_QUICK_CROSS 		= 0x00000001,
	kSPCH_cross_type_EARLY_CROSS 		= 0x00000002,
	kSPCH_cross_type_GENERIC 		= 0x00000004
};


/* SPCHType_goal_assist ****************/
typedef struct { unsigned int flags; } SPCHType_goal_assist;

enum
{
	kSPCH_Invalid_goal_assist 		= 0,
	kSPCH_goal_assist_ASSISTED_BY 		= 0x00000001
};


/* SPCHType_tactic_type ****************/
typedef struct { unsigned int flags; } SPCHType_tactic_type;

enum
{
	kSPCH_Invalid_tactic_type 		= 0,
	kSPCH_tactic_type_ALL_OUT_ATTACK 		= 0x00000001,
	kSPCH_tactic_type_ALL_OUT_DEFEND 		= 0x00000002
};


/* SPCHType_support ****************/
typedef struct { unsigned int flags; } SPCHType_support;

enum
{
	kSPCH_Invalid_support 		= 0,
	kSPCH_support_LITTLE_SUPPORT 		= 0x00000001,
	kSPCH_support_NO_SUPPORT 		= 0x00000002
};


/* SPCHType_oop_pressure ****************/
typedef struct { unsigned int flags; } SPCHType_oop_pressure;

enum
{
	kSPCH_Invalid_oop_pressure 		= 0,
	kSPCH_oop_pressure_DEF_NO_PRESSURE 		= 0x00000001,
	kSPCH_oop_pressure_ATK_NO_PRESSURE 		= 0x00000002,
	kSPCH_oop_pressure_DEF_PRESSURE 		= 0x00000004,
	kSPCH_oop_pressure_ATK_PRESSURE 		= 0x00000008
};


/* SPCHType_player_stats ****************/
typedef struct { unsigned int flags; } SPCHType_player_stats;

enum
{
	kSPCH_Invalid_player_stats 		= 0,
	kSPCH_player_stats_FIRST_GOAL 		= 0x00000001,
	kSPCH_player_stats_SECOND_GOAL 		= 0x00000002,
	kSPCH_player_stats_FIFTH_GOAL 		= 0x00000004,
	kSPCH_player_stats_TENTH_GOAL 		= 0x00000008,
	kSPCH_player_stats_MORE_THAN_TEN_GOALS 		= 0x00000010,
	kSPCH_player_stats_TWENTIETH_GOAL 		= 0x00000020,
	kSPCH_player_stats_THIRTIETH_GOAL 		= 0x00000040
};


/* SPCHType_player_style ****************/
typedef struct { unsigned int flags; } SPCHType_player_style;

enum
{
	kSPCH_Invalid_player_style 		= 0,
	kSPCH_player_style_ANCHOR_MAN 		= 0x00000001,
	kSPCH_player_style_ATTACKING_WINGER 		= 0x00000002,
	kSPCH_player_style_CLINICAL_FINISHER 		= 0x00000004,
	kSPCH_player_style_MIDFIELD_MAESTRO 		= 0x00000008,
	kSPCH_player_style_STOPPER 		= 0x00000010,
	kSPCH_player_style_SWEEPER 		= 0x00000020,
	kSPCH_player_style_TARGET_MAN 		= 0x00000040,
	kSPCH_player_style_WINGBACK 		= 0x00000080
};


/* SPCHType_streak_type ****************/
typedef struct { unsigned int flags; } SPCHType_streak_type;

enum
{
	kSPCH_Invalid_streak_type 		= 0,
	kSPCH_streak_type_THREE_WINS 		= 0x00000001,
	kSPCH_streak_type_THREE_LOSSES 		= 0x00000002,
	kSPCH_streak_type_FIVE_WINS 		= 0x00000004,
	kSPCH_streak_type_FIVE_LOSSES 		= 0x00000008,
	kSPCH_streak_type_MORE_THAN_5_WINS 		= 0x00000010,
	kSPCH_streak_type_MORE_THAN_5_LOSSES 		= 0x00000020,
	kSPCH_streak_type_THREE_CLEAN_SHEETS 		= 0x00000040,
	kSPCH_streak_type_FIVE_CLEAN_SHEETS 		= 0x00000080,
	kSPCH_streak_type_MORE_THAN_5_CLEAN_SHEETS 		= 0x00000100
};


/* SPCHType_growth_stage ****************/
typedef struct { unsigned int flags; } SPCHType_growth_stage;

enum
{
	kSPCH_Invalid_growth_stage 		= 0,
	kSPCH_growth_stage_BRONZE 		= 0x00000001,
	kSPCH_growth_stage_SILVER 		= 0x00000002,
	kSPCH_growth_stage_GOLD 		= 0x00000004
};


/* SPCHType_game_result ****************/
typedef struct { unsigned int flags; } SPCHType_game_result;

enum
{
	kSPCH_Invalid_game_result 		= 0,
	kSPCH_game_result_WIN 		= 0x00000001,
	kSPCH_game_result_LOSS 		= 0x00000002,
	kSPCH_game_result_DRAW 		= 0x00000004
};


/* SPCHType_C_miss_cat3 ****************/
typedef struct { unsigned int flags; } SPCHType_C_miss_cat3;

enum
{
	kSPCH_Invalid_C_miss_cat3 		= 0,
	kSPCH_C_miss_cat3_COLOUR_PLAYER_RUN 		= 0x00000001,
	kSPCH_C_miss_cat3_COLOUR_BREAKOUT_PASS 		= 0x00000002,
	kSPCH_C_miss_cat3_COLOUR_FREESTYLE_MOVE 		= 0x00000004
};


/* SPCHType_game_momentum ****************/
typedef struct { unsigned int flags; } SPCHType_game_momentum;

enum
{
	kSPCH_Invalid_game_momentum 		= 0,
	kSPCH_game_momentum_HIGH_FIRST_HALF 		= 0x00000001,
	kSPCH_game_momentum_LOW_FIRST_HALF 		= 0x00000002,
	kSPCH_game_momentum_HIGH_GAME 		= 0x00000004,
	kSPCH_game_momentum_LOW_GAME 		= 0x00000008
};


/* SPCHType_halftime_score ****************/
typedef struct { unsigned int flags; } SPCHType_halftime_score;

enum
{
	kSPCH_Invalid_halftime_score 		= 0,
	kSPCH_halftime_score_WINNING 		= 0x00000001,
	kSPCH_halftime_score_LOSING 		= 0x00000002,
	kSPCH_halftime_score_TIED 		= 0x00000004
};


/* SPCHType_C_gameover_cat4 ****************/
typedef struct { unsigned int flags; } SPCHType_C_gameover_cat4;

enum
{
	kSPCH_Invalid_C_gameover_cat4 		= 0,
	kSPCH_C_gameover_cat4_GOOD_FORM 		= 0x00000001,
	kSPCH_C_gameover_cat4_POOR_FORM 		= 0x00000002,
	kSPCH_C_gameover_cat4_GOOD_TRANSFER 		= 0x00000004,
	kSPCH_C_gameover_cat4_POOR_TRANSFER 		= 0x00000008
};


/* SPCHType_b_rivalry ****************/
typedef struct { unsigned int flags; } SPCHType_b_rivalry;

enum
{
	kSPCH_Invalid_b_rivalry 		= 0,
	kSPCH_b_rivalry_LIVERPOOL_V_EVERTON 		= 0x00000001,
	kSPCH_b_rivalry_ARSENAL_V_TOTTENHAM 		= 0x00000002,
	kSPCH_b_rivalry_MANU_V_MANCITY 		= 0x00000004,
	kSPCH_b_rivalry_CHELSEA_V_ARSENAL 		= 0x00000008,
	kSPCH_b_rivalry_MANU_V_ARSENAL 		= 0x00000010,
	kSPCH_b_rivalry_MANU_V_LIVERPOOL 		= 0x00000020,
	kSPCH_b_rivalry_MILAN_V_INTER 		= 0x00000040,
	kSPCH_b_rivalry_JUVENTUS_V_INTER 		= 0x00000080,
	kSPCH_b_rivalry_PSG_V_MARSEILLE 		= 0x00000100,
	kSPCH_b_rivalry_LENS_V_LILLE 		= 0x00000200,
	kSPCH_b_rivalry_SHALKE_V_DORTMUND 		= 0x00000400,
	kSPCH_b_rivalry_DORTMUND_V_BAYERNMUNICH 		= 0x00000800,
	kSPCH_b_rivalry_REALMADRID_V_BARCELONA 		= 0x00001000,
	kSPCH_b_rivalry_REALMADRID_V_ATLMADRID 		= 0x00002000,
	kSPCH_b_rivalry_PSV_V_AJAX 		= 0x00004000,
	kSPCH_b_rivalry_PORTO_V_BENFICA 		= 0x00008000,
	kSPCH_b_rivalry_RANGERS_V_CELTIC 		= 0x00010000,
	kSPCH_b_rivalry_CLUBBRUGGE_V_ANDERLECHT 		= 0x00020000,
	kSPCH_b_rivalry_BOCAJUNIORS_V_RIVERPLATE 		= 0x00040000,
	kSPCH_b_rivalry_OLYMPIAKOS_V_PANATHINAIKOS 		= 0x00080000,
	kSPCH_b_rivalry_ATALANTA_V_BRESCIA 		= 0x00100000,
	kSPCH_b_rivalry_CHELSEA_V_MANU 		= 0x00200000,
	kSPCH_b_rivalry_JUVENTUS_V_ROMA 		= 0x00400000,
	kSPCH_b_rivalry_JUVENTUS_V_REALMADRID 		= 0x00800000,
	kSPCH_b_rivalry_LAZIO_V_ROMA 		= 0x01000000,
	kSPCH_b_rivalry_LYON_V_PSG 		= 0x02000000,
	kSPCH_b_rivalry_LYON_V_STETIENNE 		= 0x04000000,
	kSPCH_b_rivalry_MARSEILLE_V_MONACO 		= 0x08000000,
	kSPCH_b_rivalry_MILAN_V_JUVENTUS 		= 0x10000000,
	kSPCH_b_rivalry_AJAX_V_FEYENOORD 		= 0x20000000
};


/* SPCHType_b_rivalry_m ****************/
typedef struct { unsigned int flags; } SPCHType_b_rivalry_m;

enum
{
	kSPCH_Invalid_b_rivalry_m 		= 0,
	kSPCH_b_rivalry_m_AMERICA_v_GUADALAJARA 		= 0x00000001,
	kSPCH_b_rivalry_m_GUADALAJARA_v_ATLAS 		= 0x00000002,
	kSPCH_b_rivalry_m_MONTERREY_v_TIGRES 		= 0x00000004,
	kSPCH_b_rivalry_m_AMERICA_v_UNAM 		= 0x00000008,
	kSPCH_b_rivalry_m_CRUZAZUL_v_AMERICA 		= 0x00000010,
	kSPCH_b_rivalry_m_LA_v_CHIVAS 		= 0x00000020,
	kSPCH_b_rivalry_m_DC_v_LA 		= 0x00000040,
	kSPCH_b_rivalry_m_SJ_v_CHIVAS 		= 0x00000080,
	kSPCH_b_rivalry_m_KOLN_V_LEVERKUSEN 		= 0x00000100,
	kSPCH_b_rivalry_m_BAYERNMUNICH_V_NURNBERG 		= 0x00000200,
	kSPCH_b_rivalry_m_WERDERBREMEN_V_BAYERNMUNICH 		= 0x00000400,
	kSPCH_b_rivalry_m_HAMBURG_V_WERDERBREMEN 		= 0x00000800,
	kSPCH_b_rivalry_m_WOLFSBURG_V_HANNOVER 		= 0x00001000,
	kSPCH_b_rivalry_m_SHALKE_V_BOCHUM 		= 0x00002000
};


/* SPCHType_M_team_score_cat2 ****************/
typedef struct { unsigned int flags; } SPCHType_M_team_score_cat2;

enum
{
	kSPCH_Invalid_M_team_score_cat2 		= 0,
	kSPCH_M_team_score_cat2_MIDDLESBROUGH 		= 0x00000001,
	kSPCH_M_team_score_cat2_MONACO 		= 0x00000002,
	kSPCH_M_team_score_cat2_NEWCASTLE_UNITED 		= 0x00000004,
	kSPCH_M_team_score_cat2_NORWICH_CITY 		= 0x00000008,
	kSPCH_M_team_score_cat2_OLYMPIAKOS 		= 0x00000010,
	kSPCH_M_team_score_cat2_PANATHINAIKOS 		= 0x00000020,
	kSPCH_M_team_score_cat2_PAOK 		= 0x00000040,
	kSPCH_M_team_score_cat2_PORTO 		= 0x00000080,
	kSPCH_M_team_score_cat2_PORTSMOUTH 		= 0x00000100,
	kSPCH_M_team_score_cat2_PSV 		= 0x00000200,
	kSPCH_M_team_score_cat2_SOUTHHAMPTON 		= 0x00000400,
	kSPCH_M_team_score_cat2_SPARTA_PRAHA 		= 0x00000800,
	kSPCH_M_team_score_cat2_TOTTENHAM 		= 0x00001000,
	kSPCH_M_team_score_cat2_VALENCIA 		= 0x00002000,
	kSPCH_M_team_score_cat2_WERDER_BREMEN 		= 0x00004000,
	kSPCH_M_team_score_cat2_WEST_BROMWICH 		= 0x00008000,
	kSPCH_M_team_score_cat2_AC_MILAN 		= 0x00010000,
	kSPCH_M_team_score_cat2_RANGERS 		= 0x00020000
};

#if SPCH_USE_INLINE_EVENTS

SPCH_EVENT_SCOPE int SPCH_M_CROWD(
			SPCHType_M_crowd_type 		*M_crowd_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 0), 1, M_crowd_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_DEFEND(
			SPCHType_M_defend_head 		*M_defend_head,
			SPCHType_M_defend_cat 		*M_defend_cat,
			int 		player_id,
			SPCHType_support 		*support,
			SPCHType_player_style 		*player_style)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 1), 5, M_defend_head->flags, M_defend_cat->flags, player_id, support->flags, player_style->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_FOUL(
			SPCHType_M_foul_head 		*M_foul_head,
			SPCHType_M_foul_cat 		*M_foul_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 2), 2, M_foul_head->flags, M_foul_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMETIME(
			SPCHType_M_gametime_head 		*M_gametime_head,
			SPCHType_M_gametime_cat1 		*M_gametime_cat1,
			SPCHType_M_gametime_cat2 		*M_gametime_cat2,
			SPCHType_cup_tmnt_type 		*cup_tmnt_type,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 3), 5, M_gametime_head->flags, M_gametime_cat1->flags, M_gametime_cat2->flags, cup_tmnt_type->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_HALF_SCORE(
			SPCHType_M_half_score_type 		*M_half_score_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 6), 1, M_half_score_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_KEEPERS_BALL(
			SPCHType_M_keeper_head 		*M_keeper_head,
			SPCHType_M_keeper_cat 		*M_keeper_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 7), 2, M_keeper_head->flags, M_keeper_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_MISC(
			SPCHType_M_misc_type 		*M_misc_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 9), 1, M_misc_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_MISS(
			SPCHType_M_miss_type 		*M_miss_type,
			SPCHType_time_state 		*time_state,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 10), 3, M_miss_type->flags, time_state->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_MISS_REPLY(
			SPCHType_M_miss_reply_type 		*M_miss_reply_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 11), 1, M_miss_reply_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_MOVE(
			SPCHType_M_move_head 		*M_move_head,
			SPCHType_M_move_cat 		*M_move_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 12), 2, M_move_head->flags, M_move_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_NUM_RESPONSE(
			SPCHType_M_num_response_type 		*M_num_response_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 13), 1, M_num_response_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_OOP(
			SPCHType_M_oop_head 		*M_oop_head,
			SPCHType_M_oop_cat2 		*M_oop_cat2,
			SPCHType_M_oop_cat1 		*M_oop_cat1,
			SPCHType_oop_pressure 		*oop_pressure)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 14), 4, M_oop_head->flags, M_oop_cat2->flags, M_oop_cat1->flags, oop_pressure->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_PASS(
			SPCHType_M_pass_head 		*M_pass_head,
			SPCHType_M_pass_cat 		*M_pass_cat,
			SPCHType_support 		*support)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 15), 3, M_pass_head->flags, M_pass_cat->flags, support->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_PENALTY(
			SPCHType_M_penalty_head 		*M_penalty_head,
			SPCHType_M_penalty_type 		*M_penalty_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 16), 2, M_penalty_head->flags, M_penalty_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_PLAYER(
			SPCHType_M_player_head 		*M_player_head,
			SPCHType_M_player_cat1 		*M_player_cat1,
			SPCHType_M_player_cat2 		*M_player_cat2)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 17), 3, M_player_head->flags, M_player_cat1->flags, M_player_cat2->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_REPLAY(
			SPCHType_M_replay_type 		*M_replay_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 19), 1, M_replay_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_RESPONSE(
			SPCHType_M_response_type 		*M_response_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 20), 1, M_response_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SAVE(
			SPCHType_M_save_head 		*M_save_head,
			SPCHType_M_save_cat1 		*M_save_cat1,
			SPCHType_M_save_cat2 		*M_save_cat2,
			SPCHType_time_state 		*time_state,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 21), 5, M_save_head->flags, M_save_cat1->flags, M_save_cat2->flags, time_state->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SAVE_REPLY(
			SPCHType_M_save_reply_type 		*M_save_reply_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 22), 1, M_save_reply_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SCORELINE(
			SPCHType_M_scoreline_head 		*M_scoreline_head,
			SPCHType_M_scoreline_cat2 		*M_scoreline_cat2,
			SPCHType_M_scoreline_cat1 		*M_scoreline_cat1,
			SPCHType_M_scoreline_cat3 		*M_scoreline_cat3)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 23), 4, M_scoreline_head->flags, M_scoreline_cat2->flags, M_scoreline_cat1->flags, M_scoreline_cat3->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SCORE_REPLY(
			SPCHType_M_score_reply_head 		*M_score_reply_head,
			SPCHType_M_score_reply_cat1 		*M_score_reply_cat1,
			SPCHType_M_score_reply_cat2 		*M_score_reply_cat2,
			SPCHType_M_score_reply_cat3 		*M_score_reply_cat3,
			SPCHType_M_score_reply_cat4 		*M_score_reply_cat4)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 24), 5, M_score_reply_head->flags, M_score_reply_cat1->flags, M_score_reply_cat2->flags, M_score_reply_cat3->flags, M_score_reply_cat4->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SHOOTOUT(
			SPCHType_M_shootout_type 		*M_shootout_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 25), 1, M_shootout_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SUB(
			SPCHType_M_sub_head 		*M_sub_head,
			SPCHType_M_sub_cat 		*M_sub_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 26), 2, M_sub_head->flags, M_sub_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_SUGGESTION(
			SPCHType_M_suggestion_type 		*M_suggestion_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 27), 1, M_suggestion_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_TACKLE(
			SPCHType_M_tackle_head 		*M_tackle_head,
			SPCHType_M_tackle_cat 		*M_tackle_cat,
			SPCHType_player_style 		*player_style)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 28), 3, M_tackle_head->flags, M_tackle_cat->flags, player_style->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_TEAM_SCORE(
			SPCHType_M_team_score_head 		*M_team_score_head,
			SPCHType_M_team_score_cat 		*M_team_score_cat,
			SPCHType_M_team_score_cat2 		*M_team_score_cat2)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 29), 3, M_team_score_head->flags, M_team_score_cat->flags, M_team_score_cat2->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_TIME(
			SPCHType_M_time_type 		*M_time_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 30), 1, M_time_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_CROWD(
			SPCHType_C_crowd_type 		*C_crowd_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 31), 1, C_crowd_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_DEFEND(
			SPCHType_C_defend_type 		*C_defend_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 32), 1, C_defend_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_FOUL(
			SPCHType_C_foul_head 		*C_foul_head,
			SPCHType_C_foul_cat2 		*C_foul_cat2,
			SPCHType_C_foul_cat1 		*C_foul_cat1)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 34), 3, C_foul_head->flags, C_foul_cat2->flags, C_foul_cat1->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_GENERIC(
			SPCHType_C_generic_type 		*C_generic_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 35), 1, C_generic_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_LEAGUE(
			SPCHType_C_league_head 		*C_league_head,
			SPCHType_C_league_cat1 		*C_league_cat1,
			SPCHType_C_league_cat2 		*C_league_cat2)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 37), 3, C_league_head->flags, C_league_cat1->flags, C_league_cat2->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_MISS(
			SPCHType_C_miss_head 		*C_miss_head,
			SPCHType_C_miss_cat1 		*C_miss_cat1,
			SPCHType_C_miss_cat2 		*C_miss_cat2,
			SPCHType_C_miss_cat3 		*C_miss_cat3,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 39), 5, C_miss_head->flags, C_miss_cat1->flags, C_miss_cat2->flags, C_miss_cat3->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_PASS(
			SPCHType_C_pass_type 		*C_pass_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 40), 1, C_pass_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_PENALTY(
			SPCHType_C_penalty_head 		*C_penalty_head,
			SPCHType_C_penalty_cat 		*C_penalty_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 41), 2, C_penalty_head->flags, C_penalty_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_PLAYER(
			SPCHType_C_player_head 		*C_player_head,
			SPCHType_C_player_cat1 		*C_player_cat1,
			SPCHType_C_player_cat2 		*C_player_cat2,
			SPCHType_C_player_cat3 		*C_player_cat3)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 42), 4, C_player_head->flags, C_player_cat1->flags, C_player_cat2->flags, C_player_cat3->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_PRO(
			SPCHType_C_pro_type 		*C_pro_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 44), 1, C_pro_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_SAVE(
			SPCHType_C_save_head 		*C_save_head,
			SPCHType_C_save_cat1 		*C_save_cat1,
			SPCHType_C_save_cat2 		*C_save_cat2,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 45), 4, C_save_head->flags, C_save_cat1->flags, C_save_cat2->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_SHOULD_SUB(
			SPCHType_C_should_sub_type 		*C_should_sub_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 46), 1, C_should_sub_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_TACKLE(
			SPCHType_C_tackle_type 		*C_tackle_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 47), 1, C_tackle_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_STATS(
			SPCHType_C_stats_type 		*C_stats_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 48), 1, C_stats_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_STATS_REPLY(
			SPCHType_C_stats_reply_type 		*C_stats_reply_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 49), 1, C_stats_reply_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_SUB(
			SPCHType_C_sub_type 		*C_sub_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 50), 1, C_sub_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_TACTIC_CHANGE(
			SPCHType_C_tactic_change_type 		*C_tactic_change_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 51), 1, C_tactic_change_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_TEAM(
			SPCHType_C_team_type 		*C_team_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 52), 1, C_team_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_ANY(
			SPCHType_M_gameover_any_cat 		*M_gameover_any_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 68), 1, M_gameover_any_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_CUP(
			SPCHType_M_gameover_cup_head 		*M_gameover_cup_head,
			SPCHType_M_gameover_cup_cat2 		*M_gameover_cup_cat2,
			SPCHType_M_gameover_cup_cat3 		*M_gameover_cup_cat3,
			SPCHType_M_gameover_cup_cat1 		*M_gameover_cup_cat1,
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 69), 5, M_gameover_cup_head->flags, M_gameover_cup_cat2->flags, M_gameover_cup_cat3->flags, M_gameover_cup_cat1->flags, M_gameover_gen_cat2->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_G14(
			SPCHType_M_gameover_G14_cat 		*M_gameover_G14_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 70), 1, M_gameover_G14_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_GENERIC(
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2,
			SPCHType_M_gameover_gen_cat1 		*M_gameover_gen_cat1)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 71), 2, M_gameover_gen_cat2->flags, M_gameover_gen_cat1->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_LEAGUE(
			SPCHType_M_gameover_league_cat 		*M_gameover_league_cat,
			SPCHType_streak_type 		*streak_type,
			SPCHType_home_away 		*home_away,
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2,
			SPCHType_M_gameover_gen_cat1 		*M_gameover_gen_cat1)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 72), 5, M_gameover_league_cat->flags, streak_type->flags, home_away->flags, M_gameover_gen_cat2->flags, M_gameover_gen_cat1->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_LEAGUE_OVER(
			SPCHType_M_gameover_league_over_cat 		*M_gameover_league_over_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 73), 1, M_gameover_league_over_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_MAIN_REPLY(
			SPCHType_M_gameover_main_reply_cat 		*M_gameover_main_reply_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 74), 1, M_gameover_main_reply_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GAMEOVER_MLS(
			SPCHType_M_gameover_MLS_cat 		*M_gameover_MLS_cat)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 75), 1, M_gameover_MLS_cat->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_HALFTIME(
			SPCHType_M_halftime_type 		*M_halftime_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 76), 1, M_halftime_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_GAMEOVER(
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 77), 3, C_gameover_cat1->flags, C_gameover_cat2->flags, C_gameover_cat3->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_GAMEOVER_CUP(
			SPCHType_C_gameover_cup_cat 		*C_gameover_cup_cat,
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 78), 4, C_gameover_cup_cat->flags, C_gameover_cat1->flags, C_gameover_cat2->flags, C_gameover_cat3->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_GAMEOVER_LEAGUE(
			SPCHType_C_gameover_league_cat 		*C_gameover_league_cat,
			SPCHType_game_result 		*game_result,
			SPCHType_season_time 		*season_time,
			SPCHType_C_gameover_cat4 		*C_gameover_cat4,
			SPCHType_streak_type 		*streak_type,
			SPCHType_game_momentum 		*game_momentum,
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 79), 9, C_gameover_league_cat->flags, game_result->flags, season_time->flags, C_gameover_cat4->flags, streak_type->flags, game_momentum->flags, C_gameover_cat1->flags, C_gameover_cat2->flags, C_gameover_cat3->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_HALFTIME(
			SPCHType_C_halftime_type 		*C_halftime_type,
			SPCHType_halftime_score 		*halftime_score,
			SPCHType_game_momentum 		*game_momentum,
			int 		team_id)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 80), 4, C_halftime_type->flags, halftime_score->flags, game_momentum->flags, team_id);
}

SPCH_EVENT_SCOPE int SPCH_SILENCE(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 81), 0);
}

SPCH_EVENT_SCOPE int SPCH_PLAYER(
			int 		player_id,
			SPCHType_player_intensity 		*player_intensity)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 83), 2, player_id, player_intensity->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_GOAL_SCORED(
			SPCHType_team_score 		*team_score,
			SPCHType_team_goal 		*team_goal,
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_team_shots 		*team_shots,
			SPCHType_goal_after 		*goal_after,
			SPCHType_score 		*score,
			SPCHType_goal_from 		*goal_from,
			SPCHType_goal_in 		*goal_in,
			SPCHType_player_scored 		*player_scored,
			SPCHType_shot_type 		*shot_type,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_player_position 		*player_position,
			SPCHType_player_shots 		*player_shots,
			int 		player_id)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 84), 15, team_score->flags, team_goal->flags, score_diff->flags, time_state->flags, team_shots->flags, goal_after->flags, score->flags, goal_from->flags, goal_in->flags, player_scored->flags, shot_type->flags, keeper_position->flags, player_position->flags, player_shots->flags, player_id);
}

SPCH_EVENT_SCOPE int SPCH_M_GOAL_REPLAY(
			SPCHType_goal_after 		*goal_after,
			SPCHType_score_diff 		*score_diff,
			SPCHType_player_position 		*player_position,
			SPCHType_player_scored 		*player_scored,
			SPCHType_team_shots 		*team_shots,
			SPCHType_team_score 		*team_score,
			SPCHType_time_state 		*time_state,
			SPCHType_team_goal 		*team_goal,
			SPCHType_player_shots 		*player_shots,
			SPCHType_team_size 		*team_size,
			SPCHType_goal_in 		*goal_in,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_score 		*score,
			SPCHType_goal_from 		*goal_from,
			SPCHType_shot_type 		*shot_type,
			SPCHType_shot_distance 		*shot_distance,
			SPCHType_goal_assist 		*goal_assist,
			int 		player_id,
			SPCHType_career_type 		*career_type,
			SPCHType_game_type 		*game_type,
			SPCHType_M_player_head 		*M_player_head,
			SPCHType_player_stats 		*player_stats,
			SPCHType_season_time 		*season_time,
			SPCHType_player_style 		*player_style)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 85), 24, goal_after->flags, score_diff->flags, player_position->flags, player_scored->flags, team_shots->flags, team_score->flags, time_state->flags, team_goal->flags, player_shots->flags, team_size->flags, goal_in->flags, keeper_position->flags, score->flags, goal_from->flags, shot_type->flags, shot_distance->flags, goal_assist->flags, player_id, career_type->flags, game_type->flags, M_player_head->flags, player_stats->flags, season_time->flags, player_style->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_GOAL_REPLAY(
			SPCHType_goal_after 		*goal_after,
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_team_goal 		*team_goal,
			SPCHType_goal_from 		*goal_from,
			SPCHType_goal_in 		*goal_in,
			SPCHType_player_position 		*player_position,
			SPCHType_player_scored 		*player_scored,
			SPCHType_shot_distance 		*shot_distance,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_shot_type 		*shot_type,
			SPCHType_team_shots 		*team_shots,
			SPCHType_team_score 		*team_score,
			SPCHType_player_shots 		*player_shots,
			SPCHType_shooting_position 		*shooting_position,
			SPCHType_team_size 		*team_size,
			SPCHType_score 		*score,
			SPCHType_game_type 		*game_type,
			SPCHType_C_player_head 		*C_player_head,
			SPCHType_player_stats 		*player_stats,
			SPCHType_season_time 		*season_time)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 86), 21, goal_after->flags, score_diff->flags, time_state->flags, team_goal->flags, goal_from->flags, goal_in->flags, player_position->flags, player_scored->flags, shot_distance->flags, keeper_position->flags, shot_type->flags, team_shots->flags, team_score->flags, player_shots->flags, shooting_position->flags, team_size->flags, score->flags, game_type->flags, C_player_head->flags, player_stats->flags, season_time->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_OWN_GOAL(
			SPCHType_player_position 		*player_position)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 88), 1, player_position->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_REPLAY_TOURN(
			SPCHType_tourn_goal_type 		*tourn_goal_type,
			SPCHType_time_state 		*time_state,
			SPCHType_team_score 		*team_score,
			SPCHType_score_diff 		*score_diff,
			SPCHType_goal_after 		*goal_after)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 90), 5, tourn_goal_type->flags, time_state->flags, team_score->flags, score_diff->flags, goal_after->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_REPLAY_OWN(
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_player_position 		*player_position,
			SPCHType_team_goal 		*team_goal)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 91), 4, score_diff->flags, time_state->flags, player_position->flags, team_goal->flags);
}

SPCH_EVENT_SCOPE int SPCH_C_REPLAY_TELE(
			SPCHType_tele_type 		*tele_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 92), 1, tele_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_M_REPLAY_OWN(
			SPCHType_score_diff 		*score_diff,
			SPCHType_team_goal 		*team_goal,
			SPCHType_player_position 		*player_position)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 93), 3, score_diff->flags, team_goal->flags, player_position->flags);
}

SPCH_EVENT_SCOPE int SPCH_INTRO(
			SPCHType_aggregate_score 		*aggregate_score,
			SPCHType_cup_tmnt_type 		*cup_tmnt_type,
			SPCHType_starting_roster 		*starting_roster,
			SPCHType_previous_result 		*previous_result,
			SPCHType_season_position 		*season_position,
			SPCHType_season_time 		*season_time,
			SPCHType_formation_matchup 		*formation_matchup,
			SPCHType_team_comparison 		*team_comparison,
			SPCHType_game_type 		*game_type,
			SPCHType_roster_type 		*roster_type,
			SPCHType_formation_type 		*formation_type,
			SPCHType_rivalry_edge 		*rivalry_edge,
			SPCHType_rivalry2 		*rivalry2,
			SPCHType_rivalry1 		*rivalry1,
			SPCHType_crowd_capacity 		*crowd_capacity,
			SPCHType_weather_type 		*weather_type,
			SPCHType_intro_time 		*intro_time,
			SPCHType_home_away 		*home_away,
			SPCHType_chemistry 		*chemistry,
			SPCHType_b_rivalry 		*b_rivalry,
			SPCHType_b_rivalry_m 		*b_rivalry_m)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 94), 21, aggregate_score->flags, cup_tmnt_type->flags, starting_roster->flags, previous_result->flags, season_position->flags, season_time->flags, formation_matchup->flags, team_comparison->flags, game_type->flags, roster_type->flags, formation_type->flags, rivalry_edge->flags, rivalry2->flags, rivalry1->flags, crowd_capacity->flags, weather_type->flags, intro_time->flags, home_away->flags, chemistry->flags, b_rivalry->flags, b_rivalry_m->flags);
}

SPCH_EVENT_SCOPE int SPCH_COULD_CROSS(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 99), 0);
}

SPCH_EVENT_SCOPE int SPCH_CROSS(
			SPCHType_cross_height 		*cross_height,
			SPCHType_home_away 		*home_away,
			SPCHType_pitch_side 		*pitch_side,
			SPCHType_cross_type 		*cross_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 100), 4, cross_height->flags, home_away->flags, pitch_side->flags, cross_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_BREAKAWAY(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 101), 0);
}

SPCH_EVENT_SCOPE int SPCH_POSSESS(
			SPCHType_possess_type 		*possess_type,
			SPCHType_time_in_location 		*time_in_location)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 102), 2, possess_type->flags, time_in_location->flags);
}

SPCH_EVENT_SCOPE int SPCH_SHOT_TAKEN(
			SPCHType_shot_taken 		*shot_taken)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 103), 1, shot_taken->flags);
}

SPCH_EVENT_SCOPE int SPCH_AFFIRMATIVE(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 104), 0);
}

SPCH_EVENT_SCOPE int SPCH_PLAYER_FOCUS(
			int 		player_id)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 105), 1, player_id);
}

SPCH_EVENT_SCOPE int SPCH_BANTER(
			SPCHType_banter_type 		*banter_type,
			SPCHType_momentum_from 		*momentum_from,
			SPCHType_momentum_to 		*momentum_to,
			SPCHType_home_away 		*home_away,
			int 		player_id,
			SPCHType_streak_type 		*streak_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 108), 6, banter_type->flags, momentum_from->flags, momentum_to->flags, home_away->flags, player_id, streak_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_TACTIC_CHANGE(
			SPCHType_tactic_change 		*tactic_change)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 109), 1, tactic_change->flags);
}

SPCH_EVENT_SCOPE int SPCH_FIRST_TOUCH(
			SPCHType_first_touch_type 		*first_touch_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 111), 1, first_touch_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_SHOULD_SUB_TIME(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 112), 0);
}

SPCH_EVENT_SCOPE int SPCH_SHOULD_SUB_FATIGUE(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 113), 0);
}

SPCH_EVENT_SCOPE int SPCH_CAREER_MODE(
			SPCHType_career_type 		*career_type)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 114), 1, career_type->flags);
}

SPCH_EVENT_SCOPE int SPCH_BOX_SCORE(
			)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 115), 0);
}

SPCH_EVENT_SCOPE int SPCH_TACTICS(
			SPCHType_tactic_type 		*tactic_type,
			SPCHType_score_diff 		*score_diff)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 116), 2, tactic_type->flags, score_diff->flags);
}

SPCH_EVENT_SCOPE int SPCH_PLAYER_GROWTH(
			SPCHType_growth_stage 		*growth_stage,
			SPCHType_player_style 		*player_style)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 117), 2, growth_stage->flags, player_style->flags);
}

SPCH_EVENT_SCOPE int SPCH_PLAYER_BIO(
			int 		player_id)
{
	return gSPCH_AddEvent(SPCH_MakeEventSpec(0, 0, 118), 1, player_id);
}



#else	 // else not inline functions

int SPCH_M_CROWD(
			SPCHType_M_crowd_type 		*M_crowd_type);

int SPCH_M_DEFEND(
			SPCHType_M_defend_head 		*M_defend_head,
			SPCHType_M_defend_cat 		*M_defend_cat,
			int 		player_id,
			SPCHType_support 		*support,
			SPCHType_player_style 		*player_style);

int SPCH_M_FOUL(
			SPCHType_M_foul_head 		*M_foul_head,
			SPCHType_M_foul_cat 		*M_foul_cat);

int SPCH_M_GAMETIME(
			SPCHType_M_gametime_head 		*M_gametime_head,
			SPCHType_M_gametime_cat1 		*M_gametime_cat1,
			SPCHType_M_gametime_cat2 		*M_gametime_cat2,
			SPCHType_cup_tmnt_type 		*cup_tmnt_type,
			SPCHType_score_diff 		*score_diff);

int SPCH_M_HALF_SCORE(
			SPCHType_M_half_score_type 		*M_half_score_type);

int SPCH_M_KEEPERS_BALL(
			SPCHType_M_keeper_head 		*M_keeper_head,
			SPCHType_M_keeper_cat 		*M_keeper_cat);

int SPCH_M_MISC(
			SPCHType_M_misc_type 		*M_misc_type);

int SPCH_M_MISS(
			SPCHType_M_miss_type 		*M_miss_type,
			SPCHType_time_state 		*time_state,
			SPCHType_score_diff 		*score_diff);

int SPCH_M_MISS_REPLY(
			SPCHType_M_miss_reply_type 		*M_miss_reply_type);

int SPCH_M_MOVE(
			SPCHType_M_move_head 		*M_move_head,
			SPCHType_M_move_cat 		*M_move_cat);

int SPCH_M_NUM_RESPONSE(
			SPCHType_M_num_response_type 		*M_num_response_type);

int SPCH_M_OOP(
			SPCHType_M_oop_head 		*M_oop_head,
			SPCHType_M_oop_cat2 		*M_oop_cat2,
			SPCHType_M_oop_cat1 		*M_oop_cat1,
			SPCHType_oop_pressure 		*oop_pressure);

int SPCH_M_PASS(
			SPCHType_M_pass_head 		*M_pass_head,
			SPCHType_M_pass_cat 		*M_pass_cat,
			SPCHType_support 		*support);

int SPCH_M_PENALTY(
			SPCHType_M_penalty_head 		*M_penalty_head,
			SPCHType_M_penalty_type 		*M_penalty_type);

int SPCH_M_PLAYER(
			SPCHType_M_player_head 		*M_player_head,
			SPCHType_M_player_cat1 		*M_player_cat1,
			SPCHType_M_player_cat2 		*M_player_cat2);

int SPCH_M_REPLAY(
			SPCHType_M_replay_type 		*M_replay_type);

int SPCH_M_RESPONSE(
			SPCHType_M_response_type 		*M_response_type);

int SPCH_M_SAVE(
			SPCHType_M_save_head 		*M_save_head,
			SPCHType_M_save_cat1 		*M_save_cat1,
			SPCHType_M_save_cat2 		*M_save_cat2,
			SPCHType_time_state 		*time_state,
			SPCHType_score_diff 		*score_diff);

int SPCH_M_SAVE_REPLY(
			SPCHType_M_save_reply_type 		*M_save_reply_type);

int SPCH_M_SCORELINE(
			SPCHType_M_scoreline_head 		*M_scoreline_head,
			SPCHType_M_scoreline_cat2 		*M_scoreline_cat2,
			SPCHType_M_scoreline_cat1 		*M_scoreline_cat1,
			SPCHType_M_scoreline_cat3 		*M_scoreline_cat3);

int SPCH_M_SCORE_REPLY(
			SPCHType_M_score_reply_head 		*M_score_reply_head,
			SPCHType_M_score_reply_cat1 		*M_score_reply_cat1,
			SPCHType_M_score_reply_cat2 		*M_score_reply_cat2,
			SPCHType_M_score_reply_cat3 		*M_score_reply_cat3,
			SPCHType_M_score_reply_cat4 		*M_score_reply_cat4);

int SPCH_M_SHOOTOUT(
			SPCHType_M_shootout_type 		*M_shootout_type);

int SPCH_M_SUB(
			SPCHType_M_sub_head 		*M_sub_head,
			SPCHType_M_sub_cat 		*M_sub_cat);

int SPCH_M_SUGGESTION(
			SPCHType_M_suggestion_type 		*M_suggestion_type);

int SPCH_M_TACKLE(
			SPCHType_M_tackle_head 		*M_tackle_head,
			SPCHType_M_tackle_cat 		*M_tackle_cat,
			SPCHType_player_style 		*player_style);

int SPCH_M_TEAM_SCORE(
			SPCHType_M_team_score_head 		*M_team_score_head,
			SPCHType_M_team_score_cat 		*M_team_score_cat,
			SPCHType_M_team_score_cat2 		*M_team_score_cat2);

int SPCH_M_TIME(
			SPCHType_M_time_type 		*M_time_type);

int SPCH_C_CROWD(
			SPCHType_C_crowd_type 		*C_crowd_type);

int SPCH_C_DEFEND(
			SPCHType_C_defend_type 		*C_defend_type);

int SPCH_C_FOUL(
			SPCHType_C_foul_head 		*C_foul_head,
			SPCHType_C_foul_cat2 		*C_foul_cat2,
			SPCHType_C_foul_cat1 		*C_foul_cat1);

int SPCH_C_GENERIC(
			SPCHType_C_generic_type 		*C_generic_type);

int SPCH_C_LEAGUE(
			SPCHType_C_league_head 		*C_league_head,
			SPCHType_C_league_cat1 		*C_league_cat1,
			SPCHType_C_league_cat2 		*C_league_cat2);

int SPCH_C_MISS(
			SPCHType_C_miss_head 		*C_miss_head,
			SPCHType_C_miss_cat1 		*C_miss_cat1,
			SPCHType_C_miss_cat2 		*C_miss_cat2,
			SPCHType_C_miss_cat3 		*C_miss_cat3,
			SPCHType_score_diff 		*score_diff);

int SPCH_C_PASS(
			SPCHType_C_pass_type 		*C_pass_type);

int SPCH_C_PENALTY(
			SPCHType_C_penalty_head 		*C_penalty_head,
			SPCHType_C_penalty_cat 		*C_penalty_cat);

int SPCH_C_PLAYER(
			SPCHType_C_player_head 		*C_player_head,
			SPCHType_C_player_cat1 		*C_player_cat1,
			SPCHType_C_player_cat2 		*C_player_cat2,
			SPCHType_C_player_cat3 		*C_player_cat3);

int SPCH_C_PRO(
			SPCHType_C_pro_type 		*C_pro_type);

int SPCH_C_SAVE(
			SPCHType_C_save_head 		*C_save_head,
			SPCHType_C_save_cat1 		*C_save_cat1,
			SPCHType_C_save_cat2 		*C_save_cat2,
			SPCHType_score_diff 		*score_diff);

int SPCH_C_SHOULD_SUB(
			SPCHType_C_should_sub_type 		*C_should_sub_type);

int SPCH_C_TACKLE(
			SPCHType_C_tackle_type 		*C_tackle_type);

int SPCH_C_STATS(
			SPCHType_C_stats_type 		*C_stats_type);

int SPCH_C_STATS_REPLY(
			SPCHType_C_stats_reply_type 		*C_stats_reply_type);

int SPCH_C_SUB(
			SPCHType_C_sub_type 		*C_sub_type);

int SPCH_C_TACTIC_CHANGE(
			SPCHType_C_tactic_change_type 		*C_tactic_change_type);

int SPCH_C_TEAM(
			SPCHType_C_team_type 		*C_team_type);

int SPCH_M_GAMEOVER_ANY(
			SPCHType_M_gameover_any_cat 		*M_gameover_any_cat);

int SPCH_M_GAMEOVER_CUP(
			SPCHType_M_gameover_cup_head 		*M_gameover_cup_head,
			SPCHType_M_gameover_cup_cat2 		*M_gameover_cup_cat2,
			SPCHType_M_gameover_cup_cat3 		*M_gameover_cup_cat3,
			SPCHType_M_gameover_cup_cat1 		*M_gameover_cup_cat1,
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2);

int SPCH_M_GAMEOVER_G14(
			SPCHType_M_gameover_G14_cat 		*M_gameover_G14_cat);

int SPCH_M_GAMEOVER_GENERIC(
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2,
			SPCHType_M_gameover_gen_cat1 		*M_gameover_gen_cat1);

int SPCH_M_GAMEOVER_LEAGUE(
			SPCHType_M_gameover_league_cat 		*M_gameover_league_cat,
			SPCHType_streak_type 		*streak_type,
			SPCHType_home_away 		*home_away,
			SPCHType_M_gameover_gen_cat2 		*M_gameover_gen_cat2,
			SPCHType_M_gameover_gen_cat1 		*M_gameover_gen_cat1);

int SPCH_M_GAMEOVER_LEAGUE_OVER(
			SPCHType_M_gameover_league_over_cat 		*M_gameover_league_over_cat);

int SPCH_M_GAMEOVER_MAIN_REPLY(
			SPCHType_M_gameover_main_reply_cat 		*M_gameover_main_reply_cat);

int SPCH_M_GAMEOVER_MLS(
			SPCHType_M_gameover_MLS_cat 		*M_gameover_MLS_cat);

int SPCH_M_HALFTIME(
			SPCHType_M_halftime_type 		*M_halftime_type);

int SPCH_C_GAMEOVER(
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3);

int SPCH_C_GAMEOVER_CUP(
			SPCHType_C_gameover_cup_cat 		*C_gameover_cup_cat,
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3);

int SPCH_C_GAMEOVER_LEAGUE(
			SPCHType_C_gameover_league_cat 		*C_gameover_league_cat,
			SPCHType_game_result 		*game_result,
			SPCHType_season_time 		*season_time,
			SPCHType_C_gameover_cat4 		*C_gameover_cat4,
			SPCHType_streak_type 		*streak_type,
			SPCHType_game_momentum 		*game_momentum,
			SPCHType_C_gameover_cat1 		*C_gameover_cat1,
			SPCHType_C_gameover_cat2 		*C_gameover_cat2,
			SPCHType_C_gameover_cat3 		*C_gameover_cat3);

int SPCH_C_HALFTIME(
			SPCHType_C_halftime_type 		*C_halftime_type,
			SPCHType_halftime_score 		*halftime_score,
			SPCHType_game_momentum 		*game_momentum,
			int 		team_id);

int SPCH_SILENCE(
			);

int SPCH_PLAYER(
			int 		player_id,
			SPCHType_player_intensity 		*player_intensity);

int SPCH_M_GOAL_SCORED(
			SPCHType_team_score 		*team_score,
			SPCHType_team_goal 		*team_goal,
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_team_shots 		*team_shots,
			SPCHType_goal_after 		*goal_after,
			SPCHType_score 		*score,
			SPCHType_goal_from 		*goal_from,
			SPCHType_goal_in 		*goal_in,
			SPCHType_player_scored 		*player_scored,
			SPCHType_shot_type 		*shot_type,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_player_position 		*player_position,
			SPCHType_player_shots 		*player_shots,
			int 		player_id);

int SPCH_M_GOAL_REPLAY(
			SPCHType_goal_after 		*goal_after,
			SPCHType_score_diff 		*score_diff,
			SPCHType_player_position 		*player_position,
			SPCHType_player_scored 		*player_scored,
			SPCHType_team_shots 		*team_shots,
			SPCHType_team_score 		*team_score,
			SPCHType_time_state 		*time_state,
			SPCHType_team_goal 		*team_goal,
			SPCHType_player_shots 		*player_shots,
			SPCHType_team_size 		*team_size,
			SPCHType_goal_in 		*goal_in,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_score 		*score,
			SPCHType_goal_from 		*goal_from,
			SPCHType_shot_type 		*shot_type,
			SPCHType_shot_distance 		*shot_distance,
			SPCHType_goal_assist 		*goal_assist,
			int 		player_id,
			SPCHType_career_type 		*career_type,
			SPCHType_game_type 		*game_type,
			SPCHType_M_player_head 		*M_player_head,
			SPCHType_player_stats 		*player_stats,
			SPCHType_season_time 		*season_time,
			SPCHType_player_style 		*player_style);

int SPCH_C_GOAL_REPLAY(
			SPCHType_goal_after 		*goal_after,
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_team_goal 		*team_goal,
			SPCHType_goal_from 		*goal_from,
			SPCHType_goal_in 		*goal_in,
			SPCHType_player_position 		*player_position,
			SPCHType_player_scored 		*player_scored,
			SPCHType_shot_distance 		*shot_distance,
			SPCHType_keeper_position 		*keeper_position,
			SPCHType_shot_type 		*shot_type,
			SPCHType_team_shots 		*team_shots,
			SPCHType_team_score 		*team_score,
			SPCHType_player_shots 		*player_shots,
			SPCHType_shooting_position 		*shooting_position,
			SPCHType_team_size 		*team_size,
			SPCHType_score 		*score,
			SPCHType_game_type 		*game_type,
			SPCHType_C_player_head 		*C_player_head,
			SPCHType_player_stats 		*player_stats,
			SPCHType_season_time 		*season_time);

int SPCH_M_OWN_GOAL(
			SPCHType_player_position 		*player_position);

int SPCH_C_REPLAY_TOURN(
			SPCHType_tourn_goal_type 		*tourn_goal_type,
			SPCHType_time_state 		*time_state,
			SPCHType_team_score 		*team_score,
			SPCHType_score_diff 		*score_diff,
			SPCHType_goal_after 		*goal_after);

int SPCH_C_REPLAY_OWN(
			SPCHType_score_diff 		*score_diff,
			SPCHType_time_state 		*time_state,
			SPCHType_player_position 		*player_position,
			SPCHType_team_goal 		*team_goal);

int SPCH_C_REPLAY_TELE(
			SPCHType_tele_type 		*tele_type);

int SPCH_M_REPLAY_OWN(
			SPCHType_score_diff 		*score_diff,
			SPCHType_team_goal 		*team_goal,
			SPCHType_player_position 		*player_position);

int SPCH_INTRO(
			SPCHType_aggregate_score 		*aggregate_score,
			SPCHType_cup_tmnt_type 		*cup_tmnt_type,
			SPCHType_starting_roster 		*starting_roster,
			SPCHType_previous_result 		*previous_result,
			SPCHType_season_position 		*season_position,
			SPCHType_season_time 		*season_time,
			SPCHType_formation_matchup 		*formation_matchup,
			SPCHType_team_comparison 		*team_comparison,
			SPCHType_game_type 		*game_type,
			SPCHType_roster_type 		*roster_type,
			SPCHType_formation_type 		*formation_type,
			SPCHType_rivalry_edge 		*rivalry_edge,
			SPCHType_rivalry2 		*rivalry2,
			SPCHType_rivalry1 		*rivalry1,
			SPCHType_crowd_capacity 		*crowd_capacity,
			SPCHType_weather_type 		*weather_type,
			SPCHType_intro_time 		*intro_time,
			SPCHType_home_away 		*home_away,
			SPCHType_chemistry 		*chemistry,
			SPCHType_b_rivalry 		*b_rivalry,
			SPCHType_b_rivalry_m 		*b_rivalry_m);

int SPCH_COULD_CROSS(
			);

int SPCH_CROSS(
			SPCHType_cross_height 		*cross_height,
			SPCHType_home_away 		*home_away,
			SPCHType_pitch_side 		*pitch_side,
			SPCHType_cross_type 		*cross_type);

int SPCH_BREAKAWAY(
			);

int SPCH_POSSESS(
			SPCHType_possess_type 		*possess_type,
			SPCHType_time_in_location 		*time_in_location);

int SPCH_SHOT_TAKEN(
			SPCHType_shot_taken 		*shot_taken);

int SPCH_AFFIRMATIVE(
			);

int SPCH_PLAYER_FOCUS(
			int 		player_id);

int SPCH_BANTER(
			SPCHType_banter_type 		*banter_type,
			SPCHType_momentum_from 		*momentum_from,
			SPCHType_momentum_to 		*momentum_to,
			SPCHType_home_away 		*home_away,
			int 		player_id,
			SPCHType_streak_type 		*streak_type);

int SPCH_TACTIC_CHANGE(
			SPCHType_tactic_change 		*tactic_change);

int SPCH_FIRST_TOUCH(
			SPCHType_first_touch_type 		*first_touch_type);

int SPCH_SHOULD_SUB_TIME(
			);

int SPCH_SHOULD_SUB_FATIGUE(
			);

int SPCH_CAREER_MODE(
			SPCHType_career_type 		*career_type);

int SPCH_BOX_SCORE(
			);

int SPCH_TACTICS(
			SPCHType_tactic_type 		*tactic_type,
			SPCHType_score_diff 		*score_diff);

int SPCH_PLAYER_GROWTH(
			SPCHType_growth_stage 		*growth_stage,
			SPCHType_player_style 		*player_style);

int SPCH_PLAYER_BIO(
			int 		player_id);


#endif

#endif
